
from sre_constants import MAXREPEAT
from lark.grammar import Rule
from lark.lexer import TerminalDef
from lark import Lark

DATA = ({'parser': {'parser': {'tokens': {0: '__ANON_2', 1: 'RBRACE', 2: '$END', 3: '__ANON_0', 4: '__ANON_1', 5: '__anon_plus_2', 6: 'new_line_or_comment', 7: 'null_lit', 8: 'identifier', 9: 'body', 10: 'attribute', 11: '__anon_star_0', 12: '__ANON_3', 13: 'block', 14: 'start', 15: 'NULL', 16: 'TRUE', 17: 'RPAR', 18: 'FOR', 19: 'FALSE', 20: '__ANON_10', 21: 'BANG', 22: 'COMMA', 23: 'IN', 24: 'DECIMAL', 25: 'LBRACE', 26: '__ANON_11', 27: 'LSQB', 28: 'STRING_LIT', 29: 'RSQB', 30: 'IF', 31: 'MINUS', 32: 'LPAR', 33: 'EQUAL', 34: '__anon_star_1', 35: 'STAR', 36: '__ANON_9', 37: 'MORETHAN', 38: 'SLASH', 39: 'COLON', 40: 'QMARK', 41: '__ANON_12', 42: 'PERCENT', 43: '__ANON_8', 44: '__ANON_4', 45: 'LESSTHAN', 46: '__ANON_6', 47: 'PLUS', 48: '__ANON_14', 49: 'DOT', 50: '__ANON_13', 51: '__ANON_7', 52: '__ANON_5', 53: 'float_lit', 54: 'expr_term', 55: 'function_call', 56: 'object', 57: 'int_lit', 58: 'for_object_expr', 59: 'expression', 60: 'heredoc_template_trim', 61: 'attr_splat_expr_term', 62: '__anon_plus_3', 63: 'false_lit', 64: 'operation', 65: 'heredoc_template', 66: 'full_splat_expr_term', 67: 'unary_op', 68: 'true_lit', 69: 'tuple', 70: 'binary_op', 71: 'for_tuple_expr', 72: 'index_expr_term', 73: 'get_attr_expr_term', 74: 'conditional', 75: 'for_intro', 76: 'object_elem', 77: 'full_splat', 78: 'index', 79: 'get_attr', 80: 'attr_splat', 81: 'binary_operator', 82: 'binary_term', 83: 'EXP_MARK', 84: 'new_line_and_or_comma', 85: '__anon_star_5', 86: '__anon_star_4', 87: '__anon_star_6', 88: 'arguments', 89: 'for_cond', 90: '__anon_star_7'}, 'states': {0: {0: (0, 8), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (0, 14), 4: (0, 6), 5: (0, 1), 6: (0, 2), 7: (0, 3), 8: (0, 4), 9: (0, 5), 10: (0, 7), 11: (0, 9), 12: (0, 10), 13: (0, 11), 14: (0, 12), 15: (0, 13)}, 1: {0: (0, 15), 1: (1, {'@': 46}), 16: (1, {'@': 46}), 17: (1, {'@': 46}), 18: (1, {'@': 46}), 15: (1, {'@': 46}), 19: (1, {'@': 46}), 20: (1, {'@': 46}), 4: (0, 17), 21: (1, {'@': 46}), 12: (1, {'@': 46}), 22: (1, {'@': 46}), 23: (1, {'@': 46}), 24: (1, {'@': 46}), 25: (1, {'@': 46}), 26: (1, {'@': 46}), 27: (1, {'@': 46}), 28: (1, {'@': 46}), 29: (1, {'@': 46}), 30: (1, {'@': 46}), 31: (1, {'@': 46}), 2: (1, {'@': 46}), 3: (0, 16), 32: (1, {'@': 46})}, 2: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 7: (0, 3), 8: (0, 4), 9: (0, 18), 10: (0, 7), 13: (0, 11), 11: (0, 9), 12: (0, 10), 15: (0, 13)}, 3: {33: (0, 19)}, 4: {34: (0, 20), 12: (0, 10), 33: (0, 21), 25: (0, 22), 8: (0, 23), 28: (0, 24)}, 5: {2: (1, {'@': 47}), 4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 25), 3: (0, 14)}, 6: {16: (1, {'@': 48}), 17: (1, {'@': 48}), 15: (1, {'@': 48}), 19: (1, {'@': 48}), 21: (1, {'@': 48}), 12: (1, {'@': 48}), 23: (1, {'@': 48}), 26: (1, {'@': 48}), 28: (1, {'@': 48}), 2: (1, {'@': 48}), 0: (1, {'@': 48}), 1: (1, {'@': 48}), 18: (1, {'@': 48}), 20: (1, {'@': 48}), 4: (1, {'@': 48}), 22: (1, {'@': 48}), 24: (1, {'@': 48}), 25: (1, {'@': 48}), 27: (1, {'@': 48}), 29: (1, {'@': 48}), 30: (1, {'@': 48}), 31: (1, {'@': 48}), 3: (1, {'@': 48}), 32: (1, {'@': 48})}, 7: {0: (1, {'@': 49}), 12: (1, {'@': 49}), 1: (1, {'@': 49}), 15: (1, {'@': 49}), 2: (1, {'@': 49}), 3: (1, {'@': 49}), 4: (1, {'@': 49})}, 8: {16: (1, {'@': 50}), 17: (1, {'@': 50}), 15: (1, {'@': 50}), 19: (1, {'@': 50}), 21: (1, {'@': 50}), 12: (1, {'@': 50}), 23: (1, {'@': 50}), 26: (1, {'@': 50}), 28: (1, {'@': 50}), 2: (1, {'@': 50}), 0: (1, {'@': 50}), 1: (1, {'@': 50}), 18: (1, {'@': 50}), 20: (1, {'@': 50}), 4: (1, {'@': 50}), 22: (1, {'@': 50}), 24: (1, {'@': 50}), 25: (1, {'@': 50}), 27: (1, {'@': 50}), 29: (1, {'@': 50}), 30: (1, {'@': 50}), 31: (1, {'@': 50}), 3: (1, {'@': 50}), 32: (1, {'@': 50})}, 9: {0: (1, {'@': 51}), 1: (1, {'@': 51}), 2: (1, {'@': 51}), 3: (1, {'@': 51}), 4: (1, {'@': 51}), 8: (0, 4), 12: (0, 10), 7: (0, 3), 15: (0, 13), 10: (0, 26), 13: (0, 27)}, 10: {35: (1, {'@': 52}), 15: (1, {'@': 52}), 21: (1, {'@': 52}), 28: (1, {'@': 52}), 2: (1, {'@': 52}), 0: (1, {'@': 52}), 36: (1, {'@': 52}), 20: (1, {'@': 52}), 37: (1, {'@': 52}), 38: (1, {'@': 52}), 22: (1, {'@': 52}), 31: (1, {'@': 52}), 39: (1, {'@': 52}), 33: (1, {'@': 52}), 40: (1, {'@': 52}), 16: (1, {'@': 52}), 17: (1, {'@': 52}), 41: (1, {'@': 52}), 19: (1, {'@': 52}), 42: (1, {'@': 52}), 43: (1, {'@': 52}), 44: (1, {'@': 52}), 12: (1, {'@': 52}), 45: (1, {'@': 52}), 46: (1, {'@': 52}), 23: (1, {'@': 52}), 26: (1, {'@': 52}), 47: (1, {'@': 52}), 48: (1, {'@': 52}), 1: (1, {'@': 52}), 4: (1, {'@': 52}), 49: (1, {'@': 52}), 50: (1, {'@': 52}), 24: (1, {'@': 52}), 25: (1, {'@': 52}), 27: (1, {'@': 52}), 51: (1, {'@': 52}), 29: (1, {'@': 52}), 52: (1, {'@': 52}), 30: (1, {'@': 52}), 3: (1, {'@': 52}), 32: (1, {'@': 52})}, 11: {0: (1, {'@': 53}), 12: (1, {'@': 53}), 1: (1, {'@': 53}), 15: (1, {'@': 53}), 2: (1, {'@': 53}), 3: (1, {'@': 53}), 4: (1, {'@': 53})}, 12: {2: (0, 28)}, 13: {35: (1, {'@': 54}), 15: (1, {'@': 54}), 21: (1, {'@': 54}), 28: (1, {'@': 54}), 2: (1, {'@': 54}), 0: (1, {'@': 54}), 36: (1, {'@': 54}), 20: (1, {'@': 54}), 37: (1, {'@': 54}), 38: (1, {'@': 54}), 22: (1, {'@': 54}), 31: (1, {'@': 54}), 39: (1, {'@': 54}), 33: (1, {'@': 54}), 40: (1, {'@': 54}), 16: (1, {'@': 54}), 17: (1, {'@': 54}), 41: (1, {'@': 54}), 19: (1, {'@': 54}), 42: (1, {'@': 54}), 43: (1, {'@': 54}), 44: (1, {'@': 54}), 12: (1, {'@': 54}), 45: (1, {'@': 54}), 46: (1, {'@': 54}), 26: (1, {'@': 54}), 47: (1, {'@': 54}), 48: (1, {'@': 54}), 1: (1, {'@': 54}), 4: (1, {'@': 54}), 49: (1, {'@': 54}), 50: (1, {'@': 54}), 24: (1, {'@': 54}), 25: (1, {'@': 54}), 27: (1, {'@': 54}), 51: (1, {'@': 54}), 29: (1, {'@': 54}), 52: (1, {'@': 54}), 30: (1, {'@': 54}), 3: (1, {'@': 54}), 32: (1, {'@': 54})}, 14: {16: (1, {'@': 55}), 17: (1, {'@': 55}), 15: (1, {'@': 55}), 19: (1, {'@': 55}), 21: (1, {'@': 55}), 12: (1, {'@': 55}), 23: (1, {'@': 55}), 26: (1, {'@': 55}), 28: (1, {'@': 55}), 2: (1, {'@': 55}), 0: (1, {'@': 55}), 1: (1, {'@': 55}), 18: (1, {'@': 55}), 20: (1, {'@': 55}), 4: (1, {'@': 55}), 22: (1, {'@': 55}), 24: (1, {'@': 55}), 25: (1, {'@': 55}), 27: (1, {'@': 55}), 29: (1, {'@': 55}), 30: (1, {'@': 55}), 31: (1, {'@': 55}), 3: (1, {'@': 55}), 32: (1, {'@': 55})}, 15: {16: (1, {'@': 56}), 17: (1, {'@': 56}), 15: (1, {'@': 56}), 19: (1, {'@': 56}), 21: (1, {'@': 56}), 12: (1, {'@': 56}), 23: (1, {'@': 56}), 26: (1, {'@': 56}), 28: (1, {'@': 56}), 2: (1, {'@': 56}), 0: (1, {'@': 56}), 1: (1, {'@': 56}), 18: (1, {'@': 56}), 20: (1, {'@': 56}), 4: (1, {'@': 56}), 22: (1, {'@': 56}), 24: (1, {'@': 56}), 25: (1, {'@': 56}), 27: (1, {'@': 56}), 29: (1, {'@': 56}), 30: (1, {'@': 56}), 31: (1, {'@': 56}), 3: (1, {'@': 56}), 32: (1, {'@': 56})}, 16: {16: (1, {'@': 57}), 17: (1, {'@': 57}), 15: (1, {'@': 57}), 19: (1, {'@': 57}), 21: (1, {'@': 57}), 12: (1, {'@': 57}), 23: (1, {'@': 57}), 26: (1, {'@': 57}), 28: (1, {'@': 57}), 2: (1, {'@': 57}), 0: (1, {'@': 57}), 1: (1, {'@': 57}), 18: (1, {'@': 57}), 20: (1, {'@': 57}), 4: (1, {'@': 57}), 22: (1, {'@': 57}), 24: (1, {'@': 57}), 25: (1, {'@': 57}), 27: (1, {'@': 57}), 29: (1, {'@': 57}), 30: (1, {'@': 57}), 31: (1, {'@': 57}), 3: (1, {'@': 57}), 32: (1, {'@': 57})}, 17: {16: (1, {'@': 58}), 17: (1, {'@': 58}), 15: (1, {'@': 58}), 19: (1, {'@': 58}), 21: (1, {'@': 58}), 12: (1, {'@': 58}), 23: (1, {'@': 58}), 26: (1, {'@': 58}), 28: (1, {'@': 58}), 2: (1, {'@': 58}), 0: (1, {'@': 58}), 1: (1, {'@': 58}), 18: (1, {'@': 58}), 20: (1, {'@': 58}), 4: (1, {'@': 58}), 22: (1, {'@': 58}), 24: (1, {'@': 58}), 25: (1, {'@': 58}), 27: (1, {'@': 58}), 29: (1, {'@': 58}), 30: (1, {'@': 58}), 31: (1, {'@': 58}), 3: (1, {'@': 58}), 32: (1, {'@': 58})}, 18: {2: (1, {'@': 59}), 4: (0, 6), 5: (0, 1), 3: (0, 14), 0: (0, 8), 6: (0, 29)}, 19: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 41), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 20: {25: (0, 65), 12: (0, 10), 28: (0, 66), 8: (0, 67)}, 21: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 68), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 22: {0: (0, 8), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (0, 14), 4: (0, 6), 5: (0, 1), 9: (0, 69), 7: (0, 3), 8: (0, 4), 6: (0, 70), 10: (0, 7), 13: (0, 11), 11: (0, 9), 12: (0, 10), 15: (0, 13)}, 23: {12: (1, {'@': 60}), 25: (1, {'@': 60}), 28: (1, {'@': 60})}, 24: {12: (1, {'@': 61}), 25: (1, {'@': 61}), 28: (1, {'@': 61})}, 25: {2: (1, {'@': 62})}, 26: {0: (1, {'@': 63}), 12: (1, {'@': 63}), 1: (1, {'@': 63}), 15: (1, {'@': 63}), 2: (1, {'@': 63}), 3: (1, {'@': 63}), 4: (1, {'@': 63})}, 27: {0: (1, {'@': 64}), 12: (1, {'@': 64}), 1: (1, {'@': 64}), 15: (1, {'@': 64}), 2: (1, {'@': 64}), 3: (1, {'@': 64}), 4: (1, {'@': 64})}, 28: {}, 29: {2: (1, {'@': 65})}, 30: {25: (0, 30), 6: (0, 71), 27: (0, 31), 18: (0, 72), 53: (0, 32), 54: (0, 33), 75: (0, 73), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 74), 57: (0, 39), 58: (0, 40), 59: (0, 75), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 76: (0, 76), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 1: (0, 77), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 74: (0, 64), 73: (0, 63), 0: (0, 8)}, 31: {25: (0, 30), 18: (0, 72), 27: (0, 31), 75: (0, 78), 6: (0, 79), 59: (0, 80), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 29: (0, 81), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 32: {35: (1, {'@': 66}), 15: (1, {'@': 66}), 21: (1, {'@': 66}), 28: (1, {'@': 66}), 2: (1, {'@': 66}), 0: (1, {'@': 66}), 36: (1, {'@': 66}), 20: (1, {'@': 66}), 37: (1, {'@': 66}), 38: (1, {'@': 66}), 22: (1, {'@': 66}), 31: (1, {'@': 66}), 39: (1, {'@': 66}), 33: (1, {'@': 66}), 40: (1, {'@': 66}), 16: (1, {'@': 66}), 17: (1, {'@': 66}), 41: (1, {'@': 66}), 19: (1, {'@': 66}), 42: (1, {'@': 66}), 43: (1, {'@': 66}), 44: (1, {'@': 66}), 12: (1, {'@': 66}), 45: (1, {'@': 66}), 46: (1, {'@': 66}), 26: (1, {'@': 66}), 47: (1, {'@': 66}), 48: (1, {'@': 66}), 1: (1, {'@': 66}), 4: (1, {'@': 66}), 49: (1, {'@': 66}), 50: (1, {'@': 66}), 24: (1, {'@': 66}), 25: (1, {'@': 66}), 27: (1, {'@': 66}), 51: (1, {'@': 66}), 29: (1, {'@': 66}), 52: (1, {'@': 66}), 30: (1, {'@': 66}), 3: (1, {'@': 66}), 32: (1, {'@': 66})}, 33: {35: (1, {'@': 67}), 15: (1, {'@': 67}), 21: (1, {'@': 67}), 28: (1, {'@': 67}), 2: (1, {'@': 67}), 0: (1, {'@': 67}), 36: (1, {'@': 67}), 20: (1, {'@': 67}), 37: (1, {'@': 67}), 38: (1, {'@': 67}), 22: (1, {'@': 67}), 31: (1, {'@': 67}), 39: (1, {'@': 67}), 33: (1, {'@': 67}), 40: (1, {'@': 67}), 16: (1, {'@': 67}), 17: (1, {'@': 67}), 41: (1, {'@': 67}), 19: (1, {'@': 67}), 42: (1, {'@': 67}), 43: (1, {'@': 67}), 44: (1, {'@': 67}), 12: (1, {'@': 67}), 45: (1, {'@': 67}), 46: (1, {'@': 67}), 26: (1, {'@': 67}), 47: (1, {'@': 67}), 48: (1, {'@': 67}), 1: (1, {'@': 67}), 4: (1, {'@': 67}), 24: (1, {'@': 67}), 25: (1, {'@': 67}), 27: (0, 83), 51: (1, {'@': 67}), 29: (1, {'@': 67}), 52: (1, {'@': 67}), 30: (1, {'@': 67}), 3: (1, {'@': 67}), 32: (1, {'@': 67}), 49: (0, 82), 50: (0, 84), 77: (0, 85), 78: (0, 86), 79: (0, 87), 80: (0, 88)}, 34: {35: (1, {'@': 68}), 15: (1, {'@': 68}), 21: (1, {'@': 68}), 28: (1, {'@': 68}), 2: (1, {'@': 68}), 0: (1, {'@': 68}), 36: (1, {'@': 68}), 20: (1, {'@': 68}), 37: (1, {'@': 68}), 38: (1, {'@': 68}), 22: (1, {'@': 68}), 31: (1, {'@': 68}), 39: (1, {'@': 68}), 33: (1, {'@': 68}), 40: (1, {'@': 68}), 16: (1, {'@': 68}), 17: (1, {'@': 68}), 41: (1, {'@': 68}), 19: (1, {'@': 68}), 42: (1, {'@': 68}), 43: (1, {'@': 68}), 44: (1, {'@': 68}), 12: (1, {'@': 68}), 45: (1, {'@': 68}), 46: (1, {'@': 68}), 26: (1, {'@': 68}), 47: (1, {'@': 68}), 48: (1, {'@': 68}), 1: (1, {'@': 68}), 4: (1, {'@': 68}), 49: (1, {'@': 68}), 50: (1, {'@': 68}), 24: (1, {'@': 68}), 25: (1, {'@': 68}), 27: (1, {'@': 68}), 51: (1, {'@': 68}), 29: (1, {'@': 68}), 52: (1, {'@': 68}), 30: (1, {'@': 68}), 3: (1, {'@': 68}), 32: (1, {'@': 68})}, 35: {35: (1, {'@': 69}), 15: (1, {'@': 69}), 21: (1, {'@': 69}), 28: (1, {'@': 69}), 2: (1, {'@': 69}), 0: (1, {'@': 69}), 36: (1, {'@': 69}), 20: (1, {'@': 69}), 37: (1, {'@': 69}), 38: (1, {'@': 69}), 22: (1, {'@': 69}), 31: (1, {'@': 69}), 39: (1, {'@': 69}), 33: (1, {'@': 69}), 40: (1, {'@': 69}), 16: (1, {'@': 69}), 17: (1, {'@': 69}), 41: (1, {'@': 69}), 19: (1, {'@': 69}), 42: (1, {'@': 69}), 43: (1, {'@': 69}), 44: (1, {'@': 69}), 12: (1, {'@': 69}), 45: (1, {'@': 69}), 46: (1, {'@': 69}), 26: (1, {'@': 69}), 47: (1, {'@': 69}), 48: (1, {'@': 69}), 1: (1, {'@': 69}), 4: (1, {'@': 69}), 49: (1, {'@': 69}), 50: (1, {'@': 69}), 24: (1, {'@': 69}), 25: (1, {'@': 69}), 27: (1, {'@': 69}), 51: (1, {'@': 69}), 29: (1, {'@': 69}), 52: (1, {'@': 69}), 30: (1, {'@': 69}), 3: (1, {'@': 69}), 32: (1, {'@': 69})}, 36: {35: (1, {'@': 70}), 15: (1, {'@': 70}), 21: (1, {'@': 70}), 28: (1, {'@': 70}), 2: (1, {'@': 70}), 0: (1, {'@': 70}), 36: (1, {'@': 70}), 20: (1, {'@': 70}), 37: (1, {'@': 70}), 38: (1, {'@': 70}), 22: (1, {'@': 70}), 31: (1, {'@': 70}), 39: (1, {'@': 70}), 33: (1, {'@': 70}), 40: (1, {'@': 70}), 16: (1, {'@': 70}), 17: (1, {'@': 70}), 41: (1, {'@': 70}), 19: (1, {'@': 70}), 42: (1, {'@': 70}), 43: (1, {'@': 70}), 44: (1, {'@': 70}), 12: (1, {'@': 70}), 45: (1, {'@': 70}), 46: (1, {'@': 70}), 26: (1, {'@': 70}), 47: (1, {'@': 70}), 48: (1, {'@': 70}), 1: (1, {'@': 70}), 4: (1, {'@': 70}), 49: (1, {'@': 70}), 50: (1, {'@': 70}), 24: (1, {'@': 70}), 25: (1, {'@': 70}), 27: (1, {'@': 70}), 51: (1, {'@': 70}), 29: (1, {'@': 70}), 52: (1, {'@': 70}), 30: (1, {'@': 70}), 3: (1, {'@': 70}), 32: (1, {'@': 70})}, 37: {35: (1, {'@': 71}), 15: (1, {'@': 71}), 21: (1, {'@': 71}), 28: (1, {'@': 71}), 2: (1, {'@': 71}), 0: (1, {'@': 71}), 36: (1, {'@': 71}), 20: (1, {'@': 71}), 37: (1, {'@': 71}), 38: (1, {'@': 71}), 22: (1, {'@': 71}), 31: (1, {'@': 71}), 39: (1, {'@': 71}), 33: (1, {'@': 71}), 40: (1, {'@': 71}), 16: (1, {'@': 71}), 17: (1, {'@': 71}), 41: (1, {'@': 71}), 19: (1, {'@': 71}), 42: (1, {'@': 71}), 43: (1, {'@': 71}), 44: (1, {'@': 71}), 12: (1, {'@': 71}), 45: (1, {'@': 71}), 46: (1, {'@': 71}), 26: (1, {'@': 71}), 47: (1, {'@': 71}), 48: (1, {'@': 71}), 1: (1, {'@': 71}), 4: (1, {'@': 71}), 49: (1, {'@': 71}), 50: (1, {'@': 71}), 24: (1, {'@': 71}), 25: (1, {'@': 71}), 27: (1, {'@': 71}), 51: (1, {'@': 71}), 29: (1, {'@': 71}), 52: (1, {'@': 71}), 30: (1, {'@': 71}), 3: (1, {'@': 71}), 32: (1, {'@': 71})}, 38: {35: (1, {'@': 72}), 15: (1, {'@': 72}), 21: (1, {'@': 72}), 28: (1, {'@': 72}), 2: (1, {'@': 72}), 0: (1, {'@': 72}), 36: (1, {'@': 72}), 20: (1, {'@': 72}), 37: (1, {'@': 72}), 38: (1, {'@': 72}), 22: (1, {'@': 72}), 31: (1, {'@': 72}), 39: (1, {'@': 72}), 33: (1, {'@': 72}), 40: (1, {'@': 72}), 16: (1, {'@': 72}), 17: (1, {'@': 72}), 41: (1, {'@': 72}), 19: (1, {'@': 72}), 42: (1, {'@': 72}), 43: (1, {'@': 72}), 44: (1, {'@': 72}), 12: (1, {'@': 72}), 45: (1, {'@': 72}), 46: (1, {'@': 72}), 26: (1, {'@': 72}), 47: (1, {'@': 72}), 48: (1, {'@': 72}), 1: (1, {'@': 72}), 4: (1, {'@': 72}), 49: (1, {'@': 72}), 50: (1, {'@': 72}), 24: (1, {'@': 72}), 25: (1, {'@': 72}), 27: (1, {'@': 72}), 51: (1, {'@': 72}), 29: (1, {'@': 72}), 52: (1, {'@': 72}), 30: (1, {'@': 72}), 3: (1, {'@': 72}), 32: (0, 89)}, 39: {35: (1, {'@': 73}), 15: (1, {'@': 73}), 21: (1, {'@': 73}), 28: (1, {'@': 73}), 2: (1, {'@': 73}), 0: (1, {'@': 73}), 36: (1, {'@': 73}), 20: (1, {'@': 73}), 37: (1, {'@': 73}), 38: (1, {'@': 73}), 22: (1, {'@': 73}), 31: (1, {'@': 73}), 39: (1, {'@': 73}), 33: (1, {'@': 73}), 40: (1, {'@': 73}), 16: (1, {'@': 73}), 17: (1, {'@': 73}), 41: (1, {'@': 73}), 19: (1, {'@': 73}), 42: (1, {'@': 73}), 43: (1, {'@': 73}), 44: (1, {'@': 73}), 12: (1, {'@': 73}), 45: (1, {'@': 73}), 46: (1, {'@': 73}), 26: (1, {'@': 73}), 47: (1, {'@': 73}), 48: (1, {'@': 73}), 1: (1, {'@': 73}), 4: (1, {'@': 73}), 49: (1, {'@': 73}), 50: (1, {'@': 73}), 24: (1, {'@': 73}), 25: (1, {'@': 73}), 27: (1, {'@': 73}), 51: (1, {'@': 73}), 29: (1, {'@': 73}), 52: (1, {'@': 73}), 30: (1, {'@': 73}), 3: (1, {'@': 73}), 32: (1, {'@': 73})}, 40: {35: (1, {'@': 74}), 15: (1, {'@': 74}), 21: (1, {'@': 74}), 28: (1, {'@': 74}), 2: (1, {'@': 74}), 0: (1, {'@': 74}), 36: (1, {'@': 74}), 20: (1, {'@': 74}), 37: (1, {'@': 74}), 38: (1, {'@': 74}), 22: (1, {'@': 74}), 31: (1, {'@': 74}), 39: (1, {'@': 74}), 33: (1, {'@': 74}), 40: (1, {'@': 74}), 16: (1, {'@': 74}), 17: (1, {'@': 74}), 41: (1, {'@': 74}), 19: (1, {'@': 74}), 42: (1, {'@': 74}), 43: (1, {'@': 74}), 44: (1, {'@': 74}), 12: (1, {'@': 74}), 45: (1, {'@': 74}), 46: (1, {'@': 74}), 26: (1, {'@': 74}), 47: (1, {'@': 74}), 48: (1, {'@': 74}), 1: (1, {'@': 74}), 4: (1, {'@': 74}), 49: (1, {'@': 74}), 50: (1, {'@': 74}), 24: (1, {'@': 74}), 25: (1, {'@': 74}), 27: (1, {'@': 74}), 51: (1, {'@': 74}), 29: (1, {'@': 74}), 52: (1, {'@': 74}), 30: (1, {'@': 74}), 3: (1, {'@': 74}), 32: (1, {'@': 74})}, 41: {0: (0, 8), 12: (1, {'@': 75}), 1: (1, {'@': 75}), 15: (1, {'@': 75}), 2: (1, {'@': 75}), 3: (0, 14), 4: (0, 6), 40: (0, 90), 5: (0, 1), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 6: (0, 96), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 42: {35: (1, {'@': 76}), 15: (1, {'@': 76}), 21: (1, {'@': 76}), 28: (1, {'@': 76}), 2: (1, {'@': 76}), 0: (1, {'@': 76}), 36: (1, {'@': 76}), 20: (1, {'@': 76}), 37: (1, {'@': 76}), 38: (1, {'@': 76}), 22: (1, {'@': 76}), 31: (1, {'@': 76}), 39: (1, {'@': 76}), 33: (1, {'@': 76}), 40: (1, {'@': 76}), 16: (1, {'@': 76}), 17: (1, {'@': 76}), 41: (1, {'@': 76}), 19: (1, {'@': 76}), 42: (1, {'@': 76}), 43: (1, {'@': 76}), 44: (1, {'@': 76}), 12: (1, {'@': 76}), 45: (1, {'@': 76}), 46: (1, {'@': 76}), 26: (1, {'@': 76}), 47: (1, {'@': 76}), 83: (1, {'@': 76}), 48: (1, {'@': 76}), 1: (1, {'@': 76}), 4: (1, {'@': 76}), 49: (1, {'@': 76}), 50: (1, {'@': 76}), 24: (1, {'@': 76}), 25: (1, {'@': 76}), 27: (1, {'@': 76}), 51: (1, {'@': 76}), 29: (1, {'@': 76}), 52: (1, {'@': 76}), 30: (1, {'@': 76}), 3: (1, {'@': 76}), 32: (1, {'@': 76})}, 43: {35: (1, {'@': 77}), 15: (1, {'@': 77}), 21: (1, {'@': 77}), 28: (1, {'@': 77}), 2: (1, {'@': 77}), 0: (1, {'@': 77}), 36: (1, {'@': 77}), 20: (1, {'@': 77}), 37: (1, {'@': 77}), 38: (1, {'@': 77}), 22: (1, {'@': 77}), 31: (1, {'@': 77}), 39: (1, {'@': 77}), 33: (1, {'@': 77}), 40: (1, {'@': 77}), 16: (1, {'@': 77}), 17: (1, {'@': 77}), 41: (1, {'@': 77}), 19: (1, {'@': 77}), 42: (1, {'@': 77}), 43: (1, {'@': 77}), 44: (1, {'@': 77}), 12: (1, {'@': 77}), 45: (1, {'@': 77}), 46: (1, {'@': 77}), 26: (1, {'@': 77}), 47: (1, {'@': 77}), 48: (1, {'@': 77}), 1: (1, {'@': 77}), 4: (1, {'@': 77}), 49: (1, {'@': 77}), 50: (1, {'@': 77}), 24: (1, {'@': 77}), 25: (1, {'@': 77}), 27: (1, {'@': 77}), 51: (1, {'@': 77}), 29: (1, {'@': 77}), 52: (1, {'@': 77}), 30: (1, {'@': 77}), 3: (1, {'@': 77}), 32: (1, {'@': 77})}, 44: {35: (1, {'@': 78}), 15: (1, {'@': 78}), 21: (1, {'@': 78}), 28: (1, {'@': 78}), 2: (1, {'@': 78}), 0: (1, {'@': 78}), 36: (1, {'@': 78}), 20: (1, {'@': 78}), 37: (1, {'@': 78}), 38: (1, {'@': 78}), 22: (1, {'@': 78}), 31: (1, {'@': 78}), 39: (1, {'@': 78}), 33: (1, {'@': 78}), 40: (1, {'@': 78}), 16: (1, {'@': 78}), 17: (1, {'@': 78}), 41: (1, {'@': 78}), 19: (1, {'@': 78}), 42: (1, {'@': 78}), 43: (1, {'@': 78}), 44: (1, {'@': 78}), 12: (1, {'@': 78}), 45: (1, {'@': 78}), 46: (1, {'@': 78}), 26: (1, {'@': 78}), 47: (1, {'@': 78}), 48: (1, {'@': 78}), 1: (1, {'@': 78}), 4: (1, {'@': 78}), 49: (1, {'@': 78}), 50: (1, {'@': 78}), 24: (1, {'@': 78}), 25: (1, {'@': 78}), 27: (1, {'@': 78}), 51: (1, {'@': 78}), 29: (1, {'@': 78}), 52: (1, {'@': 78}), 30: (1, {'@': 78}), 3: (1, {'@': 78}), 32: (1, {'@': 78})}, 45: {35: (1, {'@': 79}), 15: (1, {'@': 79}), 21: (1, {'@': 79}), 28: (1, {'@': 79}), 2: (1, {'@': 79}), 0: (1, {'@': 79}), 36: (1, {'@': 79}), 20: (1, {'@': 79}), 37: (1, {'@': 79}), 38: (1, {'@': 79}), 22: (1, {'@': 79}), 31: (1, {'@': 79}), 39: (1, {'@': 79}), 33: (1, {'@': 79}), 40: (1, {'@': 79}), 16: (1, {'@': 79}), 17: (1, {'@': 79}), 41: (1, {'@': 79}), 19: (1, {'@': 79}), 42: (1, {'@': 79}), 43: (1, {'@': 79}), 44: (1, {'@': 79}), 12: (1, {'@': 79}), 45: (1, {'@': 79}), 46: (1, {'@': 79}), 26: (1, {'@': 79}), 47: (1, {'@': 79}), 48: (1, {'@': 79}), 1: (1, {'@': 79}), 4: (1, {'@': 79}), 49: (0, 107), 50: (1, {'@': 79}), 24: (0, 108), 25: (1, {'@': 79}), 27: (1, {'@': 79}), 51: (1, {'@': 79}), 29: (1, {'@': 79}), 52: (1, {'@': 79}), 30: (1, {'@': 79}), 3: (1, {'@': 79}), 32: (1, {'@': 79}), 83: (0, 109)}, 46: {35: (1, {'@': 80}), 15: (1, {'@': 80}), 21: (1, {'@': 80}), 28: (1, {'@': 80}), 2: (1, {'@': 80}), 0: (1, {'@': 80}), 36: (1, {'@': 80}), 20: (1, {'@': 80}), 37: (1, {'@': 80}), 38: (1, {'@': 80}), 22: (1, {'@': 80}), 31: (1, {'@': 80}), 39: (1, {'@': 80}), 33: (1, {'@': 80}), 40: (1, {'@': 80}), 16: (1, {'@': 80}), 17: (1, {'@': 80}), 41: (1, {'@': 80}), 19: (1, {'@': 80}), 42: (1, {'@': 80}), 43: (1, {'@': 80}), 44: (1, {'@': 80}), 12: (1, {'@': 80}), 45: (1, {'@': 80}), 46: (1, {'@': 80}), 26: (1, {'@': 80}), 47: (1, {'@': 80}), 48: (1, {'@': 80}), 1: (1, {'@': 80}), 4: (1, {'@': 80}), 49: (1, {'@': 80}), 50: (1, {'@': 80}), 24: (1, {'@': 80}), 25: (1, {'@': 80}), 27: (1, {'@': 80}), 51: (1, {'@': 80}), 29: (1, {'@': 80}), 52: (1, {'@': 80}), 30: (1, {'@': 80}), 3: (1, {'@': 80}), 32: (1, {'@': 80})}, 47: {35: (1, {'@': 81}), 15: (1, {'@': 81}), 21: (1, {'@': 81}), 28: (1, {'@': 81}), 2: (1, {'@': 81}), 0: (1, {'@': 81}), 36: (1, {'@': 81}), 20: (1, {'@': 81}), 37: (1, {'@': 81}), 38: (1, {'@': 81}), 22: (1, {'@': 81}), 31: (1, {'@': 81}), 39: (1, {'@': 81}), 33: (1, {'@': 81}), 40: (1, {'@': 81}), 16: (1, {'@': 81}), 17: (1, {'@': 81}), 41: (1, {'@': 81}), 19: (1, {'@': 81}), 42: (1, {'@': 81}), 43: (1, {'@': 81}), 44: (1, {'@': 81}), 12: (1, {'@': 81}), 45: (1, {'@': 81}), 46: (1, {'@': 81}), 26: (1, {'@': 81}), 47: (1, {'@': 81}), 48: (1, {'@': 81}), 1: (1, {'@': 81}), 4: (1, {'@': 81}), 49: (1, {'@': 81}), 50: (1, {'@': 81}), 24: (1, {'@': 81}), 25: (1, {'@': 81}), 27: (1, {'@': 81}), 51: (1, {'@': 81}), 29: (1, {'@': 81}), 52: (1, {'@': 81}), 30: (1, {'@': 81}), 3: (1, {'@': 81}), 32: (1, {'@': 81})}, 48: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 6: (0, 110), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 111), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 49: {35: (1, {'@': 82}), 15: (1, {'@': 82}), 21: (1, {'@': 82}), 28: (1, {'@': 82}), 2: (1, {'@': 82}), 0: (1, {'@': 82}), 36: (1, {'@': 82}), 20: (1, {'@': 82}), 37: (1, {'@': 82}), 38: (1, {'@': 82}), 22: (1, {'@': 82}), 31: (1, {'@': 82}), 39: (1, {'@': 82}), 33: (1, {'@': 82}), 40: (1, {'@': 82}), 16: (1, {'@': 82}), 17: (1, {'@': 82}), 41: (1, {'@': 82}), 19: (1, {'@': 82}), 42: (1, {'@': 82}), 43: (1, {'@': 82}), 44: (1, {'@': 82}), 12: (1, {'@': 82}), 45: (1, {'@': 82}), 46: (1, {'@': 82}), 26: (1, {'@': 82}), 47: (1, {'@': 82}), 48: (1, {'@': 82}), 1: (1, {'@': 82}), 4: (1, {'@': 82}), 24: (1, {'@': 82}), 25: (1, {'@': 82}), 27: (1, {'@': 82}), 51: (1, {'@': 82}), 29: (1, {'@': 82}), 52: (1, {'@': 82}), 30: (1, {'@': 82}), 3: (1, {'@': 82}), 32: (1, {'@': 82})}, 50: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 112), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 68: (0, 57), 69: (0, 58), 71: (0, 60), 72: (0, 62), 12: (0, 10), 73: (0, 63)}, 51: {35: (1, {'@': 83}), 15: (1, {'@': 83}), 21: (1, {'@': 83}), 28: (1, {'@': 83}), 2: (1, {'@': 83}), 0: (1, {'@': 83}), 36: (1, {'@': 83}), 20: (1, {'@': 83}), 37: (1, {'@': 83}), 38: (1, {'@': 83}), 22: (1, {'@': 83}), 31: (1, {'@': 83}), 39: (1, {'@': 83}), 33: (1, {'@': 83}), 40: (1, {'@': 83}), 16: (1, {'@': 83}), 17: (1, {'@': 83}), 41: (1, {'@': 83}), 19: (1, {'@': 83}), 42: (1, {'@': 83}), 43: (1, {'@': 83}), 44: (1, {'@': 83}), 12: (1, {'@': 83}), 45: (1, {'@': 83}), 46: (1, {'@': 83}), 26: (1, {'@': 83}), 47: (1, {'@': 83}), 48: (1, {'@': 83}), 1: (1, {'@': 83}), 4: (1, {'@': 83}), 49: (1, {'@': 83}), 50: (1, {'@': 83}), 24: (1, {'@': 83}), 25: (1, {'@': 83}), 27: (1, {'@': 83}), 51: (1, {'@': 83}), 29: (1, {'@': 83}), 52: (1, {'@': 83}), 30: (1, {'@': 83}), 3: (1, {'@': 83}), 32: (1, {'@': 83})}, 52: {35: (1, {'@': 84}), 15: (1, {'@': 84}), 21: (1, {'@': 84}), 28: (1, {'@': 84}), 2: (1, {'@': 84}), 0: (1, {'@': 84}), 36: (1, {'@': 84}), 20: (1, {'@': 84}), 37: (1, {'@': 84}), 38: (1, {'@': 84}), 22: (1, {'@': 84}), 31: (1, {'@': 84}), 39: (1, {'@': 84}), 33: (1, {'@': 84}), 40: (1, {'@': 84}), 16: (1, {'@': 84}), 17: (1, {'@': 84}), 41: (1, {'@': 84}), 19: (1, {'@': 84}), 42: (1, {'@': 84}), 43: (1, {'@': 84}), 44: (1, {'@': 84}), 12: (1, {'@': 84}), 45: (1, {'@': 84}), 46: (1, {'@': 84}), 26: (1, {'@': 84}), 47: (1, {'@': 84}), 48: (1, {'@': 84}), 1: (1, {'@': 84}), 4: (1, {'@': 84}), 49: (1, {'@': 84}), 50: (1, {'@': 84}), 24: (1, {'@': 84}), 25: (1, {'@': 84}), 27: (1, {'@': 84}), 51: (1, {'@': 84}), 29: (1, {'@': 84}), 52: (1, {'@': 84}), 30: (1, {'@': 84}), 3: (1, {'@': 84}), 32: (1, {'@': 84})}, 53: {35: (1, {'@': 85}), 15: (1, {'@': 85}), 21: (1, {'@': 85}), 28: (1, {'@': 85}), 2: (1, {'@': 85}), 0: (1, {'@': 85}), 36: (1, {'@': 85}), 20: (1, {'@': 85}), 37: (1, {'@': 85}), 38: (1, {'@': 85}), 22: (1, {'@': 85}), 31: (1, {'@': 85}), 39: (1, {'@': 85}), 33: (1, {'@': 85}), 40: (1, {'@': 85}), 16: (1, {'@': 85}), 17: (1, {'@': 85}), 41: (1, {'@': 85}), 19: (1, {'@': 85}), 42: (1, {'@': 85}), 43: (1, {'@': 85}), 44: (1, {'@': 85}), 12: (1, {'@': 85}), 45: (1, {'@': 85}), 46: (1, {'@': 85}), 26: (1, {'@': 85}), 47: (1, {'@': 85}), 48: (1, {'@': 85}), 1: (1, {'@': 85}), 4: (1, {'@': 85}), 49: (1, {'@': 85}), 50: (1, {'@': 85}), 24: (1, {'@': 85}), 25: (1, {'@': 85}), 27: (1, {'@': 85}), 51: (1, {'@': 85}), 29: (1, {'@': 85}), 52: (1, {'@': 85}), 30: (1, {'@': 85}), 3: (1, {'@': 85}), 32: (1, {'@': 85})}, 54: {35: (1, {'@': 86}), 15: (1, {'@': 86}), 21: (1, {'@': 86}), 28: (1, {'@': 86}), 2: (1, {'@': 86}), 0: (1, {'@': 86}), 36: (1, {'@': 86}), 20: (1, {'@': 86}), 37: (1, {'@': 86}), 38: (1, {'@': 86}), 22: (1, {'@': 86}), 31: (1, {'@': 86}), 39: (1, {'@': 86}), 33: (1, {'@': 86}), 40: (1, {'@': 86}), 16: (1, {'@': 86}), 17: (1, {'@': 86}), 41: (1, {'@': 86}), 19: (1, {'@': 86}), 42: (1, {'@': 86}), 43: (1, {'@': 86}), 44: (1, {'@': 86}), 12: (1, {'@': 86}), 45: (1, {'@': 86}), 46: (1, {'@': 86}), 26: (1, {'@': 86}), 47: (1, {'@': 86}), 48: (1, {'@': 86}), 1: (1, {'@': 86}), 4: (1, {'@': 86}), 49: (1, {'@': 86}), 50: (1, {'@': 86}), 24: (1, {'@': 86}), 25: (1, {'@': 86}), 27: (1, {'@': 86}), 51: (1, {'@': 86}), 29: (1, {'@': 86}), 52: (1, {'@': 86}), 30: (1, {'@': 86}), 3: (1, {'@': 86}), 32: (1, {'@': 86})}, 55: {35: (1, {'@': 87}), 15: (1, {'@': 87}), 21: (1, {'@': 87}), 28: (1, {'@': 87}), 2: (1, {'@': 87}), 0: (1, {'@': 87}), 36: (1, {'@': 87}), 20: (1, {'@': 87}), 37: (1, {'@': 87}), 38: (1, {'@': 87}), 22: (1, {'@': 87}), 31: (1, {'@': 87}), 39: (1, {'@': 87}), 33: (1, {'@': 87}), 40: (1, {'@': 87}), 16: (1, {'@': 87}), 17: (1, {'@': 87}), 41: (1, {'@': 87}), 19: (1, {'@': 87}), 42: (1, {'@': 87}), 43: (1, {'@': 87}), 44: (1, {'@': 87}), 12: (1, {'@': 87}), 45: (1, {'@': 87}), 46: (1, {'@': 87}), 26: (1, {'@': 87}), 47: (1, {'@': 87}), 48: (1, {'@': 87}), 1: (1, {'@': 87}), 4: (1, {'@': 87}), 49: (1, {'@': 87}), 50: (1, {'@': 87}), 24: (1, {'@': 87}), 25: (1, {'@': 87}), 27: (1, {'@': 87}), 51: (1, {'@': 87}), 29: (1, {'@': 87}), 52: (1, {'@': 87}), 30: (1, {'@': 87}), 3: (1, {'@': 87}), 32: (1, {'@': 87})}, 56: {35: (1, {'@': 88}), 15: (1, {'@': 88}), 21: (1, {'@': 88}), 28: (1, {'@': 88}), 2: (1, {'@': 88}), 0: (1, {'@': 88}), 36: (1, {'@': 88}), 20: (1, {'@': 88}), 37: (1, {'@': 88}), 38: (1, {'@': 88}), 22: (1, {'@': 88}), 31: (1, {'@': 88}), 39: (1, {'@': 88}), 33: (1, {'@': 88}), 40: (1, {'@': 88}), 16: (1, {'@': 88}), 17: (1, {'@': 88}), 41: (1, {'@': 88}), 19: (1, {'@': 88}), 42: (1, {'@': 88}), 43: (1, {'@': 88}), 44: (1, {'@': 88}), 12: (1, {'@': 88}), 45: (1, {'@': 88}), 46: (1, {'@': 88}), 26: (1, {'@': 88}), 47: (1, {'@': 88}), 48: (1, {'@': 88}), 1: (1, {'@': 88}), 4: (1, {'@': 88}), 24: (1, {'@': 88}), 25: (1, {'@': 88}), 27: (1, {'@': 88}), 51: (1, {'@': 88}), 29: (1, {'@': 88}), 52: (1, {'@': 88}), 30: (1, {'@': 88}), 3: (1, {'@': 88}), 32: (1, {'@': 88})}, 57: {35: (1, {'@': 89}), 15: (1, {'@': 89}), 21: (1, {'@': 89}), 28: (1, {'@': 89}), 2: (1, {'@': 89}), 0: (1, {'@': 89}), 36: (1, {'@': 89}), 20: (1, {'@': 89}), 37: (1, {'@': 89}), 38: (1, {'@': 89}), 22: (1, {'@': 89}), 31: (1, {'@': 89}), 39: (1, {'@': 89}), 33: (1, {'@': 89}), 40: (1, {'@': 89}), 16: (1, {'@': 89}), 17: (1, {'@': 89}), 41: (1, {'@': 89}), 19: (1, {'@': 89}), 42: (1, {'@': 89}), 43: (1, {'@': 89}), 44: (1, {'@': 89}), 12: (1, {'@': 89}), 45: (1, {'@': 89}), 46: (1, {'@': 89}), 26: (1, {'@': 89}), 47: (1, {'@': 89}), 48: (1, {'@': 89}), 1: (1, {'@': 89}), 4: (1, {'@': 89}), 49: (1, {'@': 89}), 50: (1, {'@': 89}), 24: (1, {'@': 89}), 25: (1, {'@': 89}), 27: (1, {'@': 89}), 51: (1, {'@': 89}), 29: (1, {'@': 89}), 52: (1, {'@': 89}), 30: (1, {'@': 89}), 3: (1, {'@': 89}), 32: (1, {'@': 89})}, 58: {35: (1, {'@': 90}), 15: (1, {'@': 90}), 21: (1, {'@': 90}), 28: (1, {'@': 90}), 2: (1, {'@': 90}), 0: (1, {'@': 90}), 36: (1, {'@': 90}), 20: (1, {'@': 90}), 37: (1, {'@': 90}), 38: (1, {'@': 90}), 22: (1, {'@': 90}), 31: (1, {'@': 90}), 39: (1, {'@': 90}), 33: (1, {'@': 90}), 40: (1, {'@': 90}), 16: (1, {'@': 90}), 17: (1, {'@': 90}), 41: (1, {'@': 90}), 19: (1, {'@': 90}), 42: (1, {'@': 90}), 43: (1, {'@': 90}), 44: (1, {'@': 90}), 12: (1, {'@': 90}), 45: (1, {'@': 90}), 46: (1, {'@': 90}), 26: (1, {'@': 90}), 47: (1, {'@': 90}), 48: (1, {'@': 90}), 1: (1, {'@': 90}), 4: (1, {'@': 90}), 49: (1, {'@': 90}), 50: (1, {'@': 90}), 24: (1, {'@': 90}), 25: (1, {'@': 90}), 27: (1, {'@': 90}), 51: (1, {'@': 90}), 29: (1, {'@': 90}), 52: (1, {'@': 90}), 30: (1, {'@': 90}), 3: (1, {'@': 90}), 32: (1, {'@': 90})}, 59: {35: (1, {'@': 91}), 15: (1, {'@': 91}), 21: (1, {'@': 91}), 28: (1, {'@': 91}), 2: (1, {'@': 91}), 0: (1, {'@': 91}), 36: (1, {'@': 91}), 20: (1, {'@': 91}), 37: (1, {'@': 91}), 38: (1, {'@': 91}), 22: (1, {'@': 91}), 31: (1, {'@': 91}), 39: (1, {'@': 91}), 33: (1, {'@': 91}), 40: (1, {'@': 91}), 16: (1, {'@': 91}), 17: (1, {'@': 91}), 41: (1, {'@': 91}), 19: (1, {'@': 91}), 42: (1, {'@': 91}), 43: (1, {'@': 91}), 44: (1, {'@': 91}), 12: (1, {'@': 91}), 45: (1, {'@': 91}), 46: (1, {'@': 91}), 26: (1, {'@': 91}), 47: (1, {'@': 91}), 48: (1, {'@': 91}), 1: (1, {'@': 91}), 4: (1, {'@': 91}), 24: (1, {'@': 91}), 25: (1, {'@': 91}), 27: (1, {'@': 91}), 51: (1, {'@': 91}), 29: (1, {'@': 91}), 52: (1, {'@': 91}), 30: (1, {'@': 91}), 3: (1, {'@': 91}), 32: (1, {'@': 91})}, 60: {35: (1, {'@': 92}), 15: (1, {'@': 92}), 21: (1, {'@': 92}), 28: (1, {'@': 92}), 2: (1, {'@': 92}), 0: (1, {'@': 92}), 36: (1, {'@': 92}), 20: (1, {'@': 92}), 37: (1, {'@': 92}), 38: (1, {'@': 92}), 22: (1, {'@': 92}), 31: (1, {'@': 92}), 39: (1, {'@': 92}), 33: (1, {'@': 92}), 40: (1, {'@': 92}), 16: (1, {'@': 92}), 17: (1, {'@': 92}), 41: (1, {'@': 92}), 19: (1, {'@': 92}), 42: (1, {'@': 92}), 43: (1, {'@': 92}), 44: (1, {'@': 92}), 12: (1, {'@': 92}), 45: (1, {'@': 92}), 46: (1, {'@': 92}), 26: (1, {'@': 92}), 47: (1, {'@': 92}), 48: (1, {'@': 92}), 1: (1, {'@': 92}), 4: (1, {'@': 92}), 49: (1, {'@': 92}), 50: (1, {'@': 92}), 24: (1, {'@': 92}), 25: (1, {'@': 92}), 27: (1, {'@': 92}), 51: (1, {'@': 92}), 29: (1, {'@': 92}), 52: (1, {'@': 92}), 30: (1, {'@': 92}), 3: (1, {'@': 92}), 32: (1, {'@': 92})}, 61: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 113), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 68: (0, 57), 69: (0, 58), 71: (0, 60), 72: (0, 62), 12: (0, 10), 73: (0, 63)}, 62: {35: (1, {'@': 93}), 15: (1, {'@': 93}), 21: (1, {'@': 93}), 28: (1, {'@': 93}), 2: (1, {'@': 93}), 0: (1, {'@': 93}), 36: (1, {'@': 93}), 20: (1, {'@': 93}), 37: (1, {'@': 93}), 38: (1, {'@': 93}), 22: (1, {'@': 93}), 31: (1, {'@': 93}), 39: (1, {'@': 93}), 33: (1, {'@': 93}), 40: (1, {'@': 93}), 16: (1, {'@': 93}), 17: (1, {'@': 93}), 41: (1, {'@': 93}), 19: (1, {'@': 93}), 42: (1, {'@': 93}), 43: (1, {'@': 93}), 44: (1, {'@': 93}), 12: (1, {'@': 93}), 45: (1, {'@': 93}), 46: (1, {'@': 93}), 26: (1, {'@': 93}), 47: (1, {'@': 93}), 48: (1, {'@': 93}), 1: (1, {'@': 93}), 4: (1, {'@': 93}), 49: (1, {'@': 93}), 50: (1, {'@': 93}), 24: (1, {'@': 93}), 25: (1, {'@': 93}), 27: (1, {'@': 93}), 51: (1, {'@': 93}), 29: (1, {'@': 93}), 52: (1, {'@': 93}), 30: (1, {'@': 93}), 3: (1, {'@': 93}), 32: (1, {'@': 93})}, 63: {35: (1, {'@': 94}), 15: (1, {'@': 94}), 21: (1, {'@': 94}), 28: (1, {'@': 94}), 2: (1, {'@': 94}), 0: (1, {'@': 94}), 36: (1, {'@': 94}), 20: (1, {'@': 94}), 37: (1, {'@': 94}), 38: (1, {'@': 94}), 22: (1, {'@': 94}), 31: (1, {'@': 94}), 39: (1, {'@': 94}), 33: (1, {'@': 94}), 40: (1, {'@': 94}), 16: (1, {'@': 94}), 17: (1, {'@': 94}), 41: (1, {'@': 94}), 19: (1, {'@': 94}), 42: (1, {'@': 94}), 43: (1, {'@': 94}), 44: (1, {'@': 94}), 12: (1, {'@': 94}), 45: (1, {'@': 94}), 46: (1, {'@': 94}), 26: (1, {'@': 94}), 47: (1, {'@': 94}), 48: (1, {'@': 94}), 1: (1, {'@': 94}), 4: (1, {'@': 94}), 49: (1, {'@': 94}), 50: (1, {'@': 94}), 24: (1, {'@': 94}), 25: (1, {'@': 94}), 27: (1, {'@': 94}), 51: (1, {'@': 94}), 29: (1, {'@': 94}), 52: (1, {'@': 94}), 30: (1, {'@': 94}), 3: (1, {'@': 94}), 32: (1, {'@': 94})}, 64: {35: (1, {'@': 95}), 15: (1, {'@': 95}), 21: (1, {'@': 95}), 28: (1, {'@': 95}), 2: (1, {'@': 95}), 0: (1, {'@': 95}), 36: (1, {'@': 95}), 20: (1, {'@': 95}), 37: (1, {'@': 95}), 38: (1, {'@': 95}), 22: (1, {'@': 95}), 31: (1, {'@': 95}), 39: (1, {'@': 95}), 33: (1, {'@': 95}), 40: (1, {'@': 95}), 16: (1, {'@': 95}), 17: (1, {'@': 95}), 41: (1, {'@': 95}), 19: (1, {'@': 95}), 42: (1, {'@': 95}), 43: (1, {'@': 95}), 44: (1, {'@': 95}), 12: (1, {'@': 95}), 45: (1, {'@': 95}), 46: (1, {'@': 95}), 26: (1, {'@': 95}), 47: (1, {'@': 95}), 48: (1, {'@': 95}), 1: (1, {'@': 95}), 4: (1, {'@': 95}), 24: (1, {'@': 95}), 25: (1, {'@': 95}), 27: (1, {'@': 95}), 51: (1, {'@': 95}), 29: (1, {'@': 95}), 52: (1, {'@': 95}), 30: (1, {'@': 95}), 3: (1, {'@': 95}), 32: (1, {'@': 95})}, 65: {0: (0, 8), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (0, 14), 4: (0, 6), 5: (0, 1), 7: (0, 3), 8: (0, 4), 9: (0, 114), 10: (0, 7), 13: (0, 11), 11: (0, 9), 12: (0, 10), 6: (0, 115), 15: (0, 13)}, 66: {12: (1, {'@': 96}), 25: (1, {'@': 96}), 28: (1, {'@': 96})}, 67: {12: (1, {'@': 97}), 25: (1, {'@': 97}), 28: (1, {'@': 97})}, 68: {0: (0, 8), 12: (1, {'@': 98}), 1: (1, {'@': 98}), 15: (1, {'@': 98}), 2: (1, {'@': 98}), 3: (0, 14), 4: (0, 6), 40: (0, 90), 5: (0, 1), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 6: (0, 116), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 69: {1: (0, 117)}, 70: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 7: (0, 3), 8: (0, 4), 10: (0, 7), 13: (0, 11), 11: (0, 9), 12: (0, 10), 15: (0, 13), 9: (0, 118)}, 71: {25: (0, 30), 18: (0, 72), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 76: (0, 119), 55: (0, 36), 56: (0, 37), 8: (0, 74), 75: (0, 120), 57: (0, 39), 58: (0, 40), 59: (0, 75), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 67: (0, 56), 19: (0, 55), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 74: (0, 64), 73: (0, 63)}, 72: {6: (0, 121), 5: (0, 1), 8: (0, 122), 4: (0, 6), 12: (0, 10), 0: (0, 8), 3: (0, 14)}, 73: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 59: (0, 123), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 74: {35: (1, {'@': 72}), 15: (0, 13), 21: (0, 61), 28: (0, 51), 2: (1, {'@': 72}), 0: (1, {'@': 72}), 36: (1, {'@': 72}), 20: (0, 35), 37: (1, {'@': 72}), 38: (1, {'@': 72}), 22: (1, {'@': 72}), 31: (0, 50), 39: (0, 125), 33: (0, 127), 40: (1, {'@': 72}), 16: (0, 34), 17: (1, {'@': 72}), 41: (1, {'@': 72}), 19: (0, 55), 42: (1, {'@': 72}), 43: (1, {'@': 72}), 44: (1, {'@': 72}), 12: (0, 10), 45: (1, {'@': 72}), 46: (1, {'@': 72}), 26: (0, 47), 47: (1, {'@': 72}), 48: (1, {'@': 72}), 1: (1, {'@': 72}), 4: (1, {'@': 72}), 49: (1, {'@': 72}), 50: (1, {'@': 72}), 24: (0, 42), 25: (0, 30), 27: (0, 31), 51: (1, {'@': 72}), 29: (1, {'@': 72}), 52: (1, {'@': 72}), 30: (1, {'@': 72}), 3: (1, {'@': 72}), 32: (0, 126), 53: (0, 32), 54: (0, 33), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 124), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 64: (0, 49), 65: (0, 52), 66: (0, 53), 7: (0, 54), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 72: (0, 62), 73: (0, 63), 74: (0, 64)}, 75: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 36: (0, 101), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 47: (0, 106), 57: (0, 39), 40: (0, 90), 58: (0, 40), 59: (0, 128), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 42: (0, 91), 31: (0, 129), 33: (0, 130), 28: (0, 51), 44: (0, 100), 65: (0, 52), 37: (0, 102), 45: (0, 105), 81: (0, 94), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 52: (0, 92), 82: (0, 95), 70: (0, 59), 71: (0, 60), 21: (0, 61), 39: (0, 131), 72: (0, 62), 12: (0, 10), 38: (0, 104), 73: (0, 63), 74: (0, 64), 43: (0, 93), 35: (0, 97), 46: (0, 98), 51: (0, 103)}, 76: {5: (0, 1), 84: (0, 132), 1: (0, 133), 22: (0, 134), 4: (0, 6), 6: (0, 135), 0: (0, 8), 85: (0, 136), 3: (0, 14)}, 77: {35: (1, {'@': 99}), 15: (1, {'@': 99}), 21: (1, {'@': 99}), 28: (1, {'@': 99}), 2: (1, {'@': 99}), 0: (1, {'@': 99}), 36: (1, {'@': 99}), 20: (1, {'@': 99}), 37: (1, {'@': 99}), 38: (1, {'@': 99}), 22: (1, {'@': 99}), 31: (1, {'@': 99}), 39: (1, {'@': 99}), 33: (1, {'@': 99}), 40: (1, {'@': 99}), 16: (1, {'@': 99}), 17: (1, {'@': 99}), 41: (1, {'@': 99}), 19: (1, {'@': 99}), 42: (1, {'@': 99}), 43: (1, {'@': 99}), 44: (1, {'@': 99}), 12: (1, {'@': 99}), 45: (1, {'@': 99}), 46: (1, {'@': 99}), 26: (1, {'@': 99}), 47: (1, {'@': 99}), 48: (1, {'@': 99}), 1: (1, {'@': 99}), 4: (1, {'@': 99}), 49: (1, {'@': 99}), 50: (1, {'@': 99}), 24: (1, {'@': 99}), 25: (1, {'@': 99}), 27: (1, {'@': 99}), 51: (1, {'@': 99}), 29: (1, {'@': 99}), 52: (1, {'@': 99}), 30: (1, {'@': 99}), 3: (1, {'@': 99}), 32: (1, {'@': 99})}, 78: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 59: (0, 137), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 5: (0, 1), 24: (0, 42), 60: (0, 43), 6: (0, 138), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 79: {25: (0, 30), 18: (0, 72), 27: (0, 31), 59: (0, 139), 53: (0, 32), 54: (0, 33), 16: (0, 34), 75: (0, 140), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 29: (0, 141), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 80: {5: (0, 1), 86: (0, 142), 22: (0, 143), 4: (0, 6), 6: (0, 144), 36: (0, 101), 38: (0, 104), 47: (0, 106), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 82: (0, 95), 81: (0, 94), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 29: (0, 145), 0: (0, 8), 37: (0, 102), 51: (0, 103), 45: (0, 105), 3: (0, 14)}, 81: {35: (1, {'@': 100}), 15: (1, {'@': 100}), 21: (1, {'@': 100}), 28: (1, {'@': 100}), 2: (1, {'@': 100}), 0: (1, {'@': 100}), 36: (1, {'@': 100}), 20: (1, {'@': 100}), 37: (1, {'@': 100}), 38: (1, {'@': 100}), 22: (1, {'@': 100}), 31: (1, {'@': 100}), 39: (1, {'@': 100}), 33: (1, {'@': 100}), 40: (1, {'@': 100}), 16: (1, {'@': 100}), 17: (1, {'@': 100}), 41: (1, {'@': 100}), 19: (1, {'@': 100}), 42: (1, {'@': 100}), 43: (1, {'@': 100}), 44: (1, {'@': 100}), 12: (1, {'@': 100}), 45: (1, {'@': 100}), 46: (1, {'@': 100}), 26: (1, {'@': 100}), 47: (1, {'@': 100}), 48: (1, {'@': 100}), 1: (1, {'@': 100}), 4: (1, {'@': 100}), 49: (1, {'@': 100}), 50: (1, {'@': 100}), 24: (1, {'@': 100}), 25: (1, {'@': 100}), 27: (1, {'@': 100}), 51: (1, {'@': 100}), 29: (1, {'@': 100}), 52: (1, {'@': 100}), 30: (1, {'@': 100}), 3: (1, {'@': 100}), 32: (1, {'@': 100})}, 82: {8: (0, 146), 62: (0, 147), 24: (0, 42), 12: (0, 10)}, 83: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 35: (0, 148), 57: (0, 39), 59: (0, 149), 58: (0, 40), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 6: (0, 150), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 84: {35: (1, {'@': 101}), 15: (1, {'@': 101}), 21: (1, {'@': 101}), 28: (1, {'@': 101}), 2: (1, {'@': 101}), 0: (1, {'@': 101}), 36: (1, {'@': 101}), 20: (1, {'@': 101}), 37: (1, {'@': 101}), 38: (1, {'@': 101}), 22: (1, {'@': 101}), 31: (1, {'@': 101}), 39: (1, {'@': 101}), 33: (1, {'@': 101}), 40: (1, {'@': 101}), 16: (1, {'@': 101}), 17: (1, {'@': 101}), 41: (1, {'@': 101}), 19: (1, {'@': 101}), 42: (1, {'@': 101}), 43: (1, {'@': 101}), 44: (1, {'@': 101}), 12: (1, {'@': 101}), 45: (1, {'@': 101}), 46: (1, {'@': 101}), 26: (1, {'@': 101}), 47: (1, {'@': 101}), 48: (1, {'@': 101}), 1: (1, {'@': 101}), 4: (1, {'@': 101}), 49: (0, 151), 50: (1, {'@': 101}), 24: (1, {'@': 101}), 25: (1, {'@': 101}), 27: (1, {'@': 101}), 51: (1, {'@': 101}), 29: (1, {'@': 101}), 52: (1, {'@': 101}), 30: (1, {'@': 101}), 3: (1, {'@': 101}), 32: (1, {'@': 101}), 79: (0, 152), 87: (0, 153)}, 85: {35: (1, {'@': 102}), 15: (1, {'@': 102}), 21: (1, {'@': 102}), 28: (1, {'@': 102}), 2: (1, {'@': 102}), 0: (1, {'@': 102}), 36: (1, {'@': 102}), 20: (1, {'@': 102}), 37: (1, {'@': 102}), 38: (1, {'@': 102}), 22: (1, {'@': 102}), 31: (1, {'@': 102}), 39: (1, {'@': 102}), 33: (1, {'@': 102}), 40: (1, {'@': 102}), 16: (1, {'@': 102}), 17: (1, {'@': 102}), 41: (1, {'@': 102}), 19: (1, {'@': 102}), 42: (1, {'@': 102}), 43: (1, {'@': 102}), 44: (1, {'@': 102}), 12: (1, {'@': 102}), 45: (1, {'@': 102}), 46: (1, {'@': 102}), 26: (1, {'@': 102}), 47: (1, {'@': 102}), 48: (1, {'@': 102}), 1: (1, {'@': 102}), 4: (1, {'@': 102}), 49: (1, {'@': 102}), 50: (1, {'@': 102}), 24: (1, {'@': 102}), 25: (1, {'@': 102}), 27: (1, {'@': 102}), 51: (1, {'@': 102}), 29: (1, {'@': 102}), 52: (1, {'@': 102}), 30: (1, {'@': 102}), 3: (1, {'@': 102}), 32: (1, {'@': 102})}, 86: {35: (1, {'@': 103}), 15: (1, {'@': 103}), 21: (1, {'@': 103}), 28: (1, {'@': 103}), 2: (1, {'@': 103}), 0: (1, {'@': 103}), 36: (1, {'@': 103}), 20: (1, {'@': 103}), 37: (1, {'@': 103}), 38: (1, {'@': 103}), 22: (1, {'@': 103}), 31: (1, {'@': 103}), 39: (1, {'@': 103}), 33: (1, {'@': 103}), 40: (1, {'@': 103}), 16: (1, {'@': 103}), 17: (1, {'@': 103}), 41: (1, {'@': 103}), 19: (1, {'@': 103}), 42: (1, {'@': 103}), 43: (1, {'@': 103}), 44: (1, {'@': 103}), 12: (1, {'@': 103}), 45: (1, {'@': 103}), 46: (1, {'@': 103}), 26: (1, {'@': 103}), 47: (1, {'@': 103}), 48: (1, {'@': 103}), 1: (1, {'@': 103}), 4: (1, {'@': 103}), 49: (1, {'@': 103}), 50: (1, {'@': 103}), 24: (1, {'@': 103}), 25: (1, {'@': 103}), 27: (1, {'@': 103}), 51: (1, {'@': 103}), 29: (1, {'@': 103}), 52: (1, {'@': 103}), 30: (1, {'@': 103}), 3: (1, {'@': 103}), 32: (1, {'@': 103})}, 87: {35: (1, {'@': 104}), 15: (1, {'@': 104}), 21: (1, {'@': 104}), 28: (1, {'@': 104}), 2: (1, {'@': 104}), 0: (1, {'@': 104}), 36: (1, {'@': 104}), 20: (1, {'@': 104}), 37: (1, {'@': 104}), 38: (1, {'@': 104}), 22: (1, {'@': 104}), 31: (1, {'@': 104}), 39: (1, {'@': 104}), 33: (1, {'@': 104}), 40: (1, {'@': 104}), 16: (1, {'@': 104}), 17: (1, {'@': 104}), 41: (1, {'@': 104}), 19: (1, {'@': 104}), 42: (1, {'@': 104}), 43: (1, {'@': 104}), 44: (1, {'@': 104}), 12: (1, {'@': 104}), 45: (1, {'@': 104}), 46: (1, {'@': 104}), 26: (1, {'@': 104}), 47: (1, {'@': 104}), 48: (1, {'@': 104}), 1: (1, {'@': 104}), 4: (1, {'@': 104}), 49: (1, {'@': 104}), 50: (1, {'@': 104}), 24: (1, {'@': 104}), 25: (1, {'@': 104}), 27: (1, {'@': 104}), 51: (1, {'@': 104}), 29: (1, {'@': 104}), 52: (1, {'@': 104}), 30: (1, {'@': 104}), 3: (1, {'@': 104}), 32: (1, {'@': 104})}, 88: {35: (1, {'@': 105}), 15: (1, {'@': 105}), 21: (1, {'@': 105}), 28: (1, {'@': 105}), 2: (1, {'@': 105}), 0: (1, {'@': 105}), 36: (1, {'@': 105}), 20: (1, {'@': 105}), 37: (1, {'@': 105}), 38: (1, {'@': 105}), 22: (1, {'@': 105}), 31: (1, {'@': 105}), 39: (1, {'@': 105}), 33: (1, {'@': 105}), 40: (1, {'@': 105}), 16: (1, {'@': 105}), 17: (1, {'@': 105}), 41: (1, {'@': 105}), 19: (1, {'@': 105}), 42: (1, {'@': 105}), 43: (1, {'@': 105}), 44: (1, {'@': 105}), 12: (1, {'@': 105}), 45: (1, {'@': 105}), 46: (1, {'@': 105}), 26: (1, {'@': 105}), 47: (1, {'@': 105}), 48: (1, {'@': 105}), 1: (1, {'@': 105}), 4: (1, {'@': 105}), 49: (1, {'@': 105}), 50: (1, {'@': 105}), 24: (1, {'@': 105}), 25: (1, {'@': 105}), 27: (1, {'@': 105}), 51: (1, {'@': 105}), 29: (1, {'@': 105}), 52: (1, {'@': 105}), 30: (1, {'@': 105}), 3: (1, {'@': 105}), 32: (1, {'@': 105})}, 89: {25: (0, 30), 27: (0, 31), 6: (0, 154), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 155), 5: (0, 1), 24: (0, 42), 60: (0, 43), 17: (0, 156), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 88: (0, 157), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 90: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 158), 24: (0, 42), 60: (0, 43), 5: (0, 1), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 6: (0, 159), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 91: {0: (1, {'@': 106}), 16: (1, {'@': 106}), 19: (1, {'@': 106}), 15: (1, {'@': 106}), 20: (1, {'@': 106}), 4: (1, {'@': 106}), 21: (1, {'@': 106}), 12: (1, {'@': 106}), 24: (1, {'@': 106}), 25: (1, {'@': 106}), 26: (1, {'@': 106}), 27: (1, {'@': 106}), 28: (1, {'@': 106}), 31: (1, {'@': 106}), 3: (1, {'@': 106}), 32: (1, {'@': 106})}, 92: {0: (1, {'@': 107}), 16: (1, {'@': 107}), 19: (1, {'@': 107}), 15: (1, {'@': 107}), 20: (1, {'@': 107}), 4: (1, {'@': 107}), 21: (1, {'@': 107}), 12: (1, {'@': 107}), 24: (1, {'@': 107}), 25: (1, {'@': 107}), 26: (1, {'@': 107}), 27: (1, {'@': 107}), 28: (1, {'@': 107}), 31: (1, {'@': 107}), 3: (1, {'@': 107}), 32: (1, {'@': 107})}, 93: {0: (1, {'@': 108}), 16: (1, {'@': 108}), 19: (1, {'@': 108}), 15: (1, {'@': 108}), 20: (1, {'@': 108}), 4: (1, {'@': 108}), 21: (1, {'@': 108}), 12: (1, {'@': 108}), 24: (1, {'@': 108}), 25: (1, {'@': 108}), 26: (1, {'@': 108}), 27: (1, {'@': 108}), 28: (1, {'@': 108}), 31: (1, {'@': 108}), 3: (1, {'@': 108}), 32: (1, {'@': 108})}, 94: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 6: (0, 160), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 161), 24: (0, 42), 60: (0, 43), 5: (0, 1), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 95: {35: (1, {'@': 109}), 15: (1, {'@': 109}), 21: (1, {'@': 109}), 28: (1, {'@': 109}), 2: (1, {'@': 109}), 0: (1, {'@': 109}), 36: (1, {'@': 109}), 20: (1, {'@': 109}), 37: (1, {'@': 109}), 38: (1, {'@': 109}), 22: (1, {'@': 109}), 31: (1, {'@': 109}), 39: (1, {'@': 109}), 33: (1, {'@': 109}), 40: (1, {'@': 109}), 16: (1, {'@': 109}), 17: (1, {'@': 109}), 41: (1, {'@': 109}), 19: (1, {'@': 109}), 42: (1, {'@': 109}), 43: (1, {'@': 109}), 44: (1, {'@': 109}), 12: (1, {'@': 109}), 45: (1, {'@': 109}), 46: (1, {'@': 109}), 26: (1, {'@': 109}), 47: (1, {'@': 109}), 48: (1, {'@': 109}), 1: (1, {'@': 109}), 4: (1, {'@': 109}), 24: (1, {'@': 109}), 25: (1, {'@': 109}), 27: (1, {'@': 109}), 51: (1, {'@': 109}), 29: (1, {'@': 109}), 52: (1, {'@': 109}), 30: (1, {'@': 109}), 3: (1, {'@': 109}), 32: (1, {'@': 109})}, 96: {0: (1, {'@': 110}), 12: (1, {'@': 110}), 1: (1, {'@': 110}), 15: (1, {'@': 110}), 2: (1, {'@': 110}), 3: (1, {'@': 110}), 4: (1, {'@': 110})}, 97: {0: (1, {'@': 111}), 16: (1, {'@': 111}), 19: (1, {'@': 111}), 15: (1, {'@': 111}), 20: (1, {'@': 111}), 4: (1, {'@': 111}), 21: (1, {'@': 111}), 12: (1, {'@': 111}), 24: (1, {'@': 111}), 25: (1, {'@': 111}), 26: (1, {'@': 111}), 27: (1, {'@': 111}), 28: (1, {'@': 111}), 31: (1, {'@': 111}), 3: (1, {'@': 111}), 32: (1, {'@': 111})}, 98: {0: (1, {'@': 112}), 16: (1, {'@': 112}), 19: (1, {'@': 112}), 15: (1, {'@': 112}), 20: (1, {'@': 112}), 4: (1, {'@': 112}), 21: (1, {'@': 112}), 12: (1, {'@': 112}), 24: (1, {'@': 112}), 25: (1, {'@': 112}), 26: (1, {'@': 112}), 27: (1, {'@': 112}), 28: (1, {'@': 112}), 31: (1, {'@': 112}), 3: (1, {'@': 112}), 32: (1, {'@': 112})}, 99: {0: (1, {'@': 113}), 16: (1, {'@': 113}), 19: (1, {'@': 113}), 15: (1, {'@': 113}), 20: (1, {'@': 113}), 4: (1, {'@': 113}), 21: (1, {'@': 113}), 12: (1, {'@': 113}), 24: (1, {'@': 113}), 25: (1, {'@': 113}), 26: (1, {'@': 113}), 27: (1, {'@': 113}), 28: (1, {'@': 113}), 31: (1, {'@': 113}), 3: (1, {'@': 113}), 32: (1, {'@': 113})}, 100: {0: (1, {'@': 114}), 16: (1, {'@': 114}), 19: (1, {'@': 114}), 15: (1, {'@': 114}), 20: (1, {'@': 114}), 4: (1, {'@': 114}), 21: (1, {'@': 114}), 12: (1, {'@': 114}), 24: (1, {'@': 114}), 25: (1, {'@': 114}), 26: (1, {'@': 114}), 27: (1, {'@': 114}), 28: (1, {'@': 114}), 31: (1, {'@': 114}), 3: (1, {'@': 114}), 32: (1, {'@': 114})}, 101: {0: (1, {'@': 115}), 16: (1, {'@': 115}), 19: (1, {'@': 115}), 15: (1, {'@': 115}), 20: (1, {'@': 115}), 4: (1, {'@': 115}), 21: (1, {'@': 115}), 12: (1, {'@': 115}), 24: (1, {'@': 115}), 25: (1, {'@': 115}), 26: (1, {'@': 115}), 27: (1, {'@': 115}), 28: (1, {'@': 115}), 31: (1, {'@': 115}), 3: (1, {'@': 115}), 32: (1, {'@': 115})}, 102: {0: (1, {'@': 116}), 16: (1, {'@': 116}), 19: (1, {'@': 116}), 15: (1, {'@': 116}), 20: (1, {'@': 116}), 4: (1, {'@': 116}), 21: (1, {'@': 116}), 12: (1, {'@': 116}), 24: (1, {'@': 116}), 25: (1, {'@': 116}), 26: (1, {'@': 116}), 27: (1, {'@': 116}), 28: (1, {'@': 116}), 31: (1, {'@': 116}), 3: (1, {'@': 116}), 32: (1, {'@': 116})}, 103: {0: (1, {'@': 117}), 16: (1, {'@': 117}), 19: (1, {'@': 117}), 15: (1, {'@': 117}), 20: (1, {'@': 117}), 4: (1, {'@': 117}), 21: (1, {'@': 117}), 12: (1, {'@': 117}), 24: (1, {'@': 117}), 25: (1, {'@': 117}), 26: (1, {'@': 117}), 27: (1, {'@': 117}), 28: (1, {'@': 117}), 31: (1, {'@': 117}), 3: (1, {'@': 117}), 32: (1, {'@': 117})}, 104: {0: (1, {'@': 118}), 16: (1, {'@': 118}), 19: (1, {'@': 118}), 15: (1, {'@': 118}), 20: (1, {'@': 118}), 4: (1, {'@': 118}), 21: (1, {'@': 118}), 12: (1, {'@': 118}), 24: (1, {'@': 118}), 25: (1, {'@': 118}), 26: (1, {'@': 118}), 27: (1, {'@': 118}), 28: (1, {'@': 118}), 31: (1, {'@': 118}), 3: (1, {'@': 118}), 32: (1, {'@': 118})}, 105: {0: (1, {'@': 119}), 16: (1, {'@': 119}), 19: (1, {'@': 119}), 15: (1, {'@': 119}), 20: (1, {'@': 119}), 4: (1, {'@': 119}), 21: (1, {'@': 119}), 12: (1, {'@': 119}), 24: (1, {'@': 119}), 25: (1, {'@': 119}), 26: (1, {'@': 119}), 27: (1, {'@': 119}), 28: (1, {'@': 119}), 31: (1, {'@': 119}), 3: (1, {'@': 119}), 32: (1, {'@': 119})}, 106: {0: (1, {'@': 120}), 16: (1, {'@': 120}), 19: (1, {'@': 120}), 15: (1, {'@': 120}), 20: (1, {'@': 120}), 4: (1, {'@': 120}), 21: (1, {'@': 120}), 12: (1, {'@': 120}), 24: (1, {'@': 120}), 25: (1, {'@': 120}), 26: (1, {'@': 120}), 27: (1, {'@': 120}), 28: (1, {'@': 120}), 31: (1, {'@': 120}), 3: (1, {'@': 120}), 32: (1, {'@': 120})}, 107: {62: (0, 162), 24: (0, 42)}, 108: {35: (1, {'@': 121}), 15: (1, {'@': 121}), 21: (1, {'@': 121}), 28: (1, {'@': 121}), 2: (1, {'@': 121}), 0: (1, {'@': 121}), 36: (1, {'@': 121}), 20: (1, {'@': 121}), 37: (1, {'@': 121}), 38: (1, {'@': 121}), 22: (1, {'@': 121}), 31: (1, {'@': 121}), 39: (1, {'@': 121}), 33: (1, {'@': 121}), 40: (1, {'@': 121}), 16: (1, {'@': 121}), 17: (1, {'@': 121}), 41: (1, {'@': 121}), 19: (1, {'@': 121}), 42: (1, {'@': 121}), 43: (1, {'@': 121}), 44: (1, {'@': 121}), 12: (1, {'@': 121}), 45: (1, {'@': 121}), 46: (1, {'@': 121}), 26: (1, {'@': 121}), 47: (1, {'@': 121}), 83: (1, {'@': 121}), 48: (1, {'@': 121}), 1: (1, {'@': 121}), 4: (1, {'@': 121}), 49: (1, {'@': 121}), 50: (1, {'@': 121}), 24: (1, {'@': 121}), 25: (1, {'@': 121}), 27: (1, {'@': 121}), 51: (1, {'@': 121}), 29: (1, {'@': 121}), 52: (1, {'@': 121}), 30: (1, {'@': 121}), 3: (1, {'@': 121}), 32: (1, {'@': 121})}, 109: {24: (0, 42), 62: (0, 163)}, 110: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 164), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 111: {40: (0, 90), 5: (0, 1), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 17: (0, 165), 31: (0, 99), 44: (0, 100), 4: (0, 6), 0: (0, 8), 6: (0, 166), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106), 3: (0, 14)}, 112: {35: (1, {'@': 122}), 15: (1, {'@': 122}), 21: (1, {'@': 122}), 28: (1, {'@': 122}), 2: (1, {'@': 122}), 0: (1, {'@': 122}), 36: (1, {'@': 122}), 20: (1, {'@': 122}), 37: (1, {'@': 122}), 38: (1, {'@': 122}), 22: (1, {'@': 122}), 31: (1, {'@': 122}), 39: (1, {'@': 122}), 33: (1, {'@': 122}), 40: (1, {'@': 122}), 16: (1, {'@': 122}), 17: (1, {'@': 122}), 41: (1, {'@': 122}), 19: (1, {'@': 122}), 42: (1, {'@': 122}), 43: (1, {'@': 122}), 44: (1, {'@': 122}), 12: (1, {'@': 122}), 45: (1, {'@': 122}), 46: (1, {'@': 122}), 26: (1, {'@': 122}), 47: (1, {'@': 122}), 48: (1, {'@': 122}), 1: (1, {'@': 122}), 4: (1, {'@': 122}), 24: (1, {'@': 122}), 25: (1, {'@': 122}), 27: (0, 83), 51: (1, {'@': 122}), 29: (1, {'@': 122}), 52: (1, {'@': 122}), 30: (1, {'@': 122}), 3: (1, {'@': 122}), 32: (1, {'@': 122}), 49: (0, 82), 50: (0, 84), 77: (0, 85), 78: (0, 86), 79: (0, 87), 80: (0, 88)}, 113: {35: (1, {'@': 123}), 15: (1, {'@': 123}), 21: (1, {'@': 123}), 28: (1, {'@': 123}), 2: (1, {'@': 123}), 0: (1, {'@': 123}), 36: (1, {'@': 123}), 20: (1, {'@': 123}), 37: (1, {'@': 123}), 38: (1, {'@': 123}), 22: (1, {'@': 123}), 31: (1, {'@': 123}), 39: (1, {'@': 123}), 33: (1, {'@': 123}), 40: (1, {'@': 123}), 16: (1, {'@': 123}), 17: (1, {'@': 123}), 41: (1, {'@': 123}), 19: (1, {'@': 123}), 42: (1, {'@': 123}), 43: (1, {'@': 123}), 44: (1, {'@': 123}), 12: (1, {'@': 123}), 45: (1, {'@': 123}), 46: (1, {'@': 123}), 26: (1, {'@': 123}), 47: (1, {'@': 123}), 48: (1, {'@': 123}), 1: (1, {'@': 123}), 4: (1, {'@': 123}), 24: (1, {'@': 123}), 25: (1, {'@': 123}), 27: (0, 83), 51: (1, {'@': 123}), 29: (1, {'@': 123}), 52: (1, {'@': 123}), 30: (1, {'@': 123}), 3: (1, {'@': 123}), 32: (1, {'@': 123}), 49: (0, 82), 50: (0, 84), 77: (0, 85), 78: (0, 86), 79: (0, 87), 80: (0, 88)}, 114: {1: (0, 167)}, 115: {0: (1, {'@': 45}), 1: (1, {'@': 45}), 2: (1, {'@': 45}), 3: (1, {'@': 45}), 4: (1, {'@': 45}), 9: (0, 168), 7: (0, 3), 8: (0, 4), 10: (0, 7), 13: (0, 11), 11: (0, 9), 12: (0, 10), 15: (0, 13)}, 116: {0: (1, {'@': 124}), 12: (1, {'@': 124}), 1: (1, {'@': 124}), 15: (1, {'@': 124}), 2: (1, {'@': 124}), 3: (1, {'@': 124}), 4: (1, {'@': 124})}, 117: {4: (0, 6), 5: (0, 1), 0: (0, 8), 3: (0, 14), 6: (0, 169)}, 118: {1: (0, 170)}, 119: {5: (0, 1), 1: (0, 171), 85: (0, 172), 84: (0, 173), 22: (0, 134), 4: (0, 6), 6: (0, 135), 0: (0, 8), 3: (0, 14)}, 120: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 59: (0, 174), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 121: {8: (0, 175), 12: (0, 10)}, 122: {5: (0, 1), 22: (0, 176), 23: (0, 177), 6: (0, 178), 4: (0, 6), 0: (0, 8), 3: (0, 14)}, 123: {48: (0, 179), 36: (0, 101), 38: (0, 104), 47: (0, 106), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 37: (0, 102), 51: (0, 103), 45: (0, 105)}, 124: {0: (1, {'@': 125}), 1: (1, {'@': 125}), 22: (1, {'@': 125}), 3: (1, {'@': 125}), 4: (1, {'@': 125}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 51: (0, 103), 36: (0, 101), 37: (0, 102), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 125: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 180), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 126: {25: (0, 30), 27: (0, 31), 6: (0, 181), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 182), 5: (0, 1), 24: (0, 42), 60: (0, 43), 17: (0, 156), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 88: (0, 157), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 127: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 183), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 128: {0: (1, {'@': 126}), 1: (1, {'@': 126}), 22: (1, {'@': 126}), 3: (1, {'@': 126}), 4: (1, {'@': 126}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 129: {0: (1, {'@': 113}), 16: (0, 34), 19: (0, 55), 15: (0, 13), 20: (0, 35), 4: (1, {'@': 113}), 21: (1, {'@': 113}), 12: (0, 10), 24: (0, 42), 25: (0, 30), 26: (0, 47), 27: (0, 31), 28: (0, 51), 31: (1, {'@': 113}), 3: (1, {'@': 113}), 32: (0, 48), 53: (0, 32), 54: (0, 112), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 60: (0, 43), 61: (0, 44), 62: (0, 45), 63: (0, 46), 65: (0, 52), 66: (0, 53), 7: (0, 54), 68: (0, 57), 69: (0, 58), 71: (0, 60), 72: (0, 62), 73: (0, 63)}, 130: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 184), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 131: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 185), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 132: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 74), 57: (0, 39), 58: (0, 40), 76: (0, 186), 59: (0, 75), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 1: (0, 187), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 74: (0, 64), 73: (0, 63)}, 133: {35: (1, {'@': 127}), 15: (1, {'@': 127}), 21: (1, {'@': 127}), 28: (1, {'@': 127}), 2: (1, {'@': 127}), 0: (1, {'@': 127}), 36: (1, {'@': 127}), 20: (1, {'@': 127}), 37: (1, {'@': 127}), 38: (1, {'@': 127}), 22: (1, {'@': 127}), 31: (1, {'@': 127}), 39: (1, {'@': 127}), 33: (1, {'@': 127}), 40: (1, {'@': 127}), 16: (1, {'@': 127}), 17: (1, {'@': 127}), 41: (1, {'@': 127}), 19: (1, {'@': 127}), 42: (1, {'@': 127}), 43: (1, {'@': 127}), 44: (1, {'@': 127}), 12: (1, {'@': 127}), 45: (1, {'@': 127}), 46: (1, {'@': 127}), 26: (1, {'@': 127}), 47: (1, {'@': 127}), 48: (1, {'@': 127}), 1: (1, {'@': 127}), 4: (1, {'@': 127}), 49: (1, {'@': 127}), 50: (1, {'@': 127}), 24: (1, {'@': 127}), 25: (1, {'@': 127}), 27: (1, {'@': 127}), 51: (1, {'@': 127}), 29: (1, {'@': 127}), 52: (1, {'@': 127}), 30: (1, {'@': 127}), 3: (1, {'@': 127}), 32: (1, {'@': 127})}, 134: {21: (1, {'@': 128}), 12: (1, {'@': 128}), 1: (1, {'@': 128}), 16: (1, {'@': 128}), 24: (1, {'@': 128}), 25: (1, {'@': 128}), 26: (1, {'@': 128}), 27: (1, {'@': 128}), 28: (1, {'@': 128}), 19: (1, {'@': 128}), 15: (1, {'@': 128}), 31: (1, {'@': 128}), 20: (1, {'@': 128}), 32: (1, {'@': 128}), 4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 188), 3: (0, 14)}, 135: {21: (1, {'@': 129}), 12: (1, {'@': 129}), 1: (1, {'@': 129}), 16: (1, {'@': 129}), 24: (1, {'@': 129}), 25: (1, {'@': 129}), 26: (1, {'@': 129}), 27: (1, {'@': 129}), 28: (1, {'@': 129}), 19: (1, {'@': 129}), 15: (1, {'@': 129}), 31: (1, {'@': 129}), 20: (1, {'@': 129}), 32: (1, {'@': 129})}, 136: {4: (0, 6), 5: (0, 1), 22: (0, 134), 6: (0, 135), 0: (0, 8), 84: (0, 189), 1: (0, 190), 3: (0, 14)}, 137: {29: (0, 191), 5: (0, 1), 4: (0, 6), 36: (0, 101), 6: (0, 192), 89: (0, 193), 38: (0, 104), 47: (0, 106), 40: (0, 90), 42: (0, 91), 52: (0, 92), 30: (0, 194), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 0: (0, 8), 37: (0, 102), 51: (0, 103), 45: (0, 105), 3: (0, 14)}, 138: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 59: (0, 195), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 139: {5: (0, 1), 86: (0, 196), 6: (0, 197), 22: (0, 198), 29: (0, 199), 4: (0, 6), 36: (0, 101), 38: (0, 104), 47: (0, 106), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 0: (0, 8), 37: (0, 102), 51: (0, 103), 45: (0, 105), 3: (0, 14)}, 140: {25: (0, 30), 27: (0, 31), 6: (0, 200), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 201), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 141: {35: (1, {'@': 130}), 15: (1, {'@': 130}), 21: (1, {'@': 130}), 28: (1, {'@': 130}), 2: (1, {'@': 130}), 0: (1, {'@': 130}), 36: (1, {'@': 130}), 20: (1, {'@': 130}), 37: (1, {'@': 130}), 38: (1, {'@': 130}), 22: (1, {'@': 130}), 31: (1, {'@': 130}), 39: (1, {'@': 130}), 33: (1, {'@': 130}), 40: (1, {'@': 130}), 16: (1, {'@': 130}), 17: (1, {'@': 130}), 41: (1, {'@': 130}), 19: (1, {'@': 130}), 42: (1, {'@': 130}), 43: (1, {'@': 130}), 44: (1, {'@': 130}), 12: (1, {'@': 130}), 45: (1, {'@': 130}), 46: (1, {'@': 130}), 26: (1, {'@': 130}), 47: (1, {'@': 130}), 48: (1, {'@': 130}), 1: (1, {'@': 130}), 4: (1, {'@': 130}), 49: (1, {'@': 130}), 50: (1, {'@': 130}), 24: (1, {'@': 130}), 25: (1, {'@': 130}), 27: (1, {'@': 130}), 51: (1, {'@': 130}), 29: (1, {'@': 130}), 52: (1, {'@': 130}), 30: (1, {'@': 130}), 3: (1, {'@': 130}), 32: (1, {'@': 130})}, 142: {6: (0, 202), 5: (0, 1), 22: (0, 203), 4: (0, 6), 29: (0, 204), 0: (0, 8), 3: (0, 14)}, 143: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 205), 24: (0, 42), 60: (0, 43), 5: (0, 1), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 6: (0, 206), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8), 29: (0, 207)}, 144: {4: (0, 6), 5: (0, 1), 22: (0, 208), 6: (0, 209), 0: (0, 8), 29: (0, 210), 3: (0, 14)}, 145: {35: (1, {'@': 131}), 15: (1, {'@': 131}), 21: (1, {'@': 131}), 28: (1, {'@': 131}), 2: (1, {'@': 131}), 0: (1, {'@': 131}), 36: (1, {'@': 131}), 20: (1, {'@': 131}), 37: (1, {'@': 131}), 38: (1, {'@': 131}), 22: (1, {'@': 131}), 31: (1, {'@': 131}), 39: (1, {'@': 131}), 33: (1, {'@': 131}), 40: (1, {'@': 131}), 16: (1, {'@': 131}), 17: (1, {'@': 131}), 41: (1, {'@': 131}), 19: (1, {'@': 131}), 42: (1, {'@': 131}), 43: (1, {'@': 131}), 44: (1, {'@': 131}), 12: (1, {'@': 131}), 45: (1, {'@': 131}), 46: (1, {'@': 131}), 26: (1, {'@': 131}), 47: (1, {'@': 131}), 48: (1, {'@': 131}), 1: (1, {'@': 131}), 4: (1, {'@': 131}), 49: (1, {'@': 131}), 50: (1, {'@': 131}), 24: (1, {'@': 131}), 25: (1, {'@': 131}), 27: (1, {'@': 131}), 51: (1, {'@': 131}), 29: (1, {'@': 131}), 52: (1, {'@': 131}), 30: (1, {'@': 131}), 3: (1, {'@': 131}), 32: (1, {'@': 131})}, 146: {35: (1, {'@': 132}), 15: (1, {'@': 132}), 21: (1, {'@': 132}), 28: (1, {'@': 132}), 2: (1, {'@': 132}), 0: (1, {'@': 132}), 36: (1, {'@': 132}), 20: (1, {'@': 132}), 37: (1, {'@': 132}), 38: (1, {'@': 132}), 22: (1, {'@': 132}), 31: (1, {'@': 132}), 39: (1, {'@': 132}), 33: (1, {'@': 132}), 40: (1, {'@': 132}), 16: (1, {'@': 132}), 17: (1, {'@': 132}), 41: (1, {'@': 132}), 19: (1, {'@': 132}), 42: (1, {'@': 132}), 43: (1, {'@': 132}), 44: (1, {'@': 132}), 12: (1, {'@': 132}), 45: (1, {'@': 132}), 46: (1, {'@': 132}), 26: (1, {'@': 132}), 47: (1, {'@': 132}), 48: (1, {'@': 132}), 1: (1, {'@': 132}), 4: (1, {'@': 132}), 49: (1, {'@': 132}), 50: (1, {'@': 132}), 24: (1, {'@': 132}), 25: (1, {'@': 132}), 27: (1, {'@': 132}), 51: (1, {'@': 132}), 29: (1, {'@': 132}), 52: (1, {'@': 132}), 30: (1, {'@': 132}), 3: (1, {'@': 132}), 32: (1, {'@': 132})}, 147: {35: (1, {'@': 133}), 15: (1, {'@': 133}), 21: (1, {'@': 133}), 28: (1, {'@': 133}), 2: (1, {'@': 133}), 0: (1, {'@': 133}), 36: (1, {'@': 133}), 20: (1, {'@': 133}), 37: (1, {'@': 133}), 38: (1, {'@': 133}), 22: (1, {'@': 133}), 31: (1, {'@': 133}), 39: (1, {'@': 133}), 33: (1, {'@': 133}), 40: (1, {'@': 133}), 16: (1, {'@': 133}), 17: (1, {'@': 133}), 41: (1, {'@': 133}), 19: (1, {'@': 133}), 42: (1, {'@': 133}), 43: (1, {'@': 133}), 44: (1, {'@': 133}), 12: (1, {'@': 133}), 45: (1, {'@': 133}), 46: (1, {'@': 133}), 26: (1, {'@': 133}), 47: (1, {'@': 133}), 48: (1, {'@': 133}), 1: (1, {'@': 133}), 4: (1, {'@': 133}), 49: (1, {'@': 133}), 50: (1, {'@': 133}), 24: (0, 108), 25: (1, {'@': 133}), 27: (1, {'@': 133}), 51: (1, {'@': 133}), 29: (1, {'@': 133}), 52: (1, {'@': 133}), 30: (1, {'@': 133}), 3: (1, {'@': 133}), 32: (1, {'@': 133})}, 148: {29: (0, 211)}, 149: {40: (0, 90), 5: (0, 1), 42: (0, 91), 52: (0, 92), 29: (0, 212), 43: (0, 93), 81: (0, 94), 82: (0, 95), 6: (0, 213), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 4: (0, 6), 0: (0, 8), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106), 3: (0, 14)}, 150: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 214), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 151: {12: (0, 10), 8: (0, 146)}, 152: {35: (1, {'@': 134}), 15: (1, {'@': 134}), 21: (1, {'@': 134}), 28: (1, {'@': 134}), 2: (1, {'@': 134}), 0: (1, {'@': 134}), 36: (1, {'@': 134}), 20: (1, {'@': 134}), 37: (1, {'@': 134}), 38: (1, {'@': 134}), 22: (1, {'@': 134}), 31: (1, {'@': 134}), 39: (1, {'@': 134}), 33: (1, {'@': 134}), 40: (1, {'@': 134}), 16: (1, {'@': 134}), 17: (1, {'@': 134}), 41: (1, {'@': 134}), 19: (1, {'@': 134}), 42: (1, {'@': 134}), 43: (1, {'@': 134}), 44: (1, {'@': 134}), 12: (1, {'@': 134}), 45: (1, {'@': 134}), 46: (1, {'@': 134}), 26: (1, {'@': 134}), 47: (1, {'@': 134}), 48: (1, {'@': 134}), 1: (1, {'@': 134}), 4: (1, {'@': 134}), 49: (1, {'@': 134}), 50: (1, {'@': 134}), 24: (1, {'@': 134}), 25: (1, {'@': 134}), 27: (1, {'@': 134}), 51: (1, {'@': 134}), 29: (1, {'@': 134}), 52: (1, {'@': 134}), 30: (1, {'@': 134}), 3: (1, {'@': 134}), 32: (1, {'@': 134})}, 153: {35: (1, {'@': 135}), 15: (1, {'@': 135}), 21: (1, {'@': 135}), 28: (1, {'@': 135}), 2: (1, {'@': 135}), 0: (1, {'@': 135}), 36: (1, {'@': 135}), 20: (1, {'@': 135}), 37: (1, {'@': 135}), 38: (1, {'@': 135}), 22: (1, {'@': 135}), 31: (1, {'@': 135}), 39: (1, {'@': 135}), 33: (1, {'@': 135}), 40: (1, {'@': 135}), 16: (1, {'@': 135}), 17: (1, {'@': 135}), 41: (1, {'@': 135}), 19: (1, {'@': 135}), 42: (1, {'@': 135}), 43: (1, {'@': 135}), 44: (1, {'@': 135}), 12: (1, {'@': 135}), 45: (1, {'@': 135}), 46: (1, {'@': 135}), 26: (1, {'@': 135}), 47: (1, {'@': 135}), 48: (1, {'@': 135}), 1: (1, {'@': 135}), 4: (1, {'@': 135}), 49: (0, 151), 50: (1, {'@': 135}), 24: (1, {'@': 135}), 25: (1, {'@': 135}), 27: (1, {'@': 135}), 51: (1, {'@': 135}), 29: (1, {'@': 135}), 52: (1, {'@': 135}), 30: (1, {'@': 135}), 3: (1, {'@': 135}), 32: (1, {'@': 135}), 79: (0, 215)}, 154: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 155), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 88: (0, 216), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 17: (0, 217), 0: (0, 8), 6: (0, 218)}, 155: {0: (0, 8), 3: (0, 14), 17: (1, {'@': 136}), 4: (0, 6), 5: (0, 1), 86: (0, 219), 41: (0, 220), 22: (0, 221), 36: (0, 101), 38: (0, 104), 47: (0, 106), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 6: (0, 222), 37: (0, 102), 51: (0, 103), 45: (0, 105)}, 156: {35: (1, {'@': 137}), 15: (1, {'@': 137}), 21: (1, {'@': 137}), 28: (1, {'@': 137}), 2: (1, {'@': 137}), 0: (1, {'@': 137}), 36: (1, {'@': 137}), 20: (1, {'@': 137}), 37: (1, {'@': 137}), 38: (1, {'@': 137}), 22: (1, {'@': 137}), 31: (1, {'@': 137}), 39: (1, {'@': 137}), 33: (1, {'@': 137}), 40: (1, {'@': 137}), 16: (1, {'@': 137}), 17: (1, {'@': 137}), 41: (1, {'@': 137}), 19: (1, {'@': 137}), 42: (1, {'@': 137}), 43: (1, {'@': 137}), 44: (1, {'@': 137}), 12: (1, {'@': 137}), 45: (1, {'@': 137}), 46: (1, {'@': 137}), 26: (1, {'@': 137}), 47: (1, {'@': 137}), 48: (1, {'@': 137}), 1: (1, {'@': 137}), 4: (1, {'@': 137}), 49: (1, {'@': 137}), 50: (1, {'@': 137}), 24: (1, {'@': 137}), 25: (1, {'@': 137}), 27: (1, {'@': 137}), 51: (1, {'@': 137}), 29: (1, {'@': 137}), 52: (1, {'@': 137}), 30: (1, {'@': 137}), 3: (1, {'@': 137}), 32: (1, {'@': 137})}, 157: {4: (0, 6), 5: (0, 1), 0: (0, 8), 17: (0, 223), 6: (0, 224), 3: (0, 14)}, 158: {40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 39: (0, 225), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 159: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 226), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 160: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 227), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 161: {35: (0, 97), 15: (1, {'@': 138}), 21: (1, {'@': 138}), 28: (1, {'@': 138}), 2: (1, {'@': 138}), 0: (1, {'@': 138}), 36: (0, 101), 20: (1, {'@': 138}), 37: (0, 102), 38: (0, 104), 22: (1, {'@': 138}), 31: (0, 99), 39: (1, {'@': 138}), 33: (1, {'@': 138}), 40: (0, 90), 16: (1, {'@': 138}), 17: (1, {'@': 138}), 41: (1, {'@': 138}), 19: (1, {'@': 138}), 42: (0, 91), 43: (0, 93), 44: (0, 100), 12: (1, {'@': 138}), 45: (0, 105), 46: (0, 98), 26: (1, {'@': 138}), 47: (0, 106), 48: (1, {'@': 138}), 1: (1, {'@': 138}), 4: (1, {'@': 138}), 24: (1, {'@': 138}), 25: (1, {'@': 138}), 27: (1, {'@': 138}), 51: (0, 103), 29: (1, {'@': 138}), 52: (0, 92), 30: (1, {'@': 138}), 3: (1, {'@': 138}), 32: (1, {'@': 138}), 81: (0, 94), 82: (0, 95)}, 162: {35: (1, {'@': 139}), 15: (1, {'@': 139}), 21: (1, {'@': 139}), 28: (1, {'@': 139}), 2: (1, {'@': 139}), 0: (1, {'@': 139}), 36: (1, {'@': 139}), 20: (1, {'@': 139}), 37: (1, {'@': 139}), 38: (1, {'@': 139}), 22: (1, {'@': 139}), 31: (1, {'@': 139}), 39: (1, {'@': 139}), 33: (1, {'@': 139}), 40: (1, {'@': 139}), 16: (1, {'@': 139}), 17: (1, {'@': 139}), 41: (1, {'@': 139}), 19: (1, {'@': 139}), 42: (1, {'@': 139}), 43: (1, {'@': 139}), 44: (1, {'@': 139}), 12: (1, {'@': 139}), 45: (1, {'@': 139}), 46: (1, {'@': 139}), 26: (1, {'@': 139}), 47: (1, {'@': 139}), 48: (1, {'@': 139}), 1: (1, {'@': 139}), 4: (1, {'@': 139}), 49: (1, {'@': 139}), 50: (1, {'@': 139}), 24: (0, 108), 25: (1, {'@': 139}), 27: (1, {'@': 139}), 51: (1, {'@': 139}), 29: (1, {'@': 139}), 52: (1, {'@': 139}), 30: (1, {'@': 139}), 3: (1, {'@': 139}), 32: (1, {'@': 139}), 83: (0, 228)}, 163: {35: (1, {'@': 140}), 15: (1, {'@': 140}), 21: (1, {'@': 140}), 28: (1, {'@': 140}), 2: (1, {'@': 140}), 0: (1, {'@': 140}), 36: (1, {'@': 140}), 20: (1, {'@': 140}), 37: (1, {'@': 140}), 38: (1, {'@': 140}), 22: (1, {'@': 140}), 31: (1, {'@': 140}), 39: (1, {'@': 140}), 33: (1, {'@': 140}), 40: (1, {'@': 140}), 16: (1, {'@': 140}), 17: (1, {'@': 140}), 41: (1, {'@': 140}), 19: (1, {'@': 140}), 42: (1, {'@': 140}), 43: (1, {'@': 140}), 44: (1, {'@': 140}), 12: (1, {'@': 140}), 45: (1, {'@': 140}), 46: (1, {'@': 140}), 26: (1, {'@': 140}), 47: (1, {'@': 140}), 48: (1, {'@': 140}), 1: (1, {'@': 140}), 4: (1, {'@': 140}), 49: (1, {'@': 140}), 50: (1, {'@': 140}), 24: (0, 108), 25: (1, {'@': 140}), 27: (1, {'@': 140}), 51: (1, {'@': 140}), 29: (1, {'@': 140}), 52: (1, {'@': 140}), 30: (1, {'@': 140}), 3: (1, {'@': 140}), 32: (1, {'@': 140})}, 164: {40: (0, 90), 5: (0, 1), 17: (0, 229), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 6: (0, 230), 4: (0, 6), 31: (0, 99), 44: (0, 100), 0: (0, 8), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106), 3: (0, 14)}, 165: {35: (1, {'@': 141}), 15: (1, {'@': 141}), 21: (1, {'@': 141}), 28: (1, {'@': 141}), 2: (1, {'@': 141}), 0: (1, {'@': 141}), 36: (1, {'@': 141}), 20: (1, {'@': 141}), 37: (1, {'@': 141}), 38: (1, {'@': 141}), 22: (1, {'@': 141}), 31: (1, {'@': 141}), 39: (1, {'@': 141}), 33: (1, {'@': 141}), 40: (1, {'@': 141}), 16: (1, {'@': 141}), 17: (1, {'@': 141}), 41: (1, {'@': 141}), 19: (1, {'@': 141}), 42: (1, {'@': 141}), 43: (1, {'@': 141}), 44: (1, {'@': 141}), 12: (1, {'@': 141}), 45: (1, {'@': 141}), 46: (1, {'@': 141}), 26: (1, {'@': 141}), 47: (1, {'@': 141}), 48: (1, {'@': 141}), 1: (1, {'@': 141}), 4: (1, {'@': 141}), 49: (1, {'@': 141}), 50: (1, {'@': 141}), 24: (1, {'@': 141}), 25: (1, {'@': 141}), 27: (1, {'@': 141}), 51: (1, {'@': 141}), 29: (1, {'@': 141}), 52: (1, {'@': 141}), 30: (1, {'@': 141}), 3: (1, {'@': 141}), 32: (1, {'@': 141})}, 166: {17: (0, 231)}, 167: {4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 232), 3: (0, 14)}, 168: {1: (0, 233)}, 169: {0: (1, {'@': 142}), 12: (1, {'@': 142}), 1: (1, {'@': 142}), 15: (1, {'@': 142}), 2: (1, {'@': 142}), 3: (1, {'@': 142}), 4: (1, {'@': 142})}, 170: {4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 234), 3: (0, 14)}, 171: {35: (1, {'@': 143}), 15: (1, {'@': 143}), 21: (1, {'@': 143}), 28: (1, {'@': 143}), 2: (1, {'@': 143}), 0: (1, {'@': 143}), 36: (1, {'@': 143}), 20: (1, {'@': 143}), 37: (1, {'@': 143}), 38: (1, {'@': 143}), 22: (1, {'@': 143}), 31: (1, {'@': 143}), 39: (1, {'@': 143}), 33: (1, {'@': 143}), 40: (1, {'@': 143}), 16: (1, {'@': 143}), 17: (1, {'@': 143}), 41: (1, {'@': 143}), 19: (1, {'@': 143}), 42: (1, {'@': 143}), 43: (1, {'@': 143}), 44: (1, {'@': 143}), 12: (1, {'@': 143}), 45: (1, {'@': 143}), 46: (1, {'@': 143}), 26: (1, {'@': 143}), 47: (1, {'@': 143}), 48: (1, {'@': 143}), 1: (1, {'@': 143}), 4: (1, {'@': 143}), 49: (1, {'@': 143}), 50: (1, {'@': 143}), 24: (1, {'@': 143}), 25: (1, {'@': 143}), 27: (1, {'@': 143}), 51: (1, {'@': 143}), 29: (1, {'@': 143}), 52: (1, {'@': 143}), 30: (1, {'@': 143}), 3: (1, {'@': 143}), 32: (1, {'@': 143})}, 172: {4: (0, 6), 5: (0, 1), 22: (0, 134), 6: (0, 135), 0: (0, 8), 84: (0, 235), 1: (0, 236), 3: (0, 14)}, 173: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 74), 57: (0, 39), 58: (0, 40), 76: (0, 186), 59: (0, 75), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 1: (0, 237), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 74: (0, 64), 73: (0, 63)}, 174: {48: (0, 238), 36: (0, 101), 38: (0, 104), 47: (0, 106), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 37: (0, 102), 51: (0, 103), 45: (0, 105)}, 175: {23: (0, 239), 22: (0, 240), 5: (0, 1), 6: (0, 241), 4: (0, 6), 0: (0, 8), 3: (0, 14)}, 176: {8: (0, 242), 12: (0, 10)}, 177: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 243), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 6: (0, 244), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 178: {23: (0, 245)}, 179: {25: (0, 30), 59: (0, 246), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 180: {0: (1, {'@': 144}), 1: (1, {'@': 144}), 22: (1, {'@': 144}), 3: (1, {'@': 144}), 4: (1, {'@': 144}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 181: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 247), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 88: (0, 216), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 17: (0, 217), 0: (0, 8), 6: (0, 218)}, 182: {0: (0, 8), 3: (0, 14), 17: (0, 165), 4: (0, 6), 5: (0, 1), 86: (0, 219), 41: (0, 220), 22: (0, 221), 6: (0, 248), 36: (0, 101), 38: (0, 104), 47: (0, 106), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 37: (0, 102), 51: (0, 103), 45: (0, 105)}, 183: {0: (1, {'@': 145}), 1: (1, {'@': 145}), 22: (1, {'@': 145}), 3: (1, {'@': 145}), 4: (1, {'@': 145}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 184: {0: (1, {'@': 146}), 1: (1, {'@': 146}), 22: (1, {'@': 146}), 3: (1, {'@': 146}), 4: (1, {'@': 146}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 185: {0: (1, {'@': 147}), 1: (1, {'@': 147}), 22: (1, {'@': 147}), 3: (1, {'@': 147}), 4: (1, {'@': 147}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 186: {0: (1, {'@': 148}), 1: (1, {'@': 148}), 22: (1, {'@': 148}), 3: (1, {'@': 148}), 4: (1, {'@': 148})}, 187: {35: (1, {'@': 149}), 15: (1, {'@': 149}), 21: (1, {'@': 149}), 28: (1, {'@': 149}), 2: (1, {'@': 149}), 0: (1, {'@': 149}), 36: (1, {'@': 149}), 20: (1, {'@': 149}), 37: (1, {'@': 149}), 38: (1, {'@': 149}), 22: (1, {'@': 149}), 31: (1, {'@': 149}), 39: (1, {'@': 149}), 33: (1, {'@': 149}), 40: (1, {'@': 149}), 16: (1, {'@': 149}), 17: (1, {'@': 149}), 41: (1, {'@': 149}), 19: (1, {'@': 149}), 42: (1, {'@': 149}), 43: (1, {'@': 149}), 44: (1, {'@': 149}), 12: (1, {'@': 149}), 45: (1, {'@': 149}), 46: (1, {'@': 149}), 26: (1, {'@': 149}), 47: (1, {'@': 149}), 48: (1, {'@': 149}), 1: (1, {'@': 149}), 4: (1, {'@': 149}), 49: (1, {'@': 149}), 50: (1, {'@': 149}), 24: (1, {'@': 149}), 25: (1, {'@': 149}), 27: (1, {'@': 149}), 51: (1, {'@': 149}), 29: (1, {'@': 149}), 52: (1, {'@': 149}), 30: (1, {'@': 149}), 3: (1, {'@': 149}), 32: (1, {'@': 149})}, 188: {21: (1, {'@': 150}), 12: (1, {'@': 150}), 1: (1, {'@': 150}), 16: (1, {'@': 150}), 24: (1, {'@': 150}), 25: (1, {'@': 150}), 26: (1, {'@': 150}), 27: (1, {'@': 150}), 28: (1, {'@': 150}), 19: (1, {'@': 150}), 15: (1, {'@': 150}), 31: (1, {'@': 150}), 20: (1, {'@': 150}), 32: (1, {'@': 150})}, 189: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 76: (0, 249), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 74), 57: (0, 39), 58: (0, 40), 59: (0, 75), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 1: (0, 250), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 74: (0, 64), 73: (0, 63)}, 190: {35: (1, {'@': 151}), 15: (1, {'@': 151}), 21: (1, {'@': 151}), 28: (1, {'@': 151}), 2: (1, {'@': 151}), 0: (1, {'@': 151}), 36: (1, {'@': 151}), 20: (1, {'@': 151}), 37: (1, {'@': 151}), 38: (1, {'@': 151}), 22: (1, {'@': 151}), 31: (1, {'@': 151}), 39: (1, {'@': 151}), 33: (1, {'@': 151}), 40: (1, {'@': 151}), 16: (1, {'@': 151}), 17: (1, {'@': 151}), 41: (1, {'@': 151}), 19: (1, {'@': 151}), 42: (1, {'@': 151}), 43: (1, {'@': 151}), 44: (1, {'@': 151}), 12: (1, {'@': 151}), 45: (1, {'@': 151}), 46: (1, {'@': 151}), 26: (1, {'@': 151}), 47: (1, {'@': 151}), 48: (1, {'@': 151}), 1: (1, {'@': 151}), 4: (1, {'@': 151}), 49: (1, {'@': 151}), 50: (1, {'@': 151}), 24: (1, {'@': 151}), 25: (1, {'@': 151}), 27: (1, {'@': 151}), 51: (1, {'@': 151}), 29: (1, {'@': 151}), 52: (1, {'@': 151}), 30: (1, {'@': 151}), 3: (1, {'@': 151}), 32: (1, {'@': 151})}, 191: {35: (1, {'@': 152}), 15: (1, {'@': 152}), 21: (1, {'@': 152}), 28: (1, {'@': 152}), 2: (1, {'@': 152}), 0: (1, {'@': 152}), 36: (1, {'@': 152}), 20: (1, {'@': 152}), 37: (1, {'@': 152}), 38: (1, {'@': 152}), 22: (1, {'@': 152}), 31: (1, {'@': 152}), 39: (1, {'@': 152}), 33: (1, {'@': 152}), 40: (1, {'@': 152}), 16: (1, {'@': 152}), 17: (1, {'@': 152}), 41: (1, {'@': 152}), 19: (1, {'@': 152}), 42: (1, {'@': 152}), 43: (1, {'@': 152}), 44: (1, {'@': 152}), 12: (1, {'@': 152}), 45: (1, {'@': 152}), 46: (1, {'@': 152}), 26: (1, {'@': 152}), 47: (1, {'@': 152}), 48: (1, {'@': 152}), 1: (1, {'@': 152}), 4: (1, {'@': 152}), 49: (1, {'@': 152}), 50: (1, {'@': 152}), 24: (1, {'@': 152}), 25: (1, {'@': 152}), 27: (1, {'@': 152}), 51: (1, {'@': 152}), 29: (1, {'@': 152}), 52: (1, {'@': 152}), 30: (1, {'@': 152}), 3: (1, {'@': 152}), 32: (1, {'@': 152})}, 192: {4: (0, 6), 89: (0, 251), 29: (0, 252), 5: (0, 1), 0: (0, 8), 30: (0, 194), 6: (0, 253), 3: (0, 14)}, 193: {4: (0, 6), 5: (0, 1), 0: (0, 8), 29: (0, 254), 6: (0, 255), 3: (0, 14)}, 194: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 256), 24: (0, 42), 60: (0, 43), 5: (0, 1), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 6: (0, 257), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 195: {6: (0, 258), 5: (0, 1), 29: (0, 259), 4: (0, 6), 36: (0, 101), 38: (0, 104), 47: (0, 106), 89: (0, 260), 40: (0, 90), 42: (0, 91), 52: (0, 92), 30: (0, 194), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 0: (0, 8), 37: (0, 102), 51: (0, 103), 45: (0, 105), 3: (0, 14)}, 196: {5: (0, 1), 22: (0, 261), 6: (0, 262), 4: (0, 6), 0: (0, 8), 29: (0, 263), 3: (0, 14)}, 197: {4: (0, 6), 5: (0, 1), 22: (0, 264), 3: (0, 14), 0: (0, 8), 29: (0, 265), 6: (0, 266)}, 198: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 205), 6: (0, 267), 24: (0, 42), 60: (0, 43), 5: (0, 1), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 29: (0, 268), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 199: {35: (1, {'@': 153}), 15: (1, {'@': 153}), 21: (1, {'@': 153}), 28: (1, {'@': 153}), 2: (1, {'@': 153}), 0: (1, {'@': 153}), 36: (1, {'@': 153}), 20: (1, {'@': 153}), 37: (1, {'@': 153}), 38: (1, {'@': 153}), 22: (1, {'@': 153}), 31: (1, {'@': 153}), 39: (1, {'@': 153}), 33: (1, {'@': 153}), 40: (1, {'@': 153}), 16: (1, {'@': 153}), 17: (1, {'@': 153}), 41: (1, {'@': 153}), 19: (1, {'@': 153}), 42: (1, {'@': 153}), 43: (1, {'@': 153}), 44: (1, {'@': 153}), 12: (1, {'@': 153}), 45: (1, {'@': 153}), 46: (1, {'@': 153}), 26: (1, {'@': 153}), 47: (1, {'@': 153}), 48: (1, {'@': 153}), 1: (1, {'@': 153}), 4: (1, {'@': 153}), 49: (1, {'@': 153}), 50: (1, {'@': 153}), 24: (1, {'@': 153}), 25: (1, {'@': 153}), 27: (1, {'@': 153}), 51: (1, {'@': 153}), 29: (1, {'@': 153}), 52: (1, {'@': 153}), 30: (1, {'@': 153}), 3: (1, {'@': 153}), 32: (1, {'@': 153})}, 200: {25: (0, 30), 27: (0, 31), 53: (0, 32), 59: (0, 269), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 201: {5: (0, 1), 6: (0, 270), 4: (0, 6), 36: (0, 101), 38: (0, 104), 47: (0, 106), 40: (0, 90), 42: (0, 91), 52: (0, 92), 30: (0, 194), 43: (0, 93), 81: (0, 94), 82: (0, 95), 89: (0, 271), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 29: (0, 272), 0: (0, 8), 37: (0, 102), 51: (0, 103), 45: (0, 105), 3: (0, 14)}, 202: {22: (0, 273), 4: (0, 6), 5: (0, 1), 3: (0, 14), 0: (0, 8), 6: (0, 274), 29: (0, 275)}, 203: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 276), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 29: (0, 277), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 6: (0, 278), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 204: {35: (1, {'@': 154}), 15: (1, {'@': 154}), 21: (1, {'@': 154}), 28: (1, {'@': 154}), 2: (1, {'@': 154}), 0: (1, {'@': 154}), 36: (1, {'@': 154}), 20: (1, {'@': 154}), 37: (1, {'@': 154}), 38: (1, {'@': 154}), 22: (1, {'@': 154}), 31: (1, {'@': 154}), 39: (1, {'@': 154}), 33: (1, {'@': 154}), 40: (1, {'@': 154}), 16: (1, {'@': 154}), 17: (1, {'@': 154}), 41: (1, {'@': 154}), 19: (1, {'@': 154}), 42: (1, {'@': 154}), 43: (1, {'@': 154}), 44: (1, {'@': 154}), 12: (1, {'@': 154}), 45: (1, {'@': 154}), 46: (1, {'@': 154}), 26: (1, {'@': 154}), 47: (1, {'@': 154}), 48: (1, {'@': 154}), 1: (1, {'@': 154}), 4: (1, {'@': 154}), 49: (1, {'@': 154}), 50: (1, {'@': 154}), 24: (1, {'@': 154}), 25: (1, {'@': 154}), 27: (1, {'@': 154}), 51: (1, {'@': 154}), 29: (1, {'@': 154}), 52: (1, {'@': 154}), 30: (1, {'@': 154}), 3: (1, {'@': 154}), 32: (1, {'@': 154})}, 205: {0: (1, {'@': 155}), 22: (1, {'@': 155}), 17: (1, {'@': 155}), 29: (1, {'@': 155}), 41: (1, {'@': 155}), 3: (1, {'@': 155}), 4: (1, {'@': 155}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 206: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 29: (0, 279), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 280), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 207: {35: (1, {'@': 156}), 15: (1, {'@': 156}), 21: (1, {'@': 156}), 28: (1, {'@': 156}), 2: (1, {'@': 156}), 0: (1, {'@': 156}), 36: (1, {'@': 156}), 20: (1, {'@': 156}), 37: (1, {'@': 156}), 38: (1, {'@': 156}), 22: (1, {'@': 156}), 31: (1, {'@': 156}), 39: (1, {'@': 156}), 33: (1, {'@': 156}), 40: (1, {'@': 156}), 16: (1, {'@': 156}), 17: (1, {'@': 156}), 41: (1, {'@': 156}), 19: (1, {'@': 156}), 42: (1, {'@': 156}), 43: (1, {'@': 156}), 44: (1, {'@': 156}), 12: (1, {'@': 156}), 45: (1, {'@': 156}), 46: (1, {'@': 156}), 26: (1, {'@': 156}), 47: (1, {'@': 156}), 48: (1, {'@': 156}), 1: (1, {'@': 156}), 4: (1, {'@': 156}), 49: (1, {'@': 156}), 50: (1, {'@': 156}), 24: (1, {'@': 156}), 25: (1, {'@': 156}), 27: (1, {'@': 156}), 51: (1, {'@': 156}), 29: (1, {'@': 156}), 52: (1, {'@': 156}), 30: (1, {'@': 156}), 3: (1, {'@': 156}), 32: (1, {'@': 156})}, 208: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 59: (0, 281), 16: (0, 34), 4: (0, 6), 20: (0, 35), 6: (0, 282), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 29: (0, 283), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 209: {29: (0, 284)}, 210: {35: (1, {'@': 157}), 15: (1, {'@': 157}), 21: (1, {'@': 157}), 28: (1, {'@': 157}), 2: (1, {'@': 157}), 0: (1, {'@': 157}), 36: (1, {'@': 157}), 20: (1, {'@': 157}), 37: (1, {'@': 157}), 38: (1, {'@': 157}), 22: (1, {'@': 157}), 31: (1, {'@': 157}), 39: (1, {'@': 157}), 33: (1, {'@': 157}), 40: (1, {'@': 157}), 16: (1, {'@': 157}), 17: (1, {'@': 157}), 41: (1, {'@': 157}), 19: (1, {'@': 157}), 42: (1, {'@': 157}), 43: (1, {'@': 157}), 44: (1, {'@': 157}), 12: (1, {'@': 157}), 45: (1, {'@': 157}), 46: (1, {'@': 157}), 26: (1, {'@': 157}), 47: (1, {'@': 157}), 48: (1, {'@': 157}), 1: (1, {'@': 157}), 4: (1, {'@': 157}), 49: (1, {'@': 157}), 50: (1, {'@': 157}), 24: (1, {'@': 157}), 25: (1, {'@': 157}), 27: (1, {'@': 157}), 51: (1, {'@': 157}), 29: (1, {'@': 157}), 52: (1, {'@': 157}), 30: (1, {'@': 157}), 3: (1, {'@': 157}), 32: (1, {'@': 157})}, 211: {35: (1, {'@': 158}), 15: (1, {'@': 158}), 21: (1, {'@': 158}), 28: (1, {'@': 158}), 2: (1, {'@': 158}), 0: (1, {'@': 158}), 36: (1, {'@': 158}), 20: (1, {'@': 158}), 37: (1, {'@': 158}), 38: (1, {'@': 158}), 22: (1, {'@': 158}), 31: (1, {'@': 158}), 39: (1, {'@': 158}), 33: (1, {'@': 158}), 40: (1, {'@': 158}), 16: (1, {'@': 158}), 17: (1, {'@': 158}), 41: (1, {'@': 158}), 19: (1, {'@': 158}), 42: (1, {'@': 158}), 43: (1, {'@': 158}), 44: (1, {'@': 158}), 12: (1, {'@': 158}), 45: (1, {'@': 158}), 46: (1, {'@': 158}), 26: (1, {'@': 158}), 47: (1, {'@': 158}), 48: (1, {'@': 158}), 1: (1, {'@': 158}), 4: (1, {'@': 158}), 49: (0, 82), 50: (1, {'@': 158}), 24: (1, {'@': 158}), 25: (1, {'@': 158}), 27: (0, 285), 51: (1, {'@': 158}), 29: (1, {'@': 158}), 52: (1, {'@': 158}), 30: (1, {'@': 158}), 3: (1, {'@': 158}), 32: (1, {'@': 158}), 90: (0, 286), 79: (0, 287), 78: (0, 288)}, 212: {35: (1, {'@': 159}), 15: (1, {'@': 159}), 21: (1, {'@': 159}), 28: (1, {'@': 159}), 2: (1, {'@': 159}), 0: (1, {'@': 159}), 36: (1, {'@': 159}), 20: (1, {'@': 159}), 37: (1, {'@': 159}), 38: (1, {'@': 159}), 22: (1, {'@': 159}), 31: (1, {'@': 159}), 39: (1, {'@': 159}), 33: (1, {'@': 159}), 40: (1, {'@': 159}), 16: (1, {'@': 159}), 17: (1, {'@': 159}), 41: (1, {'@': 159}), 19: (1, {'@': 159}), 42: (1, {'@': 159}), 43: (1, {'@': 159}), 44: (1, {'@': 159}), 12: (1, {'@': 159}), 45: (1, {'@': 159}), 46: (1, {'@': 159}), 26: (1, {'@': 159}), 47: (1, {'@': 159}), 48: (1, {'@': 159}), 1: (1, {'@': 159}), 4: (1, {'@': 159}), 49: (1, {'@': 159}), 50: (1, {'@': 159}), 24: (1, {'@': 159}), 25: (1, {'@': 159}), 27: (1, {'@': 159}), 51: (1, {'@': 159}), 29: (1, {'@': 159}), 52: (1, {'@': 159}), 30: (1, {'@': 159}), 3: (1, {'@': 159}), 32: (1, {'@': 159})}, 213: {29: (0, 289)}, 214: {6: (0, 290), 40: (0, 90), 5: (0, 1), 42: (0, 91), 52: (0, 92), 29: (0, 291), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 4: (0, 6), 31: (0, 99), 44: (0, 100), 0: (0, 8), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106), 3: (0, 14)}, 215: {35: (1, {'@': 160}), 15: (1, {'@': 160}), 21: (1, {'@': 160}), 28: (1, {'@': 160}), 2: (1, {'@': 160}), 0: (1, {'@': 160}), 36: (1, {'@': 160}), 20: (1, {'@': 160}), 37: (1, {'@': 160}), 38: (1, {'@': 160}), 22: (1, {'@': 160}), 31: (1, {'@': 160}), 39: (1, {'@': 160}), 33: (1, {'@': 160}), 40: (1, {'@': 160}), 16: (1, {'@': 160}), 17: (1, {'@': 160}), 41: (1, {'@': 160}), 19: (1, {'@': 160}), 42: (1, {'@': 160}), 43: (1, {'@': 160}), 44: (1, {'@': 160}), 12: (1, {'@': 160}), 45: (1, {'@': 160}), 46: (1, {'@': 160}), 26: (1, {'@': 160}), 47: (1, {'@': 160}), 48: (1, {'@': 160}), 1: (1, {'@': 160}), 4: (1, {'@': 160}), 49: (1, {'@': 160}), 50: (1, {'@': 160}), 24: (1, {'@': 160}), 25: (1, {'@': 160}), 27: (1, {'@': 160}), 51: (1, {'@': 160}), 29: (1, {'@': 160}), 52: (1, {'@': 160}), 30: (1, {'@': 160}), 3: (1, {'@': 160}), 32: (1, {'@': 160})}, 216: {4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 292), 17: (0, 293), 3: (0, 14)}, 217: {35: (1, {'@': 161}), 15: (1, {'@': 161}), 21: (1, {'@': 161}), 28: (1, {'@': 161}), 2: (1, {'@': 161}), 0: (1, {'@': 161}), 36: (1, {'@': 161}), 20: (1, {'@': 161}), 37: (1, {'@': 161}), 38: (1, {'@': 161}), 22: (1, {'@': 161}), 31: (1, {'@': 161}), 39: (1, {'@': 161}), 33: (1, {'@': 161}), 40: (1, {'@': 161}), 16: (1, {'@': 161}), 17: (1, {'@': 161}), 41: (1, {'@': 161}), 19: (1, {'@': 161}), 42: (1, {'@': 161}), 43: (1, {'@': 161}), 44: (1, {'@': 161}), 12: (1, {'@': 161}), 45: (1, {'@': 161}), 46: (1, {'@': 161}), 26: (1, {'@': 161}), 47: (1, {'@': 161}), 48: (1, {'@': 161}), 1: (1, {'@': 161}), 4: (1, {'@': 161}), 49: (1, {'@': 161}), 50: (1, {'@': 161}), 24: (1, {'@': 161}), 25: (1, {'@': 161}), 27: (1, {'@': 161}), 51: (1, {'@': 161}), 29: (1, {'@': 161}), 52: (1, {'@': 161}), 30: (1, {'@': 161}), 3: (1, {'@': 161}), 32: (1, {'@': 161})}, 218: {17: (0, 294)}, 219: {0: (0, 8), 3: (0, 14), 17: (1, {'@': 162}), 4: (0, 6), 41: (0, 295), 5: (0, 1), 22: (0, 296), 6: (0, 297)}, 220: {0: (0, 8), 3: (0, 14), 17: (1, {'@': 163}), 4: (0, 6), 5: (0, 1), 6: (0, 298)}, 221: {0: (0, 8), 3: (0, 14), 17: (1, {'@': 164}), 4: (0, 6), 25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 205), 24: (0, 42), 60: (0, 43), 5: (0, 1), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 6: (0, 299), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 222: {0: (1, {'@': 165}), 3: (1, {'@': 165}), 17: (1, {'@': 165}), 4: (1, {'@': 165}), 22: (0, 300)}, 223: {35: (1, {'@': 166}), 15: (1, {'@': 166}), 21: (1, {'@': 166}), 28: (1, {'@': 166}), 2: (1, {'@': 166}), 0: (1, {'@': 166}), 36: (1, {'@': 166}), 20: (1, {'@': 166}), 37: (1, {'@': 166}), 38: (1, {'@': 166}), 22: (1, {'@': 166}), 31: (1, {'@': 166}), 39: (1, {'@': 166}), 33: (1, {'@': 166}), 40: (1, {'@': 166}), 16: (1, {'@': 166}), 17: (1, {'@': 166}), 41: (1, {'@': 166}), 19: (1, {'@': 166}), 42: (1, {'@': 166}), 43: (1, {'@': 166}), 44: (1, {'@': 166}), 12: (1, {'@': 166}), 45: (1, {'@': 166}), 46: (1, {'@': 166}), 26: (1, {'@': 166}), 47: (1, {'@': 166}), 48: (1, {'@': 166}), 1: (1, {'@': 166}), 4: (1, {'@': 166}), 49: (1, {'@': 166}), 50: (1, {'@': 166}), 24: (1, {'@': 166}), 25: (1, {'@': 166}), 27: (1, {'@': 166}), 51: (1, {'@': 166}), 29: (1, {'@': 166}), 52: (1, {'@': 166}), 30: (1, {'@': 166}), 3: (1, {'@': 166}), 32: (1, {'@': 166})}, 224: {17: (0, 301)}, 225: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 302), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 226: {40: (0, 90), 39: (0, 303), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 227: {35: (0, 97), 15: (1, {'@': 167}), 21: (1, {'@': 167}), 28: (1, {'@': 167}), 2: (1, {'@': 167}), 0: (1, {'@': 167}), 36: (0, 101), 20: (1, {'@': 167}), 37: (0, 102), 38: (0, 104), 22: (1, {'@': 167}), 31: (0, 99), 39: (1, {'@': 167}), 33: (1, {'@': 167}), 40: (0, 90), 16: (1, {'@': 167}), 17: (1, {'@': 167}), 41: (1, {'@': 167}), 19: (1, {'@': 167}), 42: (0, 91), 43: (0, 93), 44: (0, 100), 12: (1, {'@': 167}), 45: (0, 105), 46: (0, 98), 26: (1, {'@': 167}), 47: (0, 106), 48: (1, {'@': 167}), 1: (1, {'@': 167}), 4: (1, {'@': 167}), 24: (1, {'@': 167}), 25: (1, {'@': 167}), 27: (1, {'@': 167}), 51: (0, 103), 29: (1, {'@': 167}), 52: (0, 92), 30: (1, {'@': 167}), 3: (1, {'@': 167}), 32: (1, {'@': 167}), 81: (0, 94), 82: (0, 95)}, 228: {62: (0, 304), 24: (0, 42)}, 229: {35: (1, {'@': 168}), 15: (1, {'@': 168}), 21: (1, {'@': 168}), 28: (1, {'@': 168}), 2: (1, {'@': 168}), 0: (1, {'@': 168}), 36: (1, {'@': 168}), 20: (1, {'@': 168}), 37: (1, {'@': 168}), 38: (1, {'@': 168}), 22: (1, {'@': 168}), 31: (1, {'@': 168}), 39: (1, {'@': 168}), 33: (1, {'@': 168}), 40: (1, {'@': 168}), 16: (1, {'@': 168}), 17: (1, {'@': 168}), 41: (1, {'@': 168}), 19: (1, {'@': 168}), 42: (1, {'@': 168}), 43: (1, {'@': 168}), 44: (1, {'@': 168}), 12: (1, {'@': 168}), 45: (1, {'@': 168}), 46: (1, {'@': 168}), 26: (1, {'@': 168}), 47: (1, {'@': 168}), 48: (1, {'@': 168}), 1: (1, {'@': 168}), 4: (1, {'@': 168}), 49: (1, {'@': 168}), 50: (1, {'@': 168}), 24: (1, {'@': 168}), 25: (1, {'@': 168}), 27: (1, {'@': 168}), 51: (1, {'@': 168}), 29: (1, {'@': 168}), 52: (1, {'@': 168}), 30: (1, {'@': 168}), 3: (1, {'@': 168}), 32: (1, {'@': 168})}, 230: {17: (0, 305)}, 231: {35: (1, {'@': 169}), 15: (1, {'@': 169}), 21: (1, {'@': 169}), 28: (1, {'@': 169}), 2: (1, {'@': 169}), 0: (1, {'@': 169}), 36: (1, {'@': 169}), 20: (1, {'@': 169}), 37: (1, {'@': 169}), 38: (1, {'@': 169}), 22: (1, {'@': 169}), 31: (1, {'@': 169}), 39: (1, {'@': 169}), 33: (1, {'@': 169}), 40: (1, {'@': 169}), 16: (1, {'@': 169}), 17: (1, {'@': 169}), 41: (1, {'@': 169}), 19: (1, {'@': 169}), 42: (1, {'@': 169}), 43: (1, {'@': 169}), 44: (1, {'@': 169}), 12: (1, {'@': 169}), 45: (1, {'@': 169}), 46: (1, {'@': 169}), 26: (1, {'@': 169}), 47: (1, {'@': 169}), 48: (1, {'@': 169}), 1: (1, {'@': 169}), 4: (1, {'@': 169}), 49: (1, {'@': 169}), 50: (1, {'@': 169}), 24: (1, {'@': 169}), 25: (1, {'@': 169}), 27: (1, {'@': 169}), 51: (1, {'@': 169}), 29: (1, {'@': 169}), 52: (1, {'@': 169}), 30: (1, {'@': 169}), 3: (1, {'@': 169}), 32: (1, {'@': 169})}, 232: {0: (1, {'@': 170}), 12: (1, {'@': 170}), 1: (1, {'@': 170}), 15: (1, {'@': 170}), 2: (1, {'@': 170}), 3: (1, {'@': 170}), 4: (1, {'@': 170})}, 233: {4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 306), 3: (0, 14)}, 234: {0: (1, {'@': 171}), 12: (1, {'@': 171}), 1: (1, {'@': 171}), 15: (1, {'@': 171}), 2: (1, {'@': 171}), 3: (1, {'@': 171}), 4: (1, {'@': 171})}, 235: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 76: (0, 249), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 74), 57: (0, 39), 58: (0, 40), 59: (0, 75), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 1: (0, 307), 74: (0, 64), 73: (0, 63)}, 236: {35: (1, {'@': 172}), 15: (1, {'@': 172}), 21: (1, {'@': 172}), 28: (1, {'@': 172}), 2: (1, {'@': 172}), 0: (1, {'@': 172}), 36: (1, {'@': 172}), 20: (1, {'@': 172}), 37: (1, {'@': 172}), 38: (1, {'@': 172}), 22: (1, {'@': 172}), 31: (1, {'@': 172}), 39: (1, {'@': 172}), 33: (1, {'@': 172}), 40: (1, {'@': 172}), 16: (1, {'@': 172}), 17: (1, {'@': 172}), 41: (1, {'@': 172}), 19: (1, {'@': 172}), 42: (1, {'@': 172}), 43: (1, {'@': 172}), 44: (1, {'@': 172}), 12: (1, {'@': 172}), 45: (1, {'@': 172}), 46: (1, {'@': 172}), 26: (1, {'@': 172}), 47: (1, {'@': 172}), 48: (1, {'@': 172}), 1: (1, {'@': 172}), 4: (1, {'@': 172}), 49: (1, {'@': 172}), 50: (1, {'@': 172}), 24: (1, {'@': 172}), 25: (1, {'@': 172}), 27: (1, {'@': 172}), 51: (1, {'@': 172}), 29: (1, {'@': 172}), 52: (1, {'@': 172}), 30: (1, {'@': 172}), 3: (1, {'@': 172}), 32: (1, {'@': 172})}, 237: {35: (1, {'@': 173}), 15: (1, {'@': 173}), 21: (1, {'@': 173}), 28: (1, {'@': 173}), 2: (1, {'@': 173}), 0: (1, {'@': 173}), 36: (1, {'@': 173}), 20: (1, {'@': 173}), 37: (1, {'@': 173}), 38: (1, {'@': 173}), 22: (1, {'@': 173}), 31: (1, {'@': 173}), 39: (1, {'@': 173}), 33: (1, {'@': 173}), 40: (1, {'@': 173}), 16: (1, {'@': 173}), 17: (1, {'@': 173}), 41: (1, {'@': 173}), 19: (1, {'@': 173}), 42: (1, {'@': 173}), 43: (1, {'@': 173}), 44: (1, {'@': 173}), 12: (1, {'@': 173}), 45: (1, {'@': 173}), 46: (1, {'@': 173}), 26: (1, {'@': 173}), 47: (1, {'@': 173}), 48: (1, {'@': 173}), 1: (1, {'@': 173}), 4: (1, {'@': 173}), 49: (1, {'@': 173}), 50: (1, {'@': 173}), 24: (1, {'@': 173}), 25: (1, {'@': 173}), 27: (1, {'@': 173}), 51: (1, {'@': 173}), 29: (1, {'@': 173}), 52: (1, {'@': 173}), 30: (1, {'@': 173}), 3: (1, {'@': 173}), 32: (1, {'@': 173})}, 238: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 59: (0, 308), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 239: {25: (0, 30), 27: (0, 31), 59: (0, 309), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 6: (0, 310), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 240: {8: (0, 311), 12: (0, 10)}, 241: {23: (0, 312)}, 242: {5: (0, 1), 3: (0, 14), 6: (0, 313), 23: (0, 314), 4: (0, 6), 0: (0, 8)}, 243: {39: (0, 315), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 244: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 59: (0, 316), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 245: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 317), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 6: (0, 318), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 246: {5: (0, 1), 45: (0, 105), 6: (0, 319), 89: (0, 320), 1: (0, 321), 4: (0, 6), 36: (0, 101), 41: (0, 322), 38: (0, 104), 47: (0, 106), 40: (0, 90), 42: (0, 91), 52: (0, 92), 30: (0, 194), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 0: (0, 8), 37: (0, 102), 51: (0, 103), 3: (0, 14)}, 247: {0: (0, 8), 3: (0, 14), 17: (0, 229), 4: (0, 6), 5: (0, 1), 86: (0, 219), 41: (0, 220), 22: (0, 221), 6: (0, 323), 36: (0, 101), 38: (0, 104), 47: (0, 106), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 37: (0, 102), 51: (0, 103), 45: (0, 105)}, 248: {0: (1, {'@': 165}), 3: (1, {'@': 165}), 17: (0, 231), 4: (1, {'@': 165}), 22: (0, 300)}, 249: {0: (1, {'@': 174}), 1: (1, {'@': 174}), 22: (1, {'@': 174}), 3: (1, {'@': 174}), 4: (1, {'@': 174})}, 250: {35: (1, {'@': 175}), 15: (1, {'@': 175}), 21: (1, {'@': 175}), 28: (1, {'@': 175}), 2: (1, {'@': 175}), 0: (1, {'@': 175}), 36: (1, {'@': 175}), 20: (1, {'@': 175}), 37: (1, {'@': 175}), 38: (1, {'@': 175}), 22: (1, {'@': 175}), 31: (1, {'@': 175}), 39: (1, {'@': 175}), 33: (1, {'@': 175}), 40: (1, {'@': 175}), 16: (1, {'@': 175}), 17: (1, {'@': 175}), 41: (1, {'@': 175}), 19: (1, {'@': 175}), 42: (1, {'@': 175}), 43: (1, {'@': 175}), 44: (1, {'@': 175}), 12: (1, {'@': 175}), 45: (1, {'@': 175}), 46: (1, {'@': 175}), 26: (1, {'@': 175}), 47: (1, {'@': 175}), 48: (1, {'@': 175}), 1: (1, {'@': 175}), 4: (1, {'@': 175}), 49: (1, {'@': 175}), 50: (1, {'@': 175}), 24: (1, {'@': 175}), 25: (1, {'@': 175}), 27: (1, {'@': 175}), 51: (1, {'@': 175}), 29: (1, {'@': 175}), 52: (1, {'@': 175}), 30: (1, {'@': 175}), 3: (1, {'@': 175}), 32: (1, {'@': 175})}, 251: {4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 324), 29: (0, 325), 3: (0, 14)}, 252: {35: (1, {'@': 176}), 15: (1, {'@': 176}), 21: (1, {'@': 176}), 28: (1, {'@': 176}), 2: (1, {'@': 176}), 0: (1, {'@': 176}), 36: (1, {'@': 176}), 20: (1, {'@': 176}), 37: (1, {'@': 176}), 38: (1, {'@': 176}), 22: (1, {'@': 176}), 31: (1, {'@': 176}), 39: (1, {'@': 176}), 33: (1, {'@': 176}), 40: (1, {'@': 176}), 16: (1, {'@': 176}), 17: (1, {'@': 176}), 41: (1, {'@': 176}), 19: (1, {'@': 176}), 42: (1, {'@': 176}), 43: (1, {'@': 176}), 44: (1, {'@': 176}), 12: (1, {'@': 176}), 45: (1, {'@': 176}), 46: (1, {'@': 176}), 26: (1, {'@': 176}), 47: (1, {'@': 176}), 48: (1, {'@': 176}), 1: (1, {'@': 176}), 4: (1, {'@': 176}), 49: (1, {'@': 176}), 50: (1, {'@': 176}), 24: (1, {'@': 176}), 25: (1, {'@': 176}), 27: (1, {'@': 176}), 51: (1, {'@': 176}), 29: (1, {'@': 176}), 52: (1, {'@': 176}), 30: (1, {'@': 176}), 3: (1, {'@': 176}), 32: (1, {'@': 176})}, 253: {29: (0, 326)}, 254: {35: (1, {'@': 177}), 15: (1, {'@': 177}), 21: (1, {'@': 177}), 28: (1, {'@': 177}), 2: (1, {'@': 177}), 0: (1, {'@': 177}), 36: (1, {'@': 177}), 20: (1, {'@': 177}), 37: (1, {'@': 177}), 38: (1, {'@': 177}), 22: (1, {'@': 177}), 31: (1, {'@': 177}), 39: (1, {'@': 177}), 33: (1, {'@': 177}), 40: (1, {'@': 177}), 16: (1, {'@': 177}), 17: (1, {'@': 177}), 41: (1, {'@': 177}), 19: (1, {'@': 177}), 42: (1, {'@': 177}), 43: (1, {'@': 177}), 44: (1, {'@': 177}), 12: (1, {'@': 177}), 45: (1, {'@': 177}), 46: (1, {'@': 177}), 26: (1, {'@': 177}), 47: (1, {'@': 177}), 48: (1, {'@': 177}), 1: (1, {'@': 177}), 4: (1, {'@': 177}), 49: (1, {'@': 177}), 50: (1, {'@': 177}), 24: (1, {'@': 177}), 25: (1, {'@': 177}), 27: (1, {'@': 177}), 51: (1, {'@': 177}), 29: (1, {'@': 177}), 52: (1, {'@': 177}), 30: (1, {'@': 177}), 3: (1, {'@': 177}), 32: (1, {'@': 177})}, 255: {29: (0, 327)}, 256: {0: (1, {'@': 178}), 29: (1, {'@': 178}), 1: (1, {'@': 178}), 3: (1, {'@': 178}), 4: (1, {'@': 178}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 257: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 59: (0, 328), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 258: {4: (0, 6), 5: (0, 1), 89: (0, 329), 0: (0, 8), 30: (0, 194), 29: (0, 330), 6: (0, 331), 3: (0, 14)}, 259: {35: (1, {'@': 179}), 15: (1, {'@': 179}), 21: (1, {'@': 179}), 28: (1, {'@': 179}), 2: (1, {'@': 179}), 0: (1, {'@': 179}), 36: (1, {'@': 179}), 20: (1, {'@': 179}), 37: (1, {'@': 179}), 38: (1, {'@': 179}), 22: (1, {'@': 179}), 31: (1, {'@': 179}), 39: (1, {'@': 179}), 33: (1, {'@': 179}), 40: (1, {'@': 179}), 16: (1, {'@': 179}), 17: (1, {'@': 179}), 41: (1, {'@': 179}), 19: (1, {'@': 179}), 42: (1, {'@': 179}), 43: (1, {'@': 179}), 44: (1, {'@': 179}), 12: (1, {'@': 179}), 45: (1, {'@': 179}), 46: (1, {'@': 179}), 26: (1, {'@': 179}), 47: (1, {'@': 179}), 48: (1, {'@': 179}), 1: (1, {'@': 179}), 4: (1, {'@': 179}), 49: (1, {'@': 179}), 50: (1, {'@': 179}), 24: (1, {'@': 179}), 25: (1, {'@': 179}), 27: (1, {'@': 179}), 51: (1, {'@': 179}), 29: (1, {'@': 179}), 52: (1, {'@': 179}), 30: (1, {'@': 179}), 3: (1, {'@': 179}), 32: (1, {'@': 179})}, 260: {4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 332), 29: (0, 333), 3: (0, 14)}, 261: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 276), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 6: (0, 334), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 29: (0, 335), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 262: {4: (0, 6), 29: (0, 336), 5: (0, 1), 22: (0, 337), 0: (0, 8), 6: (0, 338), 3: (0, 14)}, 263: {35: (1, {'@': 180}), 15: (1, {'@': 180}), 21: (1, {'@': 180}), 28: (1, {'@': 180}), 2: (1, {'@': 180}), 0: (1, {'@': 180}), 36: (1, {'@': 180}), 20: (1, {'@': 180}), 37: (1, {'@': 180}), 38: (1, {'@': 180}), 22: (1, {'@': 180}), 31: (1, {'@': 180}), 39: (1, {'@': 180}), 33: (1, {'@': 180}), 40: (1, {'@': 180}), 16: (1, {'@': 180}), 17: (1, {'@': 180}), 41: (1, {'@': 180}), 19: (1, {'@': 180}), 42: (1, {'@': 180}), 43: (1, {'@': 180}), 44: (1, {'@': 180}), 12: (1, {'@': 180}), 45: (1, {'@': 180}), 46: (1, {'@': 180}), 26: (1, {'@': 180}), 47: (1, {'@': 180}), 48: (1, {'@': 180}), 1: (1, {'@': 180}), 4: (1, {'@': 180}), 49: (1, {'@': 180}), 50: (1, {'@': 180}), 24: (1, {'@': 180}), 25: (1, {'@': 180}), 27: (1, {'@': 180}), 51: (1, {'@': 180}), 29: (1, {'@': 180}), 52: (1, {'@': 180}), 30: (1, {'@': 180}), 3: (1, {'@': 180}), 32: (1, {'@': 180})}, 264: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 6: (0, 339), 59: (0, 281), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8), 29: (0, 340)}, 265: {35: (1, {'@': 181}), 15: (1, {'@': 181}), 21: (1, {'@': 181}), 28: (1, {'@': 181}), 2: (1, {'@': 181}), 0: (1, {'@': 181}), 36: (1, {'@': 181}), 20: (1, {'@': 181}), 37: (1, {'@': 181}), 38: (1, {'@': 181}), 22: (1, {'@': 181}), 31: (1, {'@': 181}), 39: (1, {'@': 181}), 33: (1, {'@': 181}), 40: (1, {'@': 181}), 16: (1, {'@': 181}), 17: (1, {'@': 181}), 41: (1, {'@': 181}), 19: (1, {'@': 181}), 42: (1, {'@': 181}), 43: (1, {'@': 181}), 44: (1, {'@': 181}), 12: (1, {'@': 181}), 45: (1, {'@': 181}), 46: (1, {'@': 181}), 26: (1, {'@': 181}), 47: (1, {'@': 181}), 48: (1, {'@': 181}), 1: (1, {'@': 181}), 4: (1, {'@': 181}), 49: (1, {'@': 181}), 50: (1, {'@': 181}), 24: (1, {'@': 181}), 25: (1, {'@': 181}), 27: (1, {'@': 181}), 51: (1, {'@': 181}), 29: (1, {'@': 181}), 52: (1, {'@': 181}), 30: (1, {'@': 181}), 3: (1, {'@': 181}), 32: (1, {'@': 181})}, 266: {29: (0, 341)}, 267: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 280), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 29: (0, 342), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 268: {35: (1, {'@': 182}), 15: (1, {'@': 182}), 21: (1, {'@': 182}), 28: (1, {'@': 182}), 2: (1, {'@': 182}), 0: (1, {'@': 182}), 36: (1, {'@': 182}), 20: (1, {'@': 182}), 37: (1, {'@': 182}), 38: (1, {'@': 182}), 22: (1, {'@': 182}), 31: (1, {'@': 182}), 39: (1, {'@': 182}), 33: (1, {'@': 182}), 40: (1, {'@': 182}), 16: (1, {'@': 182}), 17: (1, {'@': 182}), 41: (1, {'@': 182}), 19: (1, {'@': 182}), 42: (1, {'@': 182}), 43: (1, {'@': 182}), 44: (1, {'@': 182}), 12: (1, {'@': 182}), 45: (1, {'@': 182}), 46: (1, {'@': 182}), 26: (1, {'@': 182}), 47: (1, {'@': 182}), 48: (1, {'@': 182}), 1: (1, {'@': 182}), 4: (1, {'@': 182}), 49: (1, {'@': 182}), 50: (1, {'@': 182}), 24: (1, {'@': 182}), 25: (1, {'@': 182}), 27: (1, {'@': 182}), 51: (1, {'@': 182}), 29: (1, {'@': 182}), 52: (1, {'@': 182}), 30: (1, {'@': 182}), 3: (1, {'@': 182}), 32: (1, {'@': 182})}, 269: {5: (0, 1), 4: (0, 6), 36: (0, 101), 6: (0, 343), 38: (0, 104), 47: (0, 106), 40: (0, 90), 42: (0, 91), 52: (0, 92), 30: (0, 194), 89: (0, 344), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 0: (0, 8), 29: (0, 345), 37: (0, 102), 51: (0, 103), 45: (0, 105), 3: (0, 14)}, 270: {4: (0, 6), 5: (0, 1), 89: (0, 346), 0: (0, 8), 30: (0, 194), 29: (0, 347), 3: (0, 14), 6: (0, 348)}, 271: {4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 349), 3: (0, 14), 29: (0, 350)}, 272: {35: (1, {'@': 183}), 15: (1, {'@': 183}), 21: (1, {'@': 183}), 28: (1, {'@': 183}), 2: (1, {'@': 183}), 0: (1, {'@': 183}), 36: (1, {'@': 183}), 20: (1, {'@': 183}), 37: (1, {'@': 183}), 38: (1, {'@': 183}), 22: (1, {'@': 183}), 31: (1, {'@': 183}), 39: (1, {'@': 183}), 33: (1, {'@': 183}), 40: (1, {'@': 183}), 16: (1, {'@': 183}), 17: (1, {'@': 183}), 41: (1, {'@': 183}), 19: (1, {'@': 183}), 42: (1, {'@': 183}), 43: (1, {'@': 183}), 44: (1, {'@': 183}), 12: (1, {'@': 183}), 45: (1, {'@': 183}), 46: (1, {'@': 183}), 26: (1, {'@': 183}), 47: (1, {'@': 183}), 48: (1, {'@': 183}), 1: (1, {'@': 183}), 4: (1, {'@': 183}), 49: (1, {'@': 183}), 50: (1, {'@': 183}), 24: (1, {'@': 183}), 25: (1, {'@': 183}), 27: (1, {'@': 183}), 51: (1, {'@': 183}), 29: (1, {'@': 183}), 52: (1, {'@': 183}), 30: (1, {'@': 183}), 3: (1, {'@': 183}), 32: (1, {'@': 183})}, 273: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 6: (0, 351), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 352), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 29: (0, 353), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 274: {29: (0, 354)}, 275: {35: (1, {'@': 184}), 15: (1, {'@': 184}), 21: (1, {'@': 184}), 28: (1, {'@': 184}), 2: (1, {'@': 184}), 0: (1, {'@': 184}), 36: (1, {'@': 184}), 20: (1, {'@': 184}), 37: (1, {'@': 184}), 38: (1, {'@': 184}), 22: (1, {'@': 184}), 31: (1, {'@': 184}), 39: (1, {'@': 184}), 33: (1, {'@': 184}), 40: (1, {'@': 184}), 16: (1, {'@': 184}), 17: (1, {'@': 184}), 41: (1, {'@': 184}), 19: (1, {'@': 184}), 42: (1, {'@': 184}), 43: (1, {'@': 184}), 44: (1, {'@': 184}), 12: (1, {'@': 184}), 45: (1, {'@': 184}), 46: (1, {'@': 184}), 26: (1, {'@': 184}), 47: (1, {'@': 184}), 48: (1, {'@': 184}), 1: (1, {'@': 184}), 4: (1, {'@': 184}), 49: (1, {'@': 184}), 50: (1, {'@': 184}), 24: (1, {'@': 184}), 25: (1, {'@': 184}), 27: (1, {'@': 184}), 51: (1, {'@': 184}), 29: (1, {'@': 184}), 52: (1, {'@': 184}), 30: (1, {'@': 184}), 3: (1, {'@': 184}), 32: (1, {'@': 184})}, 276: {0: (1, {'@': 185}), 22: (1, {'@': 185}), 17: (1, {'@': 185}), 29: (1, {'@': 185}), 41: (1, {'@': 185}), 3: (1, {'@': 185}), 4: (1, {'@': 185}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 277: {35: (1, {'@': 186}), 15: (1, {'@': 186}), 21: (1, {'@': 186}), 28: (1, {'@': 186}), 2: (1, {'@': 186}), 0: (1, {'@': 186}), 36: (1, {'@': 186}), 20: (1, {'@': 186}), 37: (1, {'@': 186}), 38: (1, {'@': 186}), 22: (1, {'@': 186}), 31: (1, {'@': 186}), 39: (1, {'@': 186}), 33: (1, {'@': 186}), 40: (1, {'@': 186}), 16: (1, {'@': 186}), 17: (1, {'@': 186}), 41: (1, {'@': 186}), 19: (1, {'@': 186}), 42: (1, {'@': 186}), 43: (1, {'@': 186}), 44: (1, {'@': 186}), 12: (1, {'@': 186}), 45: (1, {'@': 186}), 46: (1, {'@': 186}), 26: (1, {'@': 186}), 47: (1, {'@': 186}), 48: (1, {'@': 186}), 1: (1, {'@': 186}), 4: (1, {'@': 186}), 49: (1, {'@': 186}), 50: (1, {'@': 186}), 24: (1, {'@': 186}), 25: (1, {'@': 186}), 27: (1, {'@': 186}), 51: (1, {'@': 186}), 29: (1, {'@': 186}), 52: (1, {'@': 186}), 30: (1, {'@': 186}), 3: (1, {'@': 186}), 32: (1, {'@': 186})}, 278: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 355), 24: (0, 42), 60: (0, 43), 15: (0, 13), 29: (0, 356), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 279: {35: (1, {'@': 187}), 15: (1, {'@': 187}), 21: (1, {'@': 187}), 28: (1, {'@': 187}), 2: (1, {'@': 187}), 0: (1, {'@': 187}), 36: (1, {'@': 187}), 20: (1, {'@': 187}), 37: (1, {'@': 187}), 38: (1, {'@': 187}), 22: (1, {'@': 187}), 31: (1, {'@': 187}), 39: (1, {'@': 187}), 33: (1, {'@': 187}), 40: (1, {'@': 187}), 16: (1, {'@': 187}), 17: (1, {'@': 187}), 41: (1, {'@': 187}), 19: (1, {'@': 187}), 42: (1, {'@': 187}), 43: (1, {'@': 187}), 44: (1, {'@': 187}), 12: (1, {'@': 187}), 45: (1, {'@': 187}), 46: (1, {'@': 187}), 26: (1, {'@': 187}), 47: (1, {'@': 187}), 48: (1, {'@': 187}), 1: (1, {'@': 187}), 4: (1, {'@': 187}), 49: (1, {'@': 187}), 50: (1, {'@': 187}), 24: (1, {'@': 187}), 25: (1, {'@': 187}), 27: (1, {'@': 187}), 51: (1, {'@': 187}), 29: (1, {'@': 187}), 52: (1, {'@': 187}), 30: (1, {'@': 187}), 3: (1, {'@': 187}), 32: (1, {'@': 187})}, 280: {0: (1, {'@': 188}), 22: (1, {'@': 188}), 17: (1, {'@': 188}), 29: (1, {'@': 188}), 41: (1, {'@': 188}), 3: (1, {'@': 188}), 4: (1, {'@': 188}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 281: {0: (1, {'@': 189}), 22: (1, {'@': 189}), 17: (1, {'@': 189}), 29: (1, {'@': 189}), 41: (1, {'@': 189}), 3: (1, {'@': 189}), 4: (1, {'@': 189}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 282: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 357), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 29: (0, 358), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 283: {35: (1, {'@': 190}), 15: (1, {'@': 190}), 21: (1, {'@': 190}), 28: (1, {'@': 190}), 2: (1, {'@': 190}), 0: (1, {'@': 190}), 36: (1, {'@': 190}), 20: (1, {'@': 190}), 37: (1, {'@': 190}), 38: (1, {'@': 190}), 22: (1, {'@': 190}), 31: (1, {'@': 190}), 39: (1, {'@': 190}), 33: (1, {'@': 190}), 40: (1, {'@': 190}), 16: (1, {'@': 190}), 17: (1, {'@': 190}), 41: (1, {'@': 190}), 19: (1, {'@': 190}), 42: (1, {'@': 190}), 43: (1, {'@': 190}), 44: (1, {'@': 190}), 12: (1, {'@': 190}), 45: (1, {'@': 190}), 46: (1, {'@': 190}), 26: (1, {'@': 190}), 47: (1, {'@': 190}), 48: (1, {'@': 190}), 1: (1, {'@': 190}), 4: (1, {'@': 190}), 49: (1, {'@': 190}), 50: (1, {'@': 190}), 24: (1, {'@': 190}), 25: (1, {'@': 190}), 27: (1, {'@': 190}), 51: (1, {'@': 190}), 29: (1, {'@': 190}), 52: (1, {'@': 190}), 30: (1, {'@': 190}), 3: (1, {'@': 190}), 32: (1, {'@': 190})}, 284: {35: (1, {'@': 191}), 15: (1, {'@': 191}), 21: (1, {'@': 191}), 28: (1, {'@': 191}), 2: (1, {'@': 191}), 0: (1, {'@': 191}), 36: (1, {'@': 191}), 20: (1, {'@': 191}), 37: (1, {'@': 191}), 38: (1, {'@': 191}), 22: (1, {'@': 191}), 31: (1, {'@': 191}), 39: (1, {'@': 191}), 33: (1, {'@': 191}), 40: (1, {'@': 191}), 16: (1, {'@': 191}), 17: (1, {'@': 191}), 41: (1, {'@': 191}), 19: (1, {'@': 191}), 42: (1, {'@': 191}), 43: (1, {'@': 191}), 44: (1, {'@': 191}), 12: (1, {'@': 191}), 45: (1, {'@': 191}), 46: (1, {'@': 191}), 26: (1, {'@': 191}), 47: (1, {'@': 191}), 48: (1, {'@': 191}), 1: (1, {'@': 191}), 4: (1, {'@': 191}), 49: (1, {'@': 191}), 50: (1, {'@': 191}), 24: (1, {'@': 191}), 25: (1, {'@': 191}), 27: (1, {'@': 191}), 51: (1, {'@': 191}), 29: (1, {'@': 191}), 52: (1, {'@': 191}), 30: (1, {'@': 191}), 3: (1, {'@': 191}), 32: (1, {'@': 191})}, 285: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 59: (0, 149), 58: (0, 40), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 6: (0, 150), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 286: {35: (1, {'@': 192}), 15: (1, {'@': 192}), 21: (1, {'@': 192}), 28: (1, {'@': 192}), 2: (1, {'@': 192}), 0: (1, {'@': 192}), 36: (1, {'@': 192}), 20: (1, {'@': 192}), 37: (1, {'@': 192}), 38: (1, {'@': 192}), 22: (1, {'@': 192}), 31: (1, {'@': 192}), 39: (1, {'@': 192}), 33: (1, {'@': 192}), 40: (1, {'@': 192}), 16: (1, {'@': 192}), 17: (1, {'@': 192}), 41: (1, {'@': 192}), 19: (1, {'@': 192}), 42: (1, {'@': 192}), 43: (1, {'@': 192}), 44: (1, {'@': 192}), 12: (1, {'@': 192}), 45: (1, {'@': 192}), 46: (1, {'@': 192}), 26: (1, {'@': 192}), 47: (1, {'@': 192}), 48: (1, {'@': 192}), 1: (1, {'@': 192}), 4: (1, {'@': 192}), 49: (0, 82), 50: (1, {'@': 192}), 24: (1, {'@': 192}), 25: (1, {'@': 192}), 27: (0, 285), 51: (1, {'@': 192}), 29: (1, {'@': 192}), 52: (1, {'@': 192}), 30: (1, {'@': 192}), 3: (1, {'@': 192}), 32: (1, {'@': 192}), 79: (0, 359), 78: (0, 360)}, 287: {35: (1, {'@': 193}), 15: (1, {'@': 193}), 21: (1, {'@': 193}), 28: (1, {'@': 193}), 2: (1, {'@': 193}), 0: (1, {'@': 193}), 36: (1, {'@': 193}), 20: (1, {'@': 193}), 37: (1, {'@': 193}), 38: (1, {'@': 193}), 22: (1, {'@': 193}), 31: (1, {'@': 193}), 39: (1, {'@': 193}), 33: (1, {'@': 193}), 40: (1, {'@': 193}), 16: (1, {'@': 193}), 17: (1, {'@': 193}), 41: (1, {'@': 193}), 19: (1, {'@': 193}), 42: (1, {'@': 193}), 43: (1, {'@': 193}), 44: (1, {'@': 193}), 12: (1, {'@': 193}), 45: (1, {'@': 193}), 46: (1, {'@': 193}), 26: (1, {'@': 193}), 47: (1, {'@': 193}), 48: (1, {'@': 193}), 1: (1, {'@': 193}), 4: (1, {'@': 193}), 49: (1, {'@': 193}), 50: (1, {'@': 193}), 24: (1, {'@': 193}), 25: (1, {'@': 193}), 27: (1, {'@': 193}), 51: (1, {'@': 193}), 29: (1, {'@': 193}), 52: (1, {'@': 193}), 30: (1, {'@': 193}), 3: (1, {'@': 193}), 32: (1, {'@': 193})}, 288: {35: (1, {'@': 194}), 15: (1, {'@': 194}), 21: (1, {'@': 194}), 28: (1, {'@': 194}), 2: (1, {'@': 194}), 0: (1, {'@': 194}), 36: (1, {'@': 194}), 20: (1, {'@': 194}), 37: (1, {'@': 194}), 38: (1, {'@': 194}), 22: (1, {'@': 194}), 31: (1, {'@': 194}), 39: (1, {'@': 194}), 33: (1, {'@': 194}), 40: (1, {'@': 194}), 16: (1, {'@': 194}), 17: (1, {'@': 194}), 41: (1, {'@': 194}), 19: (1, {'@': 194}), 42: (1, {'@': 194}), 43: (1, {'@': 194}), 44: (1, {'@': 194}), 12: (1, {'@': 194}), 45: (1, {'@': 194}), 46: (1, {'@': 194}), 26: (1, {'@': 194}), 47: (1, {'@': 194}), 48: (1, {'@': 194}), 1: (1, {'@': 194}), 4: (1, {'@': 194}), 49: (1, {'@': 194}), 50: (1, {'@': 194}), 24: (1, {'@': 194}), 25: (1, {'@': 194}), 27: (1, {'@': 194}), 51: (1, {'@': 194}), 29: (1, {'@': 194}), 52: (1, {'@': 194}), 30: (1, {'@': 194}), 3: (1, {'@': 194}), 32: (1, {'@': 194})}, 289: {35: (1, {'@': 195}), 15: (1, {'@': 195}), 21: (1, {'@': 195}), 28: (1, {'@': 195}), 2: (1, {'@': 195}), 0: (1, {'@': 195}), 36: (1, {'@': 195}), 20: (1, {'@': 195}), 37: (1, {'@': 195}), 38: (1, {'@': 195}), 22: (1, {'@': 195}), 31: (1, {'@': 195}), 39: (1, {'@': 195}), 33: (1, {'@': 195}), 40: (1, {'@': 195}), 16: (1, {'@': 195}), 17: (1, {'@': 195}), 41: (1, {'@': 195}), 19: (1, {'@': 195}), 42: (1, {'@': 195}), 43: (1, {'@': 195}), 44: (1, {'@': 195}), 12: (1, {'@': 195}), 45: (1, {'@': 195}), 46: (1, {'@': 195}), 26: (1, {'@': 195}), 47: (1, {'@': 195}), 48: (1, {'@': 195}), 1: (1, {'@': 195}), 4: (1, {'@': 195}), 49: (1, {'@': 195}), 50: (1, {'@': 195}), 24: (1, {'@': 195}), 25: (1, {'@': 195}), 27: (1, {'@': 195}), 51: (1, {'@': 195}), 29: (1, {'@': 195}), 52: (1, {'@': 195}), 30: (1, {'@': 195}), 3: (1, {'@': 195}), 32: (1, {'@': 195})}, 290: {29: (0, 361)}, 291: {35: (1, {'@': 196}), 15: (1, {'@': 196}), 21: (1, {'@': 196}), 28: (1, {'@': 196}), 2: (1, {'@': 196}), 0: (1, {'@': 196}), 36: (1, {'@': 196}), 20: (1, {'@': 196}), 37: (1, {'@': 196}), 38: (1, {'@': 196}), 22: (1, {'@': 196}), 31: (1, {'@': 196}), 39: (1, {'@': 196}), 33: (1, {'@': 196}), 40: (1, {'@': 196}), 16: (1, {'@': 196}), 17: (1, {'@': 196}), 41: (1, {'@': 196}), 19: (1, {'@': 196}), 42: (1, {'@': 196}), 43: (1, {'@': 196}), 44: (1, {'@': 196}), 12: (1, {'@': 196}), 45: (1, {'@': 196}), 46: (1, {'@': 196}), 26: (1, {'@': 196}), 47: (1, {'@': 196}), 48: (1, {'@': 196}), 1: (1, {'@': 196}), 4: (1, {'@': 196}), 49: (1, {'@': 196}), 50: (1, {'@': 196}), 24: (1, {'@': 196}), 25: (1, {'@': 196}), 27: (1, {'@': 196}), 51: (1, {'@': 196}), 29: (1, {'@': 196}), 52: (1, {'@': 196}), 30: (1, {'@': 196}), 3: (1, {'@': 196}), 32: (1, {'@': 196})}, 292: {17: (0, 362)}, 293: {35: (1, {'@': 197}), 15: (1, {'@': 197}), 21: (1, {'@': 197}), 28: (1, {'@': 197}), 2: (1, {'@': 197}), 0: (1, {'@': 197}), 36: (1, {'@': 197}), 20: (1, {'@': 197}), 37: (1, {'@': 197}), 38: (1, {'@': 197}), 22: (1, {'@': 197}), 31: (1, {'@': 197}), 39: (1, {'@': 197}), 33: (1, {'@': 197}), 40: (1, {'@': 197}), 16: (1, {'@': 197}), 17: (1, {'@': 197}), 41: (1, {'@': 197}), 19: (1, {'@': 197}), 42: (1, {'@': 197}), 43: (1, {'@': 197}), 44: (1, {'@': 197}), 12: (1, {'@': 197}), 45: (1, {'@': 197}), 46: (1, {'@': 197}), 26: (1, {'@': 197}), 47: (1, {'@': 197}), 48: (1, {'@': 197}), 1: (1, {'@': 197}), 4: (1, {'@': 197}), 49: (1, {'@': 197}), 50: (1, {'@': 197}), 24: (1, {'@': 197}), 25: (1, {'@': 197}), 27: (1, {'@': 197}), 51: (1, {'@': 197}), 29: (1, {'@': 197}), 52: (1, {'@': 197}), 30: (1, {'@': 197}), 3: (1, {'@': 197}), 32: (1, {'@': 197})}, 294: {35: (1, {'@': 198}), 15: (1, {'@': 198}), 21: (1, {'@': 198}), 28: (1, {'@': 198}), 2: (1, {'@': 198}), 0: (1, {'@': 198}), 36: (1, {'@': 198}), 20: (1, {'@': 198}), 37: (1, {'@': 198}), 38: (1, {'@': 198}), 22: (1, {'@': 198}), 31: (1, {'@': 198}), 39: (1, {'@': 198}), 33: (1, {'@': 198}), 40: (1, {'@': 198}), 16: (1, {'@': 198}), 17: (1, {'@': 198}), 41: (1, {'@': 198}), 19: (1, {'@': 198}), 42: (1, {'@': 198}), 43: (1, {'@': 198}), 44: (1, {'@': 198}), 12: (1, {'@': 198}), 45: (1, {'@': 198}), 46: (1, {'@': 198}), 26: (1, {'@': 198}), 47: (1, {'@': 198}), 48: (1, {'@': 198}), 1: (1, {'@': 198}), 4: (1, {'@': 198}), 49: (1, {'@': 198}), 50: (1, {'@': 198}), 24: (1, {'@': 198}), 25: (1, {'@': 198}), 27: (1, {'@': 198}), 51: (1, {'@': 198}), 29: (1, {'@': 198}), 52: (1, {'@': 198}), 30: (1, {'@': 198}), 3: (1, {'@': 198}), 32: (1, {'@': 198})}, 295: {0: (0, 8), 3: (0, 14), 17: (1, {'@': 199}), 4: (0, 6), 5: (0, 1), 6: (0, 363)}, 296: {0: (0, 8), 3: (0, 14), 17: (1, {'@': 200}), 4: (0, 6), 25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 6: (0, 364), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 276), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 297: {0: (1, {'@': 201}), 3: (1, {'@': 201}), 17: (1, {'@': 201}), 4: (1, {'@': 201}), 22: (0, 365)}, 298: {0: (1, {'@': 202}), 3: (1, {'@': 202}), 17: (1, {'@': 202}), 4: (1, {'@': 202})}, 299: {0: (1, {'@': 203}), 3: (1, {'@': 203}), 17: (1, {'@': 203}), 4: (1, {'@': 203}), 25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 280), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 300: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 59: (0, 281), 16: (0, 34), 4: (0, 6), 20: (0, 35), 6: (0, 366), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 301: {35: (1, {'@': 204}), 15: (1, {'@': 204}), 21: (1, {'@': 204}), 28: (1, {'@': 204}), 2: (1, {'@': 204}), 0: (1, {'@': 204}), 36: (1, {'@': 204}), 20: (1, {'@': 204}), 37: (1, {'@': 204}), 38: (1, {'@': 204}), 22: (1, {'@': 204}), 31: (1, {'@': 204}), 39: (1, {'@': 204}), 33: (1, {'@': 204}), 40: (1, {'@': 204}), 16: (1, {'@': 204}), 17: (1, {'@': 204}), 41: (1, {'@': 204}), 19: (1, {'@': 204}), 42: (1, {'@': 204}), 43: (1, {'@': 204}), 44: (1, {'@': 204}), 12: (1, {'@': 204}), 45: (1, {'@': 204}), 46: (1, {'@': 204}), 26: (1, {'@': 204}), 47: (1, {'@': 204}), 48: (1, {'@': 204}), 1: (1, {'@': 204}), 4: (1, {'@': 204}), 49: (1, {'@': 204}), 50: (1, {'@': 204}), 24: (1, {'@': 204}), 25: (1, {'@': 204}), 27: (1, {'@': 204}), 51: (1, {'@': 204}), 29: (1, {'@': 204}), 52: (1, {'@': 204}), 30: (1, {'@': 204}), 3: (1, {'@': 204}), 32: (1, {'@': 204})}, 302: {35: (0, 97), 15: (1, {'@': 205}), 21: (1, {'@': 205}), 28: (1, {'@': 205}), 2: (1, {'@': 205}), 0: (1, {'@': 205}), 36: (0, 101), 20: (1, {'@': 205}), 37: (0, 102), 38: (0, 104), 22: (1, {'@': 205}), 31: (0, 99), 39: (1, {'@': 205}), 33: (1, {'@': 205}), 40: (0, 90), 16: (1, {'@': 205}), 17: (1, {'@': 205}), 41: (1, {'@': 205}), 19: (1, {'@': 205}), 42: (0, 91), 43: (0, 93), 44: (0, 100), 12: (1, {'@': 205}), 45: (0, 105), 46: (0, 98), 26: (1, {'@': 205}), 47: (0, 106), 48: (1, {'@': 205}), 1: (1, {'@': 205}), 4: (1, {'@': 205}), 24: (1, {'@': 205}), 25: (1, {'@': 205}), 27: (1, {'@': 205}), 51: (0, 103), 29: (1, {'@': 205}), 52: (0, 92), 30: (1, {'@': 205}), 3: (1, {'@': 205}), 32: (1, {'@': 205}), 81: (0, 94), 82: (0, 95)}, 303: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 59: (0, 367), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 304: {35: (1, {'@': 206}), 15: (1, {'@': 206}), 21: (1, {'@': 206}), 28: (1, {'@': 206}), 2: (1, {'@': 206}), 0: (1, {'@': 206}), 36: (1, {'@': 206}), 20: (1, {'@': 206}), 37: (1, {'@': 206}), 38: (1, {'@': 206}), 22: (1, {'@': 206}), 31: (1, {'@': 206}), 39: (1, {'@': 206}), 33: (1, {'@': 206}), 40: (1, {'@': 206}), 16: (1, {'@': 206}), 17: (1, {'@': 206}), 41: (1, {'@': 206}), 19: (1, {'@': 206}), 42: (1, {'@': 206}), 43: (1, {'@': 206}), 44: (1, {'@': 206}), 12: (1, {'@': 206}), 45: (1, {'@': 206}), 46: (1, {'@': 206}), 26: (1, {'@': 206}), 47: (1, {'@': 206}), 48: (1, {'@': 206}), 1: (1, {'@': 206}), 4: (1, {'@': 206}), 49: (1, {'@': 206}), 50: (1, {'@': 206}), 24: (0, 108), 25: (1, {'@': 206}), 27: (1, {'@': 206}), 51: (1, {'@': 206}), 29: (1, {'@': 206}), 52: (1, {'@': 206}), 30: (1, {'@': 206}), 3: (1, {'@': 206}), 32: (1, {'@': 206})}, 305: {35: (1, {'@': 207}), 15: (1, {'@': 207}), 21: (1, {'@': 207}), 28: (1, {'@': 207}), 2: (1, {'@': 207}), 0: (1, {'@': 207}), 36: (1, {'@': 207}), 20: (1, {'@': 207}), 37: (1, {'@': 207}), 38: (1, {'@': 207}), 22: (1, {'@': 207}), 31: (1, {'@': 207}), 39: (1, {'@': 207}), 33: (1, {'@': 207}), 40: (1, {'@': 207}), 16: (1, {'@': 207}), 17: (1, {'@': 207}), 41: (1, {'@': 207}), 19: (1, {'@': 207}), 42: (1, {'@': 207}), 43: (1, {'@': 207}), 44: (1, {'@': 207}), 12: (1, {'@': 207}), 45: (1, {'@': 207}), 46: (1, {'@': 207}), 26: (1, {'@': 207}), 47: (1, {'@': 207}), 48: (1, {'@': 207}), 1: (1, {'@': 207}), 4: (1, {'@': 207}), 49: (1, {'@': 207}), 50: (1, {'@': 207}), 24: (1, {'@': 207}), 25: (1, {'@': 207}), 27: (1, {'@': 207}), 51: (1, {'@': 207}), 29: (1, {'@': 207}), 52: (1, {'@': 207}), 30: (1, {'@': 207}), 3: (1, {'@': 207}), 32: (1, {'@': 207})}, 306: {0: (1, {'@': 208}), 12: (1, {'@': 208}), 1: (1, {'@': 208}), 15: (1, {'@': 208}), 2: (1, {'@': 208}), 3: (1, {'@': 208}), 4: (1, {'@': 208})}, 307: {35: (1, {'@': 209}), 15: (1, {'@': 209}), 21: (1, {'@': 209}), 28: (1, {'@': 209}), 2: (1, {'@': 209}), 0: (1, {'@': 209}), 36: (1, {'@': 209}), 20: (1, {'@': 209}), 37: (1, {'@': 209}), 38: (1, {'@': 209}), 22: (1, {'@': 209}), 31: (1, {'@': 209}), 39: (1, {'@': 209}), 33: (1, {'@': 209}), 40: (1, {'@': 209}), 16: (1, {'@': 209}), 17: (1, {'@': 209}), 41: (1, {'@': 209}), 19: (1, {'@': 209}), 42: (1, {'@': 209}), 43: (1, {'@': 209}), 44: (1, {'@': 209}), 12: (1, {'@': 209}), 45: (1, {'@': 209}), 46: (1, {'@': 209}), 26: (1, {'@': 209}), 47: (1, {'@': 209}), 48: (1, {'@': 209}), 1: (1, {'@': 209}), 4: (1, {'@': 209}), 49: (1, {'@': 209}), 50: (1, {'@': 209}), 24: (1, {'@': 209}), 25: (1, {'@': 209}), 27: (1, {'@': 209}), 51: (1, {'@': 209}), 29: (1, {'@': 209}), 52: (1, {'@': 209}), 30: (1, {'@': 209}), 3: (1, {'@': 209}), 32: (1, {'@': 209})}, 308: {5: (0, 1), 41: (0, 368), 6: (0, 369), 4: (0, 6), 36: (0, 101), 89: (0, 370), 38: (0, 104), 47: (0, 106), 1: (0, 371), 40: (0, 90), 42: (0, 91), 52: (0, 92), 30: (0, 194), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 0: (0, 8), 51: (0, 103), 37: (0, 102), 45: (0, 105), 3: (0, 14)}, 309: {40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 39: (0, 372), 31: (0, 99), 44: (0, 100), 51: (0, 103), 36: (0, 101), 37: (0, 102), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 310: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 373), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 311: {6: (0, 374), 5: (0, 1), 23: (0, 375), 4: (0, 6), 0: (0, 8), 3: (0, 14)}, 312: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 376), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 6: (0, 377), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 313: {4: (0, 6), 5: (0, 1), 0: (0, 8), 23: (0, 378), 6: (0, 379), 3: (0, 14)}, 314: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 380), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 6: (0, 381), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 315: {0: (0, 8), 16: (1, {'@': 210}), 19: (1, {'@': 210}), 15: (1, {'@': 210}), 20: (1, {'@': 210}), 4: (0, 6), 21: (1, {'@': 210}), 12: (1, {'@': 210}), 24: (1, {'@': 210}), 25: (1, {'@': 210}), 26: (1, {'@': 210}), 27: (1, {'@': 210}), 28: (1, {'@': 210}), 31: (1, {'@': 210}), 3: (0, 14), 32: (1, {'@': 210}), 5: (0, 1), 6: (0, 382)}, 316: {40: (0, 90), 39: (0, 383), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 317: {40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 39: (0, 384), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 318: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 385), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 319: {4: (0, 6), 5: (0, 1), 0: (0, 8), 30: (0, 194), 89: (0, 386), 1: (0, 387), 3: (0, 14), 6: (0, 388)}, 320: {4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 389), 1: (0, 390), 3: (0, 14)}, 321: {35: (1, {'@': 211}), 15: (1, {'@': 211}), 21: (1, {'@': 211}), 28: (1, {'@': 211}), 2: (1, {'@': 211}), 0: (1, {'@': 211}), 36: (1, {'@': 211}), 20: (1, {'@': 211}), 37: (1, {'@': 211}), 38: (1, {'@': 211}), 22: (1, {'@': 211}), 31: (1, {'@': 211}), 39: (1, {'@': 211}), 33: (1, {'@': 211}), 40: (1, {'@': 211}), 16: (1, {'@': 211}), 17: (1, {'@': 211}), 41: (1, {'@': 211}), 19: (1, {'@': 211}), 42: (1, {'@': 211}), 43: (1, {'@': 211}), 44: (1, {'@': 211}), 12: (1, {'@': 211}), 45: (1, {'@': 211}), 46: (1, {'@': 211}), 26: (1, {'@': 211}), 47: (1, {'@': 211}), 48: (1, {'@': 211}), 1: (1, {'@': 211}), 4: (1, {'@': 211}), 49: (1, {'@': 211}), 50: (1, {'@': 211}), 24: (1, {'@': 211}), 25: (1, {'@': 211}), 27: (1, {'@': 211}), 51: (1, {'@': 211}), 29: (1, {'@': 211}), 52: (1, {'@': 211}), 30: (1, {'@': 211}), 3: (1, {'@': 211}), 32: (1, {'@': 211})}, 322: {89: (0, 391), 6: (0, 392), 5: (0, 1), 1: (0, 393), 30: (0, 194), 4: (0, 6), 0: (0, 8), 3: (0, 14)}, 323: {0: (1, {'@': 165}), 3: (1, {'@': 165}), 17: (0, 305), 4: (1, {'@': 165}), 22: (0, 300)}, 324: {29: (0, 394)}, 325: {35: (1, {'@': 212}), 15: (1, {'@': 212}), 21: (1, {'@': 212}), 28: (1, {'@': 212}), 2: (1, {'@': 212}), 0: (1, {'@': 212}), 36: (1, {'@': 212}), 20: (1, {'@': 212}), 37: (1, {'@': 212}), 38: (1, {'@': 212}), 22: (1, {'@': 212}), 31: (1, {'@': 212}), 39: (1, {'@': 212}), 33: (1, {'@': 212}), 40: (1, {'@': 212}), 16: (1, {'@': 212}), 17: (1, {'@': 212}), 41: (1, {'@': 212}), 19: (1, {'@': 212}), 42: (1, {'@': 212}), 43: (1, {'@': 212}), 44: (1, {'@': 212}), 12: (1, {'@': 212}), 45: (1, {'@': 212}), 46: (1, {'@': 212}), 26: (1, {'@': 212}), 47: (1, {'@': 212}), 48: (1, {'@': 212}), 1: (1, {'@': 212}), 4: (1, {'@': 212}), 49: (1, {'@': 212}), 50: (1, {'@': 212}), 24: (1, {'@': 212}), 25: (1, {'@': 212}), 27: (1, {'@': 212}), 51: (1, {'@': 212}), 29: (1, {'@': 212}), 52: (1, {'@': 212}), 30: (1, {'@': 212}), 3: (1, {'@': 212}), 32: (1, {'@': 212})}, 326: {35: (1, {'@': 213}), 15: (1, {'@': 213}), 21: (1, {'@': 213}), 28: (1, {'@': 213}), 2: (1, {'@': 213}), 0: (1, {'@': 213}), 36: (1, {'@': 213}), 20: (1, {'@': 213}), 37: (1, {'@': 213}), 38: (1, {'@': 213}), 22: (1, {'@': 213}), 31: (1, {'@': 213}), 39: (1, {'@': 213}), 33: (1, {'@': 213}), 40: (1, {'@': 213}), 16: (1, {'@': 213}), 17: (1, {'@': 213}), 41: (1, {'@': 213}), 19: (1, {'@': 213}), 42: (1, {'@': 213}), 43: (1, {'@': 213}), 44: (1, {'@': 213}), 12: (1, {'@': 213}), 45: (1, {'@': 213}), 46: (1, {'@': 213}), 26: (1, {'@': 213}), 47: (1, {'@': 213}), 48: (1, {'@': 213}), 1: (1, {'@': 213}), 4: (1, {'@': 213}), 49: (1, {'@': 213}), 50: (1, {'@': 213}), 24: (1, {'@': 213}), 25: (1, {'@': 213}), 27: (1, {'@': 213}), 51: (1, {'@': 213}), 29: (1, {'@': 213}), 52: (1, {'@': 213}), 30: (1, {'@': 213}), 3: (1, {'@': 213}), 32: (1, {'@': 213})}, 327: {35: (1, {'@': 214}), 15: (1, {'@': 214}), 21: (1, {'@': 214}), 28: (1, {'@': 214}), 2: (1, {'@': 214}), 0: (1, {'@': 214}), 36: (1, {'@': 214}), 20: (1, {'@': 214}), 37: (1, {'@': 214}), 38: (1, {'@': 214}), 22: (1, {'@': 214}), 31: (1, {'@': 214}), 39: (1, {'@': 214}), 33: (1, {'@': 214}), 40: (1, {'@': 214}), 16: (1, {'@': 214}), 17: (1, {'@': 214}), 41: (1, {'@': 214}), 19: (1, {'@': 214}), 42: (1, {'@': 214}), 43: (1, {'@': 214}), 44: (1, {'@': 214}), 12: (1, {'@': 214}), 45: (1, {'@': 214}), 46: (1, {'@': 214}), 26: (1, {'@': 214}), 47: (1, {'@': 214}), 48: (1, {'@': 214}), 1: (1, {'@': 214}), 4: (1, {'@': 214}), 49: (1, {'@': 214}), 50: (1, {'@': 214}), 24: (1, {'@': 214}), 25: (1, {'@': 214}), 27: (1, {'@': 214}), 51: (1, {'@': 214}), 29: (1, {'@': 214}), 52: (1, {'@': 214}), 30: (1, {'@': 214}), 3: (1, {'@': 214}), 32: (1, {'@': 214})}, 328: {0: (1, {'@': 215}), 29: (1, {'@': 215}), 1: (1, {'@': 215}), 3: (1, {'@': 215}), 4: (1, {'@': 215}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 329: {4: (0, 6), 5: (0, 1), 0: (0, 8), 29: (0, 395), 3: (0, 14), 6: (0, 396)}, 330: {35: (1, {'@': 216}), 15: (1, {'@': 216}), 21: (1, {'@': 216}), 28: (1, {'@': 216}), 2: (1, {'@': 216}), 0: (1, {'@': 216}), 36: (1, {'@': 216}), 20: (1, {'@': 216}), 37: (1, {'@': 216}), 38: (1, {'@': 216}), 22: (1, {'@': 216}), 31: (1, {'@': 216}), 39: (1, {'@': 216}), 33: (1, {'@': 216}), 40: (1, {'@': 216}), 16: (1, {'@': 216}), 17: (1, {'@': 216}), 41: (1, {'@': 216}), 19: (1, {'@': 216}), 42: (1, {'@': 216}), 43: (1, {'@': 216}), 44: (1, {'@': 216}), 12: (1, {'@': 216}), 45: (1, {'@': 216}), 46: (1, {'@': 216}), 26: (1, {'@': 216}), 47: (1, {'@': 216}), 48: (1, {'@': 216}), 1: (1, {'@': 216}), 4: (1, {'@': 216}), 49: (1, {'@': 216}), 50: (1, {'@': 216}), 24: (1, {'@': 216}), 25: (1, {'@': 216}), 27: (1, {'@': 216}), 51: (1, {'@': 216}), 29: (1, {'@': 216}), 52: (1, {'@': 216}), 30: (1, {'@': 216}), 3: (1, {'@': 216}), 32: (1, {'@': 216})}, 331: {29: (0, 397)}, 332: {29: (0, 398)}, 333: {35: (1, {'@': 217}), 15: (1, {'@': 217}), 21: (1, {'@': 217}), 28: (1, {'@': 217}), 2: (1, {'@': 217}), 0: (1, {'@': 217}), 36: (1, {'@': 217}), 20: (1, {'@': 217}), 37: (1, {'@': 217}), 38: (1, {'@': 217}), 22: (1, {'@': 217}), 31: (1, {'@': 217}), 39: (1, {'@': 217}), 33: (1, {'@': 217}), 40: (1, {'@': 217}), 16: (1, {'@': 217}), 17: (1, {'@': 217}), 41: (1, {'@': 217}), 19: (1, {'@': 217}), 42: (1, {'@': 217}), 43: (1, {'@': 217}), 44: (1, {'@': 217}), 12: (1, {'@': 217}), 45: (1, {'@': 217}), 46: (1, {'@': 217}), 26: (1, {'@': 217}), 47: (1, {'@': 217}), 48: (1, {'@': 217}), 1: (1, {'@': 217}), 4: (1, {'@': 217}), 49: (1, {'@': 217}), 50: (1, {'@': 217}), 24: (1, {'@': 217}), 25: (1, {'@': 217}), 27: (1, {'@': 217}), 51: (1, {'@': 217}), 29: (1, {'@': 217}), 52: (1, {'@': 217}), 30: (1, {'@': 217}), 3: (1, {'@': 217}), 32: (1, {'@': 217})}, 334: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 355), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 29: (0, 399), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 335: {35: (1, {'@': 218}), 15: (1, {'@': 218}), 21: (1, {'@': 218}), 28: (1, {'@': 218}), 2: (1, {'@': 218}), 0: (1, {'@': 218}), 36: (1, {'@': 218}), 20: (1, {'@': 218}), 37: (1, {'@': 218}), 38: (1, {'@': 218}), 22: (1, {'@': 218}), 31: (1, {'@': 218}), 39: (1, {'@': 218}), 33: (1, {'@': 218}), 40: (1, {'@': 218}), 16: (1, {'@': 218}), 17: (1, {'@': 218}), 41: (1, {'@': 218}), 19: (1, {'@': 218}), 42: (1, {'@': 218}), 43: (1, {'@': 218}), 44: (1, {'@': 218}), 12: (1, {'@': 218}), 45: (1, {'@': 218}), 46: (1, {'@': 218}), 26: (1, {'@': 218}), 47: (1, {'@': 218}), 48: (1, {'@': 218}), 1: (1, {'@': 218}), 4: (1, {'@': 218}), 49: (1, {'@': 218}), 50: (1, {'@': 218}), 24: (1, {'@': 218}), 25: (1, {'@': 218}), 27: (1, {'@': 218}), 51: (1, {'@': 218}), 29: (1, {'@': 218}), 52: (1, {'@': 218}), 30: (1, {'@': 218}), 3: (1, {'@': 218}), 32: (1, {'@': 218})}, 336: {35: (1, {'@': 219}), 15: (1, {'@': 219}), 21: (1, {'@': 219}), 28: (1, {'@': 219}), 2: (1, {'@': 219}), 0: (1, {'@': 219}), 36: (1, {'@': 219}), 20: (1, {'@': 219}), 37: (1, {'@': 219}), 38: (1, {'@': 219}), 22: (1, {'@': 219}), 31: (1, {'@': 219}), 39: (1, {'@': 219}), 33: (1, {'@': 219}), 40: (1, {'@': 219}), 16: (1, {'@': 219}), 17: (1, {'@': 219}), 41: (1, {'@': 219}), 19: (1, {'@': 219}), 42: (1, {'@': 219}), 43: (1, {'@': 219}), 44: (1, {'@': 219}), 12: (1, {'@': 219}), 45: (1, {'@': 219}), 46: (1, {'@': 219}), 26: (1, {'@': 219}), 47: (1, {'@': 219}), 48: (1, {'@': 219}), 1: (1, {'@': 219}), 4: (1, {'@': 219}), 49: (1, {'@': 219}), 50: (1, {'@': 219}), 24: (1, {'@': 219}), 25: (1, {'@': 219}), 27: (1, {'@': 219}), 51: (1, {'@': 219}), 29: (1, {'@': 219}), 52: (1, {'@': 219}), 30: (1, {'@': 219}), 3: (1, {'@': 219}), 32: (1, {'@': 219})}, 337: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 352), 5: (0, 1), 24: (0, 42), 60: (0, 43), 6: (0, 400), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 29: (0, 401), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 338: {29: (0, 402)}, 339: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 357), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 29: (0, 403), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 340: {35: (1, {'@': 220}), 15: (1, {'@': 220}), 21: (1, {'@': 220}), 28: (1, {'@': 220}), 2: (1, {'@': 220}), 0: (1, {'@': 220}), 36: (1, {'@': 220}), 20: (1, {'@': 220}), 37: (1, {'@': 220}), 38: (1, {'@': 220}), 22: (1, {'@': 220}), 31: (1, {'@': 220}), 39: (1, {'@': 220}), 33: (1, {'@': 220}), 40: (1, {'@': 220}), 16: (1, {'@': 220}), 17: (1, {'@': 220}), 41: (1, {'@': 220}), 19: (1, {'@': 220}), 42: (1, {'@': 220}), 43: (1, {'@': 220}), 44: (1, {'@': 220}), 12: (1, {'@': 220}), 45: (1, {'@': 220}), 46: (1, {'@': 220}), 26: (1, {'@': 220}), 47: (1, {'@': 220}), 48: (1, {'@': 220}), 1: (1, {'@': 220}), 4: (1, {'@': 220}), 49: (1, {'@': 220}), 50: (1, {'@': 220}), 24: (1, {'@': 220}), 25: (1, {'@': 220}), 27: (1, {'@': 220}), 51: (1, {'@': 220}), 29: (1, {'@': 220}), 52: (1, {'@': 220}), 30: (1, {'@': 220}), 3: (1, {'@': 220}), 32: (1, {'@': 220})}, 341: {35: (1, {'@': 221}), 15: (1, {'@': 221}), 21: (1, {'@': 221}), 28: (1, {'@': 221}), 2: (1, {'@': 221}), 0: (1, {'@': 221}), 36: (1, {'@': 221}), 20: (1, {'@': 221}), 37: (1, {'@': 221}), 38: (1, {'@': 221}), 22: (1, {'@': 221}), 31: (1, {'@': 221}), 39: (1, {'@': 221}), 33: (1, {'@': 221}), 40: (1, {'@': 221}), 16: (1, {'@': 221}), 17: (1, {'@': 221}), 41: (1, {'@': 221}), 19: (1, {'@': 221}), 42: (1, {'@': 221}), 43: (1, {'@': 221}), 44: (1, {'@': 221}), 12: (1, {'@': 221}), 45: (1, {'@': 221}), 46: (1, {'@': 221}), 26: (1, {'@': 221}), 47: (1, {'@': 221}), 48: (1, {'@': 221}), 1: (1, {'@': 221}), 4: (1, {'@': 221}), 49: (1, {'@': 221}), 50: (1, {'@': 221}), 24: (1, {'@': 221}), 25: (1, {'@': 221}), 27: (1, {'@': 221}), 51: (1, {'@': 221}), 29: (1, {'@': 221}), 52: (1, {'@': 221}), 30: (1, {'@': 221}), 3: (1, {'@': 221}), 32: (1, {'@': 221})}, 342: {35: (1, {'@': 222}), 15: (1, {'@': 222}), 21: (1, {'@': 222}), 28: (1, {'@': 222}), 2: (1, {'@': 222}), 0: (1, {'@': 222}), 36: (1, {'@': 222}), 20: (1, {'@': 222}), 37: (1, {'@': 222}), 38: (1, {'@': 222}), 22: (1, {'@': 222}), 31: (1, {'@': 222}), 39: (1, {'@': 222}), 33: (1, {'@': 222}), 40: (1, {'@': 222}), 16: (1, {'@': 222}), 17: (1, {'@': 222}), 41: (1, {'@': 222}), 19: (1, {'@': 222}), 42: (1, {'@': 222}), 43: (1, {'@': 222}), 44: (1, {'@': 222}), 12: (1, {'@': 222}), 45: (1, {'@': 222}), 46: (1, {'@': 222}), 26: (1, {'@': 222}), 47: (1, {'@': 222}), 48: (1, {'@': 222}), 1: (1, {'@': 222}), 4: (1, {'@': 222}), 49: (1, {'@': 222}), 50: (1, {'@': 222}), 24: (1, {'@': 222}), 25: (1, {'@': 222}), 27: (1, {'@': 222}), 51: (1, {'@': 222}), 29: (1, {'@': 222}), 52: (1, {'@': 222}), 30: (1, {'@': 222}), 3: (1, {'@': 222}), 32: (1, {'@': 222})}, 343: {4: (0, 6), 6: (0, 404), 5: (0, 1), 3: (0, 14), 29: (0, 405), 0: (0, 8), 89: (0, 406), 30: (0, 194)}, 344: {6: (0, 407), 4: (0, 6), 5: (0, 1), 0: (0, 8), 29: (0, 408), 3: (0, 14)}, 345: {35: (1, {'@': 223}), 15: (1, {'@': 223}), 21: (1, {'@': 223}), 28: (1, {'@': 223}), 2: (1, {'@': 223}), 0: (1, {'@': 223}), 36: (1, {'@': 223}), 20: (1, {'@': 223}), 37: (1, {'@': 223}), 38: (1, {'@': 223}), 22: (1, {'@': 223}), 31: (1, {'@': 223}), 39: (1, {'@': 223}), 33: (1, {'@': 223}), 40: (1, {'@': 223}), 16: (1, {'@': 223}), 17: (1, {'@': 223}), 41: (1, {'@': 223}), 19: (1, {'@': 223}), 42: (1, {'@': 223}), 43: (1, {'@': 223}), 44: (1, {'@': 223}), 12: (1, {'@': 223}), 45: (1, {'@': 223}), 46: (1, {'@': 223}), 26: (1, {'@': 223}), 47: (1, {'@': 223}), 48: (1, {'@': 223}), 1: (1, {'@': 223}), 4: (1, {'@': 223}), 49: (1, {'@': 223}), 50: (1, {'@': 223}), 24: (1, {'@': 223}), 25: (1, {'@': 223}), 27: (1, {'@': 223}), 51: (1, {'@': 223}), 29: (1, {'@': 223}), 52: (1, {'@': 223}), 30: (1, {'@': 223}), 3: (1, {'@': 223}), 32: (1, {'@': 223})}, 346: {4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 409), 29: (0, 410), 3: (0, 14)}, 347: {35: (1, {'@': 224}), 15: (1, {'@': 224}), 21: (1, {'@': 224}), 28: (1, {'@': 224}), 2: (1, {'@': 224}), 0: (1, {'@': 224}), 36: (1, {'@': 224}), 20: (1, {'@': 224}), 37: (1, {'@': 224}), 38: (1, {'@': 224}), 22: (1, {'@': 224}), 31: (1, {'@': 224}), 39: (1, {'@': 224}), 33: (1, {'@': 224}), 40: (1, {'@': 224}), 16: (1, {'@': 224}), 17: (1, {'@': 224}), 41: (1, {'@': 224}), 19: (1, {'@': 224}), 42: (1, {'@': 224}), 43: (1, {'@': 224}), 44: (1, {'@': 224}), 12: (1, {'@': 224}), 45: (1, {'@': 224}), 46: (1, {'@': 224}), 26: (1, {'@': 224}), 47: (1, {'@': 224}), 48: (1, {'@': 224}), 1: (1, {'@': 224}), 4: (1, {'@': 224}), 49: (1, {'@': 224}), 50: (1, {'@': 224}), 24: (1, {'@': 224}), 25: (1, {'@': 224}), 27: (1, {'@': 224}), 51: (1, {'@': 224}), 29: (1, {'@': 224}), 52: (1, {'@': 224}), 30: (1, {'@': 224}), 3: (1, {'@': 224}), 32: (1, {'@': 224})}, 348: {29: (0, 411)}, 349: {29: (0, 412)}, 350: {35: (1, {'@': 225}), 15: (1, {'@': 225}), 21: (1, {'@': 225}), 28: (1, {'@': 225}), 2: (1, {'@': 225}), 0: (1, {'@': 225}), 36: (1, {'@': 225}), 20: (1, {'@': 225}), 37: (1, {'@': 225}), 38: (1, {'@': 225}), 22: (1, {'@': 225}), 31: (1, {'@': 225}), 39: (1, {'@': 225}), 33: (1, {'@': 225}), 40: (1, {'@': 225}), 16: (1, {'@': 225}), 17: (1, {'@': 225}), 41: (1, {'@': 225}), 19: (1, {'@': 225}), 42: (1, {'@': 225}), 43: (1, {'@': 225}), 44: (1, {'@': 225}), 12: (1, {'@': 225}), 45: (1, {'@': 225}), 46: (1, {'@': 225}), 26: (1, {'@': 225}), 47: (1, {'@': 225}), 48: (1, {'@': 225}), 1: (1, {'@': 225}), 4: (1, {'@': 225}), 49: (1, {'@': 225}), 50: (1, {'@': 225}), 24: (1, {'@': 225}), 25: (1, {'@': 225}), 27: (1, {'@': 225}), 51: (1, {'@': 225}), 29: (1, {'@': 225}), 52: (1, {'@': 225}), 30: (1, {'@': 225}), 3: (1, {'@': 225}), 32: (1, {'@': 225})}, 351: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 413), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 29: (0, 414), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 352: {0: (1, {'@': 226}), 22: (1, {'@': 226}), 17: (1, {'@': 226}), 29: (1, {'@': 226}), 41: (1, {'@': 226}), 3: (1, {'@': 226}), 4: (1, {'@': 226}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 353: {35: (1, {'@': 227}), 15: (1, {'@': 227}), 21: (1, {'@': 227}), 28: (1, {'@': 227}), 2: (1, {'@': 227}), 0: (1, {'@': 227}), 36: (1, {'@': 227}), 20: (1, {'@': 227}), 37: (1, {'@': 227}), 38: (1, {'@': 227}), 22: (1, {'@': 227}), 31: (1, {'@': 227}), 39: (1, {'@': 227}), 33: (1, {'@': 227}), 40: (1, {'@': 227}), 16: (1, {'@': 227}), 17: (1, {'@': 227}), 41: (1, {'@': 227}), 19: (1, {'@': 227}), 42: (1, {'@': 227}), 43: (1, {'@': 227}), 44: (1, {'@': 227}), 12: (1, {'@': 227}), 45: (1, {'@': 227}), 46: (1, {'@': 227}), 26: (1, {'@': 227}), 47: (1, {'@': 227}), 48: (1, {'@': 227}), 1: (1, {'@': 227}), 4: (1, {'@': 227}), 49: (1, {'@': 227}), 50: (1, {'@': 227}), 24: (1, {'@': 227}), 25: (1, {'@': 227}), 27: (1, {'@': 227}), 51: (1, {'@': 227}), 29: (1, {'@': 227}), 52: (1, {'@': 227}), 30: (1, {'@': 227}), 3: (1, {'@': 227}), 32: (1, {'@': 227})}, 354: {35: (1, {'@': 228}), 15: (1, {'@': 228}), 21: (1, {'@': 228}), 28: (1, {'@': 228}), 2: (1, {'@': 228}), 0: (1, {'@': 228}), 36: (1, {'@': 228}), 20: (1, {'@': 228}), 37: (1, {'@': 228}), 38: (1, {'@': 228}), 22: (1, {'@': 228}), 31: (1, {'@': 228}), 39: (1, {'@': 228}), 33: (1, {'@': 228}), 40: (1, {'@': 228}), 16: (1, {'@': 228}), 17: (1, {'@': 228}), 41: (1, {'@': 228}), 19: (1, {'@': 228}), 42: (1, {'@': 228}), 43: (1, {'@': 228}), 44: (1, {'@': 228}), 12: (1, {'@': 228}), 45: (1, {'@': 228}), 46: (1, {'@': 228}), 26: (1, {'@': 228}), 47: (1, {'@': 228}), 48: (1, {'@': 228}), 1: (1, {'@': 228}), 4: (1, {'@': 228}), 49: (1, {'@': 228}), 50: (1, {'@': 228}), 24: (1, {'@': 228}), 25: (1, {'@': 228}), 27: (1, {'@': 228}), 51: (1, {'@': 228}), 29: (1, {'@': 228}), 52: (1, {'@': 228}), 30: (1, {'@': 228}), 3: (1, {'@': 228}), 32: (1, {'@': 228})}, 355: {0: (1, {'@': 229}), 22: (1, {'@': 229}), 17: (1, {'@': 229}), 29: (1, {'@': 229}), 41: (1, {'@': 229}), 3: (1, {'@': 229}), 4: (1, {'@': 229}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 356: {35: (1, {'@': 230}), 15: (1, {'@': 230}), 21: (1, {'@': 230}), 28: (1, {'@': 230}), 2: (1, {'@': 230}), 0: (1, {'@': 230}), 36: (1, {'@': 230}), 20: (1, {'@': 230}), 37: (1, {'@': 230}), 38: (1, {'@': 230}), 22: (1, {'@': 230}), 31: (1, {'@': 230}), 39: (1, {'@': 230}), 33: (1, {'@': 230}), 40: (1, {'@': 230}), 16: (1, {'@': 230}), 17: (1, {'@': 230}), 41: (1, {'@': 230}), 19: (1, {'@': 230}), 42: (1, {'@': 230}), 43: (1, {'@': 230}), 44: (1, {'@': 230}), 12: (1, {'@': 230}), 45: (1, {'@': 230}), 46: (1, {'@': 230}), 26: (1, {'@': 230}), 47: (1, {'@': 230}), 48: (1, {'@': 230}), 1: (1, {'@': 230}), 4: (1, {'@': 230}), 49: (1, {'@': 230}), 50: (1, {'@': 230}), 24: (1, {'@': 230}), 25: (1, {'@': 230}), 27: (1, {'@': 230}), 51: (1, {'@': 230}), 29: (1, {'@': 230}), 52: (1, {'@': 230}), 30: (1, {'@': 230}), 3: (1, {'@': 230}), 32: (1, {'@': 230})}, 357: {0: (1, {'@': 231}), 22: (1, {'@': 231}), 17: (1, {'@': 231}), 29: (1, {'@': 231}), 41: (1, {'@': 231}), 3: (1, {'@': 231}), 4: (1, {'@': 231}), 40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 358: {35: (1, {'@': 232}), 15: (1, {'@': 232}), 21: (1, {'@': 232}), 28: (1, {'@': 232}), 2: (1, {'@': 232}), 0: (1, {'@': 232}), 36: (1, {'@': 232}), 20: (1, {'@': 232}), 37: (1, {'@': 232}), 38: (1, {'@': 232}), 22: (1, {'@': 232}), 31: (1, {'@': 232}), 39: (1, {'@': 232}), 33: (1, {'@': 232}), 40: (1, {'@': 232}), 16: (1, {'@': 232}), 17: (1, {'@': 232}), 41: (1, {'@': 232}), 19: (1, {'@': 232}), 42: (1, {'@': 232}), 43: (1, {'@': 232}), 44: (1, {'@': 232}), 12: (1, {'@': 232}), 45: (1, {'@': 232}), 46: (1, {'@': 232}), 26: (1, {'@': 232}), 47: (1, {'@': 232}), 48: (1, {'@': 232}), 1: (1, {'@': 232}), 4: (1, {'@': 232}), 49: (1, {'@': 232}), 50: (1, {'@': 232}), 24: (1, {'@': 232}), 25: (1, {'@': 232}), 27: (1, {'@': 232}), 51: (1, {'@': 232}), 29: (1, {'@': 232}), 52: (1, {'@': 232}), 30: (1, {'@': 232}), 3: (1, {'@': 232}), 32: (1, {'@': 232})}, 359: {35: (1, {'@': 233}), 15: (1, {'@': 233}), 21: (1, {'@': 233}), 28: (1, {'@': 233}), 2: (1, {'@': 233}), 0: (1, {'@': 233}), 36: (1, {'@': 233}), 20: (1, {'@': 233}), 37: (1, {'@': 233}), 38: (1, {'@': 233}), 22: (1, {'@': 233}), 31: (1, {'@': 233}), 39: (1, {'@': 233}), 33: (1, {'@': 233}), 40: (1, {'@': 233}), 16: (1, {'@': 233}), 17: (1, {'@': 233}), 41: (1, {'@': 233}), 19: (1, {'@': 233}), 42: (1, {'@': 233}), 43: (1, {'@': 233}), 44: (1, {'@': 233}), 12: (1, {'@': 233}), 45: (1, {'@': 233}), 46: (1, {'@': 233}), 26: (1, {'@': 233}), 47: (1, {'@': 233}), 48: (1, {'@': 233}), 1: (1, {'@': 233}), 4: (1, {'@': 233}), 49: (1, {'@': 233}), 50: (1, {'@': 233}), 24: (1, {'@': 233}), 25: (1, {'@': 233}), 27: (1, {'@': 233}), 51: (1, {'@': 233}), 29: (1, {'@': 233}), 52: (1, {'@': 233}), 30: (1, {'@': 233}), 3: (1, {'@': 233}), 32: (1, {'@': 233})}, 360: {35: (1, {'@': 234}), 15: (1, {'@': 234}), 21: (1, {'@': 234}), 28: (1, {'@': 234}), 2: (1, {'@': 234}), 0: (1, {'@': 234}), 36: (1, {'@': 234}), 20: (1, {'@': 234}), 37: (1, {'@': 234}), 38: (1, {'@': 234}), 22: (1, {'@': 234}), 31: (1, {'@': 234}), 39: (1, {'@': 234}), 33: (1, {'@': 234}), 40: (1, {'@': 234}), 16: (1, {'@': 234}), 17: (1, {'@': 234}), 41: (1, {'@': 234}), 19: (1, {'@': 234}), 42: (1, {'@': 234}), 43: (1, {'@': 234}), 44: (1, {'@': 234}), 12: (1, {'@': 234}), 45: (1, {'@': 234}), 46: (1, {'@': 234}), 26: (1, {'@': 234}), 47: (1, {'@': 234}), 48: (1, {'@': 234}), 1: (1, {'@': 234}), 4: (1, {'@': 234}), 49: (1, {'@': 234}), 50: (1, {'@': 234}), 24: (1, {'@': 234}), 25: (1, {'@': 234}), 27: (1, {'@': 234}), 51: (1, {'@': 234}), 29: (1, {'@': 234}), 52: (1, {'@': 234}), 30: (1, {'@': 234}), 3: (1, {'@': 234}), 32: (1, {'@': 234})}, 361: {35: (1, {'@': 235}), 15: (1, {'@': 235}), 21: (1, {'@': 235}), 28: (1, {'@': 235}), 2: (1, {'@': 235}), 0: (1, {'@': 235}), 36: (1, {'@': 235}), 20: (1, {'@': 235}), 37: (1, {'@': 235}), 38: (1, {'@': 235}), 22: (1, {'@': 235}), 31: (1, {'@': 235}), 39: (1, {'@': 235}), 33: (1, {'@': 235}), 40: (1, {'@': 235}), 16: (1, {'@': 235}), 17: (1, {'@': 235}), 41: (1, {'@': 235}), 19: (1, {'@': 235}), 42: (1, {'@': 235}), 43: (1, {'@': 235}), 44: (1, {'@': 235}), 12: (1, {'@': 235}), 45: (1, {'@': 235}), 46: (1, {'@': 235}), 26: (1, {'@': 235}), 47: (1, {'@': 235}), 48: (1, {'@': 235}), 1: (1, {'@': 235}), 4: (1, {'@': 235}), 49: (1, {'@': 235}), 50: (1, {'@': 235}), 24: (1, {'@': 235}), 25: (1, {'@': 235}), 27: (1, {'@': 235}), 51: (1, {'@': 235}), 29: (1, {'@': 235}), 52: (1, {'@': 235}), 30: (1, {'@': 235}), 3: (1, {'@': 235}), 32: (1, {'@': 235})}, 362: {35: (1, {'@': 236}), 15: (1, {'@': 236}), 21: (1, {'@': 236}), 28: (1, {'@': 236}), 2: (1, {'@': 236}), 0: (1, {'@': 236}), 36: (1, {'@': 236}), 20: (1, {'@': 236}), 37: (1, {'@': 236}), 38: (1, {'@': 236}), 22: (1, {'@': 236}), 31: (1, {'@': 236}), 39: (1, {'@': 236}), 33: (1, {'@': 236}), 40: (1, {'@': 236}), 16: (1, {'@': 236}), 17: (1, {'@': 236}), 41: (1, {'@': 236}), 19: (1, {'@': 236}), 42: (1, {'@': 236}), 43: (1, {'@': 236}), 44: (1, {'@': 236}), 12: (1, {'@': 236}), 45: (1, {'@': 236}), 46: (1, {'@': 236}), 26: (1, {'@': 236}), 47: (1, {'@': 236}), 48: (1, {'@': 236}), 1: (1, {'@': 236}), 4: (1, {'@': 236}), 49: (1, {'@': 236}), 50: (1, {'@': 236}), 24: (1, {'@': 236}), 25: (1, {'@': 236}), 27: (1, {'@': 236}), 51: (1, {'@': 236}), 29: (1, {'@': 236}), 52: (1, {'@': 236}), 30: (1, {'@': 236}), 3: (1, {'@': 236}), 32: (1, {'@': 236})}, 363: {0: (1, {'@': 237}), 3: (1, {'@': 237}), 17: (1, {'@': 237}), 4: (1, {'@': 237})}, 364: {0: (1, {'@': 238}), 3: (1, {'@': 238}), 17: (1, {'@': 238}), 4: (1, {'@': 238}), 25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 355), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 365: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 352), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 6: (0, 415), 0: (0, 8)}, 366: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 357), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 367: {35: (0, 97), 15: (1, {'@': 239}), 21: (1, {'@': 239}), 28: (1, {'@': 239}), 2: (1, {'@': 239}), 0: (1, {'@': 239}), 36: (0, 101), 20: (1, {'@': 239}), 37: (0, 102), 38: (0, 104), 22: (1, {'@': 239}), 31: (0, 99), 39: (1, {'@': 239}), 33: (1, {'@': 239}), 40: (0, 90), 16: (1, {'@': 239}), 17: (1, {'@': 239}), 41: (1, {'@': 239}), 19: (1, {'@': 239}), 42: (0, 91), 43: (0, 93), 44: (0, 100), 12: (1, {'@': 239}), 45: (0, 105), 46: (0, 98), 26: (1, {'@': 239}), 47: (0, 106), 48: (1, {'@': 239}), 1: (1, {'@': 239}), 4: (1, {'@': 239}), 24: (1, {'@': 239}), 25: (1, {'@': 239}), 27: (1, {'@': 239}), 51: (0, 103), 29: (1, {'@': 239}), 52: (0, 92), 30: (1, {'@': 239}), 3: (1, {'@': 239}), 32: (1, {'@': 239}), 81: (0, 94), 82: (0, 95)}, 368: {5: (0, 1), 89: (0, 416), 30: (0, 194), 6: (0, 417), 4: (0, 6), 0: (0, 8), 1: (0, 418), 3: (0, 14)}, 369: {1: (0, 419), 4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 420), 30: (0, 194), 89: (0, 421), 3: (0, 14)}, 370: {6: (0, 422), 4: (0, 6), 5: (0, 1), 3: (0, 14), 0: (0, 8), 1: (0, 423)}, 371: {35: (1, {'@': 240}), 15: (1, {'@': 240}), 21: (1, {'@': 240}), 28: (1, {'@': 240}), 2: (1, {'@': 240}), 0: (1, {'@': 240}), 36: (1, {'@': 240}), 20: (1, {'@': 240}), 37: (1, {'@': 240}), 38: (1, {'@': 240}), 22: (1, {'@': 240}), 31: (1, {'@': 240}), 39: (1, {'@': 240}), 33: (1, {'@': 240}), 40: (1, {'@': 240}), 16: (1, {'@': 240}), 17: (1, {'@': 240}), 41: (1, {'@': 240}), 19: (1, {'@': 240}), 42: (1, {'@': 240}), 43: (1, {'@': 240}), 44: (1, {'@': 240}), 12: (1, {'@': 240}), 45: (1, {'@': 240}), 46: (1, {'@': 240}), 26: (1, {'@': 240}), 47: (1, {'@': 240}), 48: (1, {'@': 240}), 1: (1, {'@': 240}), 4: (1, {'@': 240}), 49: (1, {'@': 240}), 50: (1, {'@': 240}), 24: (1, {'@': 240}), 25: (1, {'@': 240}), 27: (1, {'@': 240}), 51: (1, {'@': 240}), 29: (1, {'@': 240}), 52: (1, {'@': 240}), 30: (1, {'@': 240}), 3: (1, {'@': 240}), 32: (1, {'@': 240})}, 372: {0: (0, 8), 16: (1, {'@': 241}), 19: (1, {'@': 241}), 15: (1, {'@': 241}), 20: (1, {'@': 241}), 4: (0, 6), 21: (1, {'@': 241}), 12: (1, {'@': 241}), 24: (1, {'@': 241}), 25: (1, {'@': 241}), 26: (1, {'@': 241}), 27: (1, {'@': 241}), 28: (1, {'@': 241}), 31: (1, {'@': 241}), 3: (0, 14), 32: (1, {'@': 241}), 5: (0, 1), 6: (0, 424)}, 373: {40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106), 39: (0, 425)}, 374: {4: (0, 6), 5: (0, 1), 6: (0, 426), 0: (0, 8), 23: (0, 427), 3: (0, 14)}, 375: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 428), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 6: (0, 429), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 376: {40: (0, 90), 39: (0, 430), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 377: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 431), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 378: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 432), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 6: (0, 433), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 379: {23: (0, 434)}, 380: {40: (0, 90), 42: (0, 91), 52: (0, 92), 39: (0, 435), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 381: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 436), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 382: {0: (1, {'@': 242}), 16: (1, {'@': 242}), 19: (1, {'@': 242}), 15: (1, {'@': 242}), 20: (1, {'@': 242}), 4: (1, {'@': 242}), 21: (1, {'@': 242}), 12: (1, {'@': 242}), 24: (1, {'@': 242}), 25: (1, {'@': 242}), 26: (1, {'@': 242}), 27: (1, {'@': 242}), 28: (1, {'@': 242}), 31: (1, {'@': 242}), 3: (1, {'@': 242}), 32: (1, {'@': 242})}, 383: {0: (0, 8), 16: (1, {'@': 243}), 19: (1, {'@': 243}), 15: (1, {'@': 243}), 20: (1, {'@': 243}), 4: (0, 6), 21: (1, {'@': 243}), 12: (1, {'@': 243}), 24: (1, {'@': 243}), 25: (1, {'@': 243}), 26: (1, {'@': 243}), 27: (1, {'@': 243}), 28: (1, {'@': 243}), 31: (1, {'@': 243}), 3: (0, 14), 32: (1, {'@': 243}), 5: (0, 1), 6: (0, 437)}, 384: {0: (0, 8), 16: (1, {'@': 244}), 19: (1, {'@': 244}), 15: (1, {'@': 244}), 20: (1, {'@': 244}), 4: (0, 6), 21: (1, {'@': 244}), 12: (1, {'@': 244}), 24: (1, {'@': 244}), 25: (1, {'@': 244}), 26: (1, {'@': 244}), 27: (1, {'@': 244}), 28: (1, {'@': 244}), 31: (1, {'@': 244}), 3: (0, 14), 32: (1, {'@': 244}), 5: (0, 1), 6: (0, 438)}, 385: {40: (0, 90), 42: (0, 91), 39: (0, 439), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 386: {4: (0, 6), 5: (0, 1), 6: (0, 440), 0: (0, 8), 1: (0, 441), 3: (0, 14)}, 387: {35: (1, {'@': 245}), 15: (1, {'@': 245}), 21: (1, {'@': 245}), 28: (1, {'@': 245}), 2: (1, {'@': 245}), 0: (1, {'@': 245}), 36: (1, {'@': 245}), 20: (1, {'@': 245}), 37: (1, {'@': 245}), 38: (1, {'@': 245}), 22: (1, {'@': 245}), 31: (1, {'@': 245}), 39: (1, {'@': 245}), 33: (1, {'@': 245}), 40: (1, {'@': 245}), 16: (1, {'@': 245}), 17: (1, {'@': 245}), 41: (1, {'@': 245}), 19: (1, {'@': 245}), 42: (1, {'@': 245}), 43: (1, {'@': 245}), 44: (1, {'@': 245}), 12: (1, {'@': 245}), 45: (1, {'@': 245}), 46: (1, {'@': 245}), 26: (1, {'@': 245}), 47: (1, {'@': 245}), 48: (1, {'@': 245}), 1: (1, {'@': 245}), 4: (1, {'@': 245}), 49: (1, {'@': 245}), 50: (1, {'@': 245}), 24: (1, {'@': 245}), 25: (1, {'@': 245}), 27: (1, {'@': 245}), 51: (1, {'@': 245}), 29: (1, {'@': 245}), 52: (1, {'@': 245}), 30: (1, {'@': 245}), 3: (1, {'@': 245}), 32: (1, {'@': 245})}, 388: {1: (0, 442)}, 389: {1: (0, 443)}, 390: {35: (1, {'@': 246}), 15: (1, {'@': 246}), 21: (1, {'@': 246}), 28: (1, {'@': 246}), 2: (1, {'@': 246}), 0: (1, {'@': 246}), 36: (1, {'@': 246}), 20: (1, {'@': 246}), 37: (1, {'@': 246}), 38: (1, {'@': 246}), 22: (1, {'@': 246}), 31: (1, {'@': 246}), 39: (1, {'@': 246}), 33: (1, {'@': 246}), 40: (1, {'@': 246}), 16: (1, {'@': 246}), 17: (1, {'@': 246}), 41: (1, {'@': 246}), 19: (1, {'@': 246}), 42: (1, {'@': 246}), 43: (1, {'@': 246}), 44: (1, {'@': 246}), 12: (1, {'@': 246}), 45: (1, {'@': 246}), 46: (1, {'@': 246}), 26: (1, {'@': 246}), 47: (1, {'@': 246}), 48: (1, {'@': 246}), 1: (1, {'@': 246}), 4: (1, {'@': 246}), 49: (1, {'@': 246}), 50: (1, {'@': 246}), 24: (1, {'@': 246}), 25: (1, {'@': 246}), 27: (1, {'@': 246}), 51: (1, {'@': 246}), 29: (1, {'@': 246}), 52: (1, {'@': 246}), 30: (1, {'@': 246}), 3: (1, {'@': 246}), 32: (1, {'@': 246})}, 391: {4: (0, 6), 5: (0, 1), 1: (0, 444), 0: (0, 8), 6: (0, 445), 3: (0, 14)}, 392: {1: (0, 446), 4: (0, 6), 5: (0, 1), 0: (0, 8), 30: (0, 194), 89: (0, 447), 6: (0, 448), 3: (0, 14)}, 393: {35: (1, {'@': 247}), 15: (1, {'@': 247}), 21: (1, {'@': 247}), 28: (1, {'@': 247}), 2: (1, {'@': 247}), 0: (1, {'@': 247}), 36: (1, {'@': 247}), 20: (1, {'@': 247}), 37: (1, {'@': 247}), 38: (1, {'@': 247}), 22: (1, {'@': 247}), 31: (1, {'@': 247}), 39: (1, {'@': 247}), 33: (1, {'@': 247}), 40: (1, {'@': 247}), 16: (1, {'@': 247}), 17: (1, {'@': 247}), 41: (1, {'@': 247}), 19: (1, {'@': 247}), 42: (1, {'@': 247}), 43: (1, {'@': 247}), 44: (1, {'@': 247}), 12: (1, {'@': 247}), 45: (1, {'@': 247}), 46: (1, {'@': 247}), 26: (1, {'@': 247}), 47: (1, {'@': 247}), 48: (1, {'@': 247}), 1: (1, {'@': 247}), 4: (1, {'@': 247}), 49: (1, {'@': 247}), 50: (1, {'@': 247}), 24: (1, {'@': 247}), 25: (1, {'@': 247}), 27: (1, {'@': 247}), 51: (1, {'@': 247}), 29: (1, {'@': 247}), 52: (1, {'@': 247}), 30: (1, {'@': 247}), 3: (1, {'@': 247}), 32: (1, {'@': 247})}, 394: {35: (1, {'@': 248}), 15: (1, {'@': 248}), 21: (1, {'@': 248}), 28: (1, {'@': 248}), 2: (1, {'@': 248}), 0: (1, {'@': 248}), 36: (1, {'@': 248}), 20: (1, {'@': 248}), 37: (1, {'@': 248}), 38: (1, {'@': 248}), 22: (1, {'@': 248}), 31: (1, {'@': 248}), 39: (1, {'@': 248}), 33: (1, {'@': 248}), 40: (1, {'@': 248}), 16: (1, {'@': 248}), 17: (1, {'@': 248}), 41: (1, {'@': 248}), 19: (1, {'@': 248}), 42: (1, {'@': 248}), 43: (1, {'@': 248}), 44: (1, {'@': 248}), 12: (1, {'@': 248}), 45: (1, {'@': 248}), 46: (1, {'@': 248}), 26: (1, {'@': 248}), 47: (1, {'@': 248}), 48: (1, {'@': 248}), 1: (1, {'@': 248}), 4: (1, {'@': 248}), 49: (1, {'@': 248}), 50: (1, {'@': 248}), 24: (1, {'@': 248}), 25: (1, {'@': 248}), 27: (1, {'@': 248}), 51: (1, {'@': 248}), 29: (1, {'@': 248}), 52: (1, {'@': 248}), 30: (1, {'@': 248}), 3: (1, {'@': 248}), 32: (1, {'@': 248})}, 395: {35: (1, {'@': 249}), 15: (1, {'@': 249}), 21: (1, {'@': 249}), 28: (1, {'@': 249}), 2: (1, {'@': 249}), 0: (1, {'@': 249}), 36: (1, {'@': 249}), 20: (1, {'@': 249}), 37: (1, {'@': 249}), 38: (1, {'@': 249}), 22: (1, {'@': 249}), 31: (1, {'@': 249}), 39: (1, {'@': 249}), 33: (1, {'@': 249}), 40: (1, {'@': 249}), 16: (1, {'@': 249}), 17: (1, {'@': 249}), 41: (1, {'@': 249}), 19: (1, {'@': 249}), 42: (1, {'@': 249}), 43: (1, {'@': 249}), 44: (1, {'@': 249}), 12: (1, {'@': 249}), 45: (1, {'@': 249}), 46: (1, {'@': 249}), 26: (1, {'@': 249}), 47: (1, {'@': 249}), 48: (1, {'@': 249}), 1: (1, {'@': 249}), 4: (1, {'@': 249}), 49: (1, {'@': 249}), 50: (1, {'@': 249}), 24: (1, {'@': 249}), 25: (1, {'@': 249}), 27: (1, {'@': 249}), 51: (1, {'@': 249}), 29: (1, {'@': 249}), 52: (1, {'@': 249}), 30: (1, {'@': 249}), 3: (1, {'@': 249}), 32: (1, {'@': 249})}, 396: {29: (0, 449)}, 397: {35: (1, {'@': 250}), 15: (1, {'@': 250}), 21: (1, {'@': 250}), 28: (1, {'@': 250}), 2: (1, {'@': 250}), 0: (1, {'@': 250}), 36: (1, {'@': 250}), 20: (1, {'@': 250}), 37: (1, {'@': 250}), 38: (1, {'@': 250}), 22: (1, {'@': 250}), 31: (1, {'@': 250}), 39: (1, {'@': 250}), 33: (1, {'@': 250}), 40: (1, {'@': 250}), 16: (1, {'@': 250}), 17: (1, {'@': 250}), 41: (1, {'@': 250}), 19: (1, {'@': 250}), 42: (1, {'@': 250}), 43: (1, {'@': 250}), 44: (1, {'@': 250}), 12: (1, {'@': 250}), 45: (1, {'@': 250}), 46: (1, {'@': 250}), 26: (1, {'@': 250}), 47: (1, {'@': 250}), 48: (1, {'@': 250}), 1: (1, {'@': 250}), 4: (1, {'@': 250}), 49: (1, {'@': 250}), 50: (1, {'@': 250}), 24: (1, {'@': 250}), 25: (1, {'@': 250}), 27: (1, {'@': 250}), 51: (1, {'@': 250}), 29: (1, {'@': 250}), 52: (1, {'@': 250}), 30: (1, {'@': 250}), 3: (1, {'@': 250}), 32: (1, {'@': 250})}, 398: {35: (1, {'@': 251}), 15: (1, {'@': 251}), 21: (1, {'@': 251}), 28: (1, {'@': 251}), 2: (1, {'@': 251}), 0: (1, {'@': 251}), 36: (1, {'@': 251}), 20: (1, {'@': 251}), 37: (1, {'@': 251}), 38: (1, {'@': 251}), 22: (1, {'@': 251}), 31: (1, {'@': 251}), 39: (1, {'@': 251}), 33: (1, {'@': 251}), 40: (1, {'@': 251}), 16: (1, {'@': 251}), 17: (1, {'@': 251}), 41: (1, {'@': 251}), 19: (1, {'@': 251}), 42: (1, {'@': 251}), 43: (1, {'@': 251}), 44: (1, {'@': 251}), 12: (1, {'@': 251}), 45: (1, {'@': 251}), 46: (1, {'@': 251}), 26: (1, {'@': 251}), 47: (1, {'@': 251}), 48: (1, {'@': 251}), 1: (1, {'@': 251}), 4: (1, {'@': 251}), 49: (1, {'@': 251}), 50: (1, {'@': 251}), 24: (1, {'@': 251}), 25: (1, {'@': 251}), 27: (1, {'@': 251}), 51: (1, {'@': 251}), 29: (1, {'@': 251}), 52: (1, {'@': 251}), 30: (1, {'@': 251}), 3: (1, {'@': 251}), 32: (1, {'@': 251})}, 399: {35: (1, {'@': 252}), 15: (1, {'@': 252}), 21: (1, {'@': 252}), 28: (1, {'@': 252}), 2: (1, {'@': 252}), 0: (1, {'@': 252}), 36: (1, {'@': 252}), 20: (1, {'@': 252}), 37: (1, {'@': 252}), 38: (1, {'@': 252}), 22: (1, {'@': 252}), 31: (1, {'@': 252}), 39: (1, {'@': 252}), 33: (1, {'@': 252}), 40: (1, {'@': 252}), 16: (1, {'@': 252}), 17: (1, {'@': 252}), 41: (1, {'@': 252}), 19: (1, {'@': 252}), 42: (1, {'@': 252}), 43: (1, {'@': 252}), 44: (1, {'@': 252}), 12: (1, {'@': 252}), 45: (1, {'@': 252}), 46: (1, {'@': 252}), 26: (1, {'@': 252}), 47: (1, {'@': 252}), 48: (1, {'@': 252}), 1: (1, {'@': 252}), 4: (1, {'@': 252}), 49: (1, {'@': 252}), 50: (1, {'@': 252}), 24: (1, {'@': 252}), 25: (1, {'@': 252}), 27: (1, {'@': 252}), 51: (1, {'@': 252}), 29: (1, {'@': 252}), 52: (1, {'@': 252}), 30: (1, {'@': 252}), 3: (1, {'@': 252}), 32: (1, {'@': 252})}, 400: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 413), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 29: (0, 450), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 401: {35: (1, {'@': 253}), 15: (1, {'@': 253}), 21: (1, {'@': 253}), 28: (1, {'@': 253}), 2: (1, {'@': 253}), 0: (1, {'@': 253}), 36: (1, {'@': 253}), 20: (1, {'@': 253}), 37: (1, {'@': 253}), 38: (1, {'@': 253}), 22: (1, {'@': 253}), 31: (1, {'@': 253}), 39: (1, {'@': 253}), 33: (1, {'@': 253}), 40: (1, {'@': 253}), 16: (1, {'@': 253}), 17: (1, {'@': 253}), 41: (1, {'@': 253}), 19: (1, {'@': 253}), 42: (1, {'@': 253}), 43: (1, {'@': 253}), 44: (1, {'@': 253}), 12: (1, {'@': 253}), 45: (1, {'@': 253}), 46: (1, {'@': 253}), 26: (1, {'@': 253}), 47: (1, {'@': 253}), 48: (1, {'@': 253}), 1: (1, {'@': 253}), 4: (1, {'@': 253}), 49: (1, {'@': 253}), 50: (1, {'@': 253}), 24: (1, {'@': 253}), 25: (1, {'@': 253}), 27: (1, {'@': 253}), 51: (1, {'@': 253}), 29: (1, {'@': 253}), 52: (1, {'@': 253}), 30: (1, {'@': 253}), 3: (1, {'@': 253}), 32: (1, {'@': 253})}, 402: {35: (1, {'@': 254}), 15: (1, {'@': 254}), 21: (1, {'@': 254}), 28: (1, {'@': 254}), 2: (1, {'@': 254}), 0: (1, {'@': 254}), 36: (1, {'@': 254}), 20: (1, {'@': 254}), 37: (1, {'@': 254}), 38: (1, {'@': 254}), 22: (1, {'@': 254}), 31: (1, {'@': 254}), 39: (1, {'@': 254}), 33: (1, {'@': 254}), 40: (1, {'@': 254}), 16: (1, {'@': 254}), 17: (1, {'@': 254}), 41: (1, {'@': 254}), 19: (1, {'@': 254}), 42: (1, {'@': 254}), 43: (1, {'@': 254}), 44: (1, {'@': 254}), 12: (1, {'@': 254}), 45: (1, {'@': 254}), 46: (1, {'@': 254}), 26: (1, {'@': 254}), 47: (1, {'@': 254}), 48: (1, {'@': 254}), 1: (1, {'@': 254}), 4: (1, {'@': 254}), 49: (1, {'@': 254}), 50: (1, {'@': 254}), 24: (1, {'@': 254}), 25: (1, {'@': 254}), 27: (1, {'@': 254}), 51: (1, {'@': 254}), 29: (1, {'@': 254}), 52: (1, {'@': 254}), 30: (1, {'@': 254}), 3: (1, {'@': 254}), 32: (1, {'@': 254})}, 403: {35: (1, {'@': 255}), 15: (1, {'@': 255}), 21: (1, {'@': 255}), 28: (1, {'@': 255}), 2: (1, {'@': 255}), 0: (1, {'@': 255}), 36: (1, {'@': 255}), 20: (1, {'@': 255}), 37: (1, {'@': 255}), 38: (1, {'@': 255}), 22: (1, {'@': 255}), 31: (1, {'@': 255}), 39: (1, {'@': 255}), 33: (1, {'@': 255}), 40: (1, {'@': 255}), 16: (1, {'@': 255}), 17: (1, {'@': 255}), 41: (1, {'@': 255}), 19: (1, {'@': 255}), 42: (1, {'@': 255}), 43: (1, {'@': 255}), 44: (1, {'@': 255}), 12: (1, {'@': 255}), 45: (1, {'@': 255}), 46: (1, {'@': 255}), 26: (1, {'@': 255}), 47: (1, {'@': 255}), 48: (1, {'@': 255}), 1: (1, {'@': 255}), 4: (1, {'@': 255}), 49: (1, {'@': 255}), 50: (1, {'@': 255}), 24: (1, {'@': 255}), 25: (1, {'@': 255}), 27: (1, {'@': 255}), 51: (1, {'@': 255}), 29: (1, {'@': 255}), 52: (1, {'@': 255}), 30: (1, {'@': 255}), 3: (1, {'@': 255}), 32: (1, {'@': 255})}, 404: {29: (0, 451)}, 405: {35: (1, {'@': 256}), 15: (1, {'@': 256}), 21: (1, {'@': 256}), 28: (1, {'@': 256}), 2: (1, {'@': 256}), 0: (1, {'@': 256}), 36: (1, {'@': 256}), 20: (1, {'@': 256}), 37: (1, {'@': 256}), 38: (1, {'@': 256}), 22: (1, {'@': 256}), 31: (1, {'@': 256}), 39: (1, {'@': 256}), 33: (1, {'@': 256}), 40: (1, {'@': 256}), 16: (1, {'@': 256}), 17: (1, {'@': 256}), 41: (1, {'@': 256}), 19: (1, {'@': 256}), 42: (1, {'@': 256}), 43: (1, {'@': 256}), 44: (1, {'@': 256}), 12: (1, {'@': 256}), 45: (1, {'@': 256}), 46: (1, {'@': 256}), 26: (1, {'@': 256}), 47: (1, {'@': 256}), 48: (1, {'@': 256}), 1: (1, {'@': 256}), 4: (1, {'@': 256}), 49: (1, {'@': 256}), 50: (1, {'@': 256}), 24: (1, {'@': 256}), 25: (1, {'@': 256}), 27: (1, {'@': 256}), 51: (1, {'@': 256}), 29: (1, {'@': 256}), 52: (1, {'@': 256}), 30: (1, {'@': 256}), 3: (1, {'@': 256}), 32: (1, {'@': 256})}, 406: {4: (0, 6), 6: (0, 452), 5: (0, 1), 0: (0, 8), 29: (0, 453), 3: (0, 14)}, 407: {29: (0, 454)}, 408: {35: (1, {'@': 257}), 15: (1, {'@': 257}), 21: (1, {'@': 257}), 28: (1, {'@': 257}), 2: (1, {'@': 257}), 0: (1, {'@': 257}), 36: (1, {'@': 257}), 20: (1, {'@': 257}), 37: (1, {'@': 257}), 38: (1, {'@': 257}), 22: (1, {'@': 257}), 31: (1, {'@': 257}), 39: (1, {'@': 257}), 33: (1, {'@': 257}), 40: (1, {'@': 257}), 16: (1, {'@': 257}), 17: (1, {'@': 257}), 41: (1, {'@': 257}), 19: (1, {'@': 257}), 42: (1, {'@': 257}), 43: (1, {'@': 257}), 44: (1, {'@': 257}), 12: (1, {'@': 257}), 45: (1, {'@': 257}), 46: (1, {'@': 257}), 26: (1, {'@': 257}), 47: (1, {'@': 257}), 48: (1, {'@': 257}), 1: (1, {'@': 257}), 4: (1, {'@': 257}), 49: (1, {'@': 257}), 50: (1, {'@': 257}), 24: (1, {'@': 257}), 25: (1, {'@': 257}), 27: (1, {'@': 257}), 51: (1, {'@': 257}), 29: (1, {'@': 257}), 52: (1, {'@': 257}), 30: (1, {'@': 257}), 3: (1, {'@': 257}), 32: (1, {'@': 257})}, 409: {29: (0, 455)}, 410: {35: (1, {'@': 258}), 15: (1, {'@': 258}), 21: (1, {'@': 258}), 28: (1, {'@': 258}), 2: (1, {'@': 258}), 0: (1, {'@': 258}), 36: (1, {'@': 258}), 20: (1, {'@': 258}), 37: (1, {'@': 258}), 38: (1, {'@': 258}), 22: (1, {'@': 258}), 31: (1, {'@': 258}), 39: (1, {'@': 258}), 33: (1, {'@': 258}), 40: (1, {'@': 258}), 16: (1, {'@': 258}), 17: (1, {'@': 258}), 41: (1, {'@': 258}), 19: (1, {'@': 258}), 42: (1, {'@': 258}), 43: (1, {'@': 258}), 44: (1, {'@': 258}), 12: (1, {'@': 258}), 45: (1, {'@': 258}), 46: (1, {'@': 258}), 26: (1, {'@': 258}), 47: (1, {'@': 258}), 48: (1, {'@': 258}), 1: (1, {'@': 258}), 4: (1, {'@': 258}), 49: (1, {'@': 258}), 50: (1, {'@': 258}), 24: (1, {'@': 258}), 25: (1, {'@': 258}), 27: (1, {'@': 258}), 51: (1, {'@': 258}), 29: (1, {'@': 258}), 52: (1, {'@': 258}), 30: (1, {'@': 258}), 3: (1, {'@': 258}), 32: (1, {'@': 258})}, 411: {35: (1, {'@': 259}), 15: (1, {'@': 259}), 21: (1, {'@': 259}), 28: (1, {'@': 259}), 2: (1, {'@': 259}), 0: (1, {'@': 259}), 36: (1, {'@': 259}), 20: (1, {'@': 259}), 37: (1, {'@': 259}), 38: (1, {'@': 259}), 22: (1, {'@': 259}), 31: (1, {'@': 259}), 39: (1, {'@': 259}), 33: (1, {'@': 259}), 40: (1, {'@': 259}), 16: (1, {'@': 259}), 17: (1, {'@': 259}), 41: (1, {'@': 259}), 19: (1, {'@': 259}), 42: (1, {'@': 259}), 43: (1, {'@': 259}), 44: (1, {'@': 259}), 12: (1, {'@': 259}), 45: (1, {'@': 259}), 46: (1, {'@': 259}), 26: (1, {'@': 259}), 47: (1, {'@': 259}), 48: (1, {'@': 259}), 1: (1, {'@': 259}), 4: (1, {'@': 259}), 49: (1, {'@': 259}), 50: (1, {'@': 259}), 24: (1, {'@': 259}), 25: (1, {'@': 259}), 27: (1, {'@': 259}), 51: (1, {'@': 259}), 29: (1, {'@': 259}), 52: (1, {'@': 259}), 30: (1, {'@': 259}), 3: (1, {'@': 259}), 32: (1, {'@': 259})}, 412: {35: (1, {'@': 260}), 15: (1, {'@': 260}), 21: (1, {'@': 260}), 28: (1, {'@': 260}), 2: (1, {'@': 260}), 0: (1, {'@': 260}), 36: (1, {'@': 260}), 20: (1, {'@': 260}), 37: (1, {'@': 260}), 38: (1, {'@': 260}), 22: (1, {'@': 260}), 31: (1, {'@': 260}), 39: (1, {'@': 260}), 33: (1, {'@': 260}), 40: (1, {'@': 260}), 16: (1, {'@': 260}), 17: (1, {'@': 260}), 41: (1, {'@': 260}), 19: (1, {'@': 260}), 42: (1, {'@': 260}), 43: (1, {'@': 260}), 44: (1, {'@': 260}), 12: (1, {'@': 260}), 45: (1, {'@': 260}), 46: (1, {'@': 260}), 26: (1, {'@': 260}), 47: (1, {'@': 260}), 48: (1, {'@': 260}), 1: (1, {'@': 260}), 4: (1, {'@': 260}), 49: (1, {'@': 260}), 50: (1, {'@': 260}), 24: (1, {'@': 260}), 25: (1, {'@': 260}), 27: (1, {'@': 260}), 51: (1, {'@': 260}), 29: (1, {'@': 260}), 52: (1, {'@': 260}), 30: (1, {'@': 260}), 3: (1, {'@': 260}), 32: (1, {'@': 260})}, 413: {0: (1, {'@': 261}), 22: (1, {'@': 261}), 17: (1, {'@': 261}), 29: (1, {'@': 261}), 41: (1, {'@': 261}), 3: (1, {'@': 261}), 4: (1, {'@': 261}), 40: (0, 90), 42: (0, 91), 45: (0, 105), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 47: (0, 106)}, 414: {35: (1, {'@': 262}), 15: (1, {'@': 262}), 21: (1, {'@': 262}), 28: (1, {'@': 262}), 2: (1, {'@': 262}), 0: (1, {'@': 262}), 36: (1, {'@': 262}), 20: (1, {'@': 262}), 37: (1, {'@': 262}), 38: (1, {'@': 262}), 22: (1, {'@': 262}), 31: (1, {'@': 262}), 39: (1, {'@': 262}), 33: (1, {'@': 262}), 40: (1, {'@': 262}), 16: (1, {'@': 262}), 17: (1, {'@': 262}), 41: (1, {'@': 262}), 19: (1, {'@': 262}), 42: (1, {'@': 262}), 43: (1, {'@': 262}), 44: (1, {'@': 262}), 12: (1, {'@': 262}), 45: (1, {'@': 262}), 46: (1, {'@': 262}), 26: (1, {'@': 262}), 47: (1, {'@': 262}), 48: (1, {'@': 262}), 1: (1, {'@': 262}), 4: (1, {'@': 262}), 49: (1, {'@': 262}), 50: (1, {'@': 262}), 24: (1, {'@': 262}), 25: (1, {'@': 262}), 27: (1, {'@': 262}), 51: (1, {'@': 262}), 29: (1, {'@': 262}), 52: (1, {'@': 262}), 30: (1, {'@': 262}), 3: (1, {'@': 262}), 32: (1, {'@': 262})}, 415: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 413), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 416: {4: (0, 6), 1: (0, 456), 5: (0, 1), 0: (0, 8), 6: (0, 457), 3: (0, 14)}, 417: {1: (0, 458), 89: (0, 459), 4: (0, 6), 5: (0, 1), 0: (0, 8), 30: (0, 194), 6: (0, 460), 3: (0, 14)}, 418: {35: (1, {'@': 263}), 15: (1, {'@': 263}), 21: (1, {'@': 263}), 28: (1, {'@': 263}), 2: (1, {'@': 263}), 0: (1, {'@': 263}), 36: (1, {'@': 263}), 20: (1, {'@': 263}), 37: (1, {'@': 263}), 38: (1, {'@': 263}), 22: (1, {'@': 263}), 31: (1, {'@': 263}), 39: (1, {'@': 263}), 33: (1, {'@': 263}), 40: (1, {'@': 263}), 16: (1, {'@': 263}), 17: (1, {'@': 263}), 41: (1, {'@': 263}), 19: (1, {'@': 263}), 42: (1, {'@': 263}), 43: (1, {'@': 263}), 44: (1, {'@': 263}), 12: (1, {'@': 263}), 45: (1, {'@': 263}), 46: (1, {'@': 263}), 26: (1, {'@': 263}), 47: (1, {'@': 263}), 48: (1, {'@': 263}), 1: (1, {'@': 263}), 4: (1, {'@': 263}), 49: (1, {'@': 263}), 50: (1, {'@': 263}), 24: (1, {'@': 263}), 25: (1, {'@': 263}), 27: (1, {'@': 263}), 51: (1, {'@': 263}), 29: (1, {'@': 263}), 52: (1, {'@': 263}), 30: (1, {'@': 263}), 3: (1, {'@': 263}), 32: (1, {'@': 263})}, 419: {35: (1, {'@': 264}), 15: (1, {'@': 264}), 21: (1, {'@': 264}), 28: (1, {'@': 264}), 2: (1, {'@': 264}), 0: (1, {'@': 264}), 36: (1, {'@': 264}), 20: (1, {'@': 264}), 37: (1, {'@': 264}), 38: (1, {'@': 264}), 22: (1, {'@': 264}), 31: (1, {'@': 264}), 39: (1, {'@': 264}), 33: (1, {'@': 264}), 40: (1, {'@': 264}), 16: (1, {'@': 264}), 17: (1, {'@': 264}), 41: (1, {'@': 264}), 19: (1, {'@': 264}), 42: (1, {'@': 264}), 43: (1, {'@': 264}), 44: (1, {'@': 264}), 12: (1, {'@': 264}), 45: (1, {'@': 264}), 46: (1, {'@': 264}), 26: (1, {'@': 264}), 47: (1, {'@': 264}), 48: (1, {'@': 264}), 1: (1, {'@': 264}), 4: (1, {'@': 264}), 49: (1, {'@': 264}), 50: (1, {'@': 264}), 24: (1, {'@': 264}), 25: (1, {'@': 264}), 27: (1, {'@': 264}), 51: (1, {'@': 264}), 29: (1, {'@': 264}), 52: (1, {'@': 264}), 30: (1, {'@': 264}), 3: (1, {'@': 264}), 32: (1, {'@': 264})}, 420: {1: (0, 461)}, 421: {4: (0, 6), 5: (0, 1), 0: (0, 8), 6: (0, 462), 1: (0, 463), 3: (0, 14)}, 422: {1: (0, 464)}, 423: {35: (1, {'@': 265}), 15: (1, {'@': 265}), 21: (1, {'@': 265}), 28: (1, {'@': 265}), 2: (1, {'@': 265}), 0: (1, {'@': 265}), 36: (1, {'@': 265}), 20: (1, {'@': 265}), 37: (1, {'@': 265}), 38: (1, {'@': 265}), 22: (1, {'@': 265}), 31: (1, {'@': 265}), 39: (1, {'@': 265}), 33: (1, {'@': 265}), 40: (1, {'@': 265}), 16: (1, {'@': 265}), 17: (1, {'@': 265}), 41: (1, {'@': 265}), 19: (1, {'@': 265}), 42: (1, {'@': 265}), 43: (1, {'@': 265}), 44: (1, {'@': 265}), 12: (1, {'@': 265}), 45: (1, {'@': 265}), 46: (1, {'@': 265}), 26: (1, {'@': 265}), 47: (1, {'@': 265}), 48: (1, {'@': 265}), 1: (1, {'@': 265}), 4: (1, {'@': 265}), 49: (1, {'@': 265}), 50: (1, {'@': 265}), 24: (1, {'@': 265}), 25: (1, {'@': 265}), 27: (1, {'@': 265}), 51: (1, {'@': 265}), 29: (1, {'@': 265}), 52: (1, {'@': 265}), 30: (1, {'@': 265}), 3: (1, {'@': 265}), 32: (1, {'@': 265})}, 424: {0: (1, {'@': 266}), 16: (1, {'@': 266}), 19: (1, {'@': 266}), 15: (1, {'@': 266}), 20: (1, {'@': 266}), 4: (1, {'@': 266}), 21: (1, {'@': 266}), 12: (1, {'@': 266}), 24: (1, {'@': 266}), 25: (1, {'@': 266}), 26: (1, {'@': 266}), 27: (1, {'@': 266}), 28: (1, {'@': 266}), 31: (1, {'@': 266}), 3: (1, {'@': 266}), 32: (1, {'@': 266})}, 425: {0: (0, 8), 16: (1, {'@': 267}), 19: (1, {'@': 267}), 15: (1, {'@': 267}), 20: (1, {'@': 267}), 4: (0, 6), 21: (1, {'@': 267}), 12: (1, {'@': 267}), 24: (1, {'@': 267}), 25: (1, {'@': 267}), 26: (1, {'@': 267}), 27: (1, {'@': 267}), 28: (1, {'@': 267}), 31: (1, {'@': 267}), 3: (0, 14), 32: (1, {'@': 267}), 5: (0, 1), 6: (0, 465)}, 426: {23: (0, 466)}, 427: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 6: (0, 467), 58: (0, 40), 59: (0, 468), 5: (0, 1), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 428: {40: (0, 90), 42: (0, 91), 39: (0, 469), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 429: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 470), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 430: {0: (0, 8), 16: (1, {'@': 268}), 19: (1, {'@': 268}), 15: (1, {'@': 268}), 20: (1, {'@': 268}), 4: (0, 6), 21: (1, {'@': 268}), 12: (1, {'@': 268}), 24: (1, {'@': 268}), 25: (1, {'@': 268}), 26: (1, {'@': 268}), 27: (1, {'@': 268}), 28: (1, {'@': 268}), 31: (1, {'@': 268}), 3: (0, 14), 32: (1, {'@': 268}), 5: (0, 1), 6: (0, 471)}, 431: {40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 39: (0, 472), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 432: {40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 39: (0, 473), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 433: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 474), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 434: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 59: (0, 475), 58: (0, 40), 24: (0, 42), 60: (0, 43), 5: (0, 1), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 6: (0, 476), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 435: {0: (0, 8), 16: (1, {'@': 269}), 19: (1, {'@': 269}), 15: (1, {'@': 269}), 20: (1, {'@': 269}), 4: (0, 6), 21: (1, {'@': 269}), 12: (1, {'@': 269}), 24: (1, {'@': 269}), 25: (1, {'@': 269}), 26: (1, {'@': 269}), 27: (1, {'@': 269}), 28: (1, {'@': 269}), 31: (1, {'@': 269}), 3: (0, 14), 32: (1, {'@': 269}), 5: (0, 1), 6: (0, 477)}, 436: {40: (0, 90), 42: (0, 91), 52: (0, 92), 39: (0, 478), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 437: {0: (1, {'@': 270}), 16: (1, {'@': 270}), 19: (1, {'@': 270}), 15: (1, {'@': 270}), 20: (1, {'@': 270}), 4: (1, {'@': 270}), 21: (1, {'@': 270}), 12: (1, {'@': 270}), 24: (1, {'@': 270}), 25: (1, {'@': 270}), 26: (1, {'@': 270}), 27: (1, {'@': 270}), 28: (1, {'@': 270}), 31: (1, {'@': 270}), 3: (1, {'@': 270}), 32: (1, {'@': 270})}, 438: {0: (1, {'@': 271}), 16: (1, {'@': 271}), 19: (1, {'@': 271}), 15: (1, {'@': 271}), 20: (1, {'@': 271}), 4: (1, {'@': 271}), 21: (1, {'@': 271}), 12: (1, {'@': 271}), 24: (1, {'@': 271}), 25: (1, {'@': 271}), 26: (1, {'@': 271}), 27: (1, {'@': 271}), 28: (1, {'@': 271}), 31: (1, {'@': 271}), 3: (1, {'@': 271}), 32: (1, {'@': 271})}, 439: {0: (0, 8), 16: (1, {'@': 272}), 19: (1, {'@': 272}), 15: (1, {'@': 272}), 20: (1, {'@': 272}), 4: (0, 6), 21: (1, {'@': 272}), 12: (1, {'@': 272}), 24: (1, {'@': 272}), 25: (1, {'@': 272}), 26: (1, {'@': 272}), 27: (1, {'@': 272}), 28: (1, {'@': 272}), 31: (1, {'@': 272}), 3: (0, 14), 32: (1, {'@': 272}), 5: (0, 1), 6: (0, 479)}, 440: {1: (0, 480)}, 441: {35: (1, {'@': 273}), 15: (1, {'@': 273}), 21: (1, {'@': 273}), 28: (1, {'@': 273}), 2: (1, {'@': 273}), 0: (1, {'@': 273}), 36: (1, {'@': 273}), 20: (1, {'@': 273}), 37: (1, {'@': 273}), 38: (1, {'@': 273}), 22: (1, {'@': 273}), 31: (1, {'@': 273}), 39: (1, {'@': 273}), 33: (1, {'@': 273}), 40: (1, {'@': 273}), 16: (1, {'@': 273}), 17: (1, {'@': 273}), 41: (1, {'@': 273}), 19: (1, {'@': 273}), 42: (1, {'@': 273}), 43: (1, {'@': 273}), 44: (1, {'@': 273}), 12: (1, {'@': 273}), 45: (1, {'@': 273}), 46: (1, {'@': 273}), 26: (1, {'@': 273}), 47: (1, {'@': 273}), 48: (1, {'@': 273}), 1: (1, {'@': 273}), 4: (1, {'@': 273}), 49: (1, {'@': 273}), 50: (1, {'@': 273}), 24: (1, {'@': 273}), 25: (1, {'@': 273}), 27: (1, {'@': 273}), 51: (1, {'@': 273}), 29: (1, {'@': 273}), 52: (1, {'@': 273}), 30: (1, {'@': 273}), 3: (1, {'@': 273}), 32: (1, {'@': 273})}, 442: {35: (1, {'@': 274}), 15: (1, {'@': 274}), 21: (1, {'@': 274}), 28: (1, {'@': 274}), 2: (1, {'@': 274}), 0: (1, {'@': 274}), 36: (1, {'@': 274}), 20: (1, {'@': 274}), 37: (1, {'@': 274}), 38: (1, {'@': 274}), 22: (1, {'@': 274}), 31: (1, {'@': 274}), 39: (1, {'@': 274}), 33: (1, {'@': 274}), 40: (1, {'@': 274}), 16: (1, {'@': 274}), 17: (1, {'@': 274}), 41: (1, {'@': 274}), 19: (1, {'@': 274}), 42: (1, {'@': 274}), 43: (1, {'@': 274}), 44: (1, {'@': 274}), 12: (1, {'@': 274}), 45: (1, {'@': 274}), 46: (1, {'@': 274}), 26: (1, {'@': 274}), 47: (1, {'@': 274}), 48: (1, {'@': 274}), 1: (1, {'@': 274}), 4: (1, {'@': 274}), 49: (1, {'@': 274}), 50: (1, {'@': 274}), 24: (1, {'@': 274}), 25: (1, {'@': 274}), 27: (1, {'@': 274}), 51: (1, {'@': 274}), 29: (1, {'@': 274}), 52: (1, {'@': 274}), 30: (1, {'@': 274}), 3: (1, {'@': 274}), 32: (1, {'@': 274})}, 443: {35: (1, {'@': 275}), 15: (1, {'@': 275}), 21: (1, {'@': 275}), 28: (1, {'@': 275}), 2: (1, {'@': 275}), 0: (1, {'@': 275}), 36: (1, {'@': 275}), 20: (1, {'@': 275}), 37: (1, {'@': 275}), 38: (1, {'@': 275}), 22: (1, {'@': 275}), 31: (1, {'@': 275}), 39: (1, {'@': 275}), 33: (1, {'@': 275}), 40: (1, {'@': 275}), 16: (1, {'@': 275}), 17: (1, {'@': 275}), 41: (1, {'@': 275}), 19: (1, {'@': 275}), 42: (1, {'@': 275}), 43: (1, {'@': 275}), 44: (1, {'@': 275}), 12: (1, {'@': 275}), 45: (1, {'@': 275}), 46: (1, {'@': 275}), 26: (1, {'@': 275}), 47: (1, {'@': 275}), 48: (1, {'@': 275}), 1: (1, {'@': 275}), 4: (1, {'@': 275}), 49: (1, {'@': 275}), 50: (1, {'@': 275}), 24: (1, {'@': 275}), 25: (1, {'@': 275}), 27: (1, {'@': 275}), 51: (1, {'@': 275}), 29: (1, {'@': 275}), 52: (1, {'@': 275}), 30: (1, {'@': 275}), 3: (1, {'@': 275}), 32: (1, {'@': 275})}, 444: {35: (1, {'@': 276}), 15: (1, {'@': 276}), 21: (1, {'@': 276}), 28: (1, {'@': 276}), 2: (1, {'@': 276}), 0: (1, {'@': 276}), 36: (1, {'@': 276}), 20: (1, {'@': 276}), 37: (1, {'@': 276}), 38: (1, {'@': 276}), 22: (1, {'@': 276}), 31: (1, {'@': 276}), 39: (1, {'@': 276}), 33: (1, {'@': 276}), 40: (1, {'@': 276}), 16: (1, {'@': 276}), 17: (1, {'@': 276}), 41: (1, {'@': 276}), 19: (1, {'@': 276}), 42: (1, {'@': 276}), 43: (1, {'@': 276}), 44: (1, {'@': 276}), 12: (1, {'@': 276}), 45: (1, {'@': 276}), 46: (1, {'@': 276}), 26: (1, {'@': 276}), 47: (1, {'@': 276}), 48: (1, {'@': 276}), 1: (1, {'@': 276}), 4: (1, {'@': 276}), 49: (1, {'@': 276}), 50: (1, {'@': 276}), 24: (1, {'@': 276}), 25: (1, {'@': 276}), 27: (1, {'@': 276}), 51: (1, {'@': 276}), 29: (1, {'@': 276}), 52: (1, {'@': 276}), 30: (1, {'@': 276}), 3: (1, {'@': 276}), 32: (1, {'@': 276})}, 445: {1: (0, 481)}, 446: {35: (1, {'@': 277}), 15: (1, {'@': 277}), 21: (1, {'@': 277}), 28: (1, {'@': 277}), 2: (1, {'@': 277}), 0: (1, {'@': 277}), 36: (1, {'@': 277}), 20: (1, {'@': 277}), 37: (1, {'@': 277}), 38: (1, {'@': 277}), 22: (1, {'@': 277}), 31: (1, {'@': 277}), 39: (1, {'@': 277}), 33: (1, {'@': 277}), 40: (1, {'@': 277}), 16: (1, {'@': 277}), 17: (1, {'@': 277}), 41: (1, {'@': 277}), 19: (1, {'@': 277}), 42: (1, {'@': 277}), 43: (1, {'@': 277}), 44: (1, {'@': 277}), 12: (1, {'@': 277}), 45: (1, {'@': 277}), 46: (1, {'@': 277}), 26: (1, {'@': 277}), 47: (1, {'@': 277}), 48: (1, {'@': 277}), 1: (1, {'@': 277}), 4: (1, {'@': 277}), 49: (1, {'@': 277}), 50: (1, {'@': 277}), 24: (1, {'@': 277}), 25: (1, {'@': 277}), 27: (1, {'@': 277}), 51: (1, {'@': 277}), 29: (1, {'@': 277}), 52: (1, {'@': 277}), 30: (1, {'@': 277}), 3: (1, {'@': 277}), 32: (1, {'@': 277})}, 447: {4: (0, 6), 5: (0, 1), 0: (0, 8), 1: (0, 482), 6: (0, 483), 3: (0, 14)}, 448: {1: (0, 484)}, 449: {35: (1, {'@': 278}), 15: (1, {'@': 278}), 21: (1, {'@': 278}), 28: (1, {'@': 278}), 2: (1, {'@': 278}), 0: (1, {'@': 278}), 36: (1, {'@': 278}), 20: (1, {'@': 278}), 37: (1, {'@': 278}), 38: (1, {'@': 278}), 22: (1, {'@': 278}), 31: (1, {'@': 278}), 39: (1, {'@': 278}), 33: (1, {'@': 278}), 40: (1, {'@': 278}), 16: (1, {'@': 278}), 17: (1, {'@': 278}), 41: (1, {'@': 278}), 19: (1, {'@': 278}), 42: (1, {'@': 278}), 43: (1, {'@': 278}), 44: (1, {'@': 278}), 12: (1, {'@': 278}), 45: (1, {'@': 278}), 46: (1, {'@': 278}), 26: (1, {'@': 278}), 47: (1, {'@': 278}), 48: (1, {'@': 278}), 1: (1, {'@': 278}), 4: (1, {'@': 278}), 49: (1, {'@': 278}), 50: (1, {'@': 278}), 24: (1, {'@': 278}), 25: (1, {'@': 278}), 27: (1, {'@': 278}), 51: (1, {'@': 278}), 29: (1, {'@': 278}), 52: (1, {'@': 278}), 30: (1, {'@': 278}), 3: (1, {'@': 278}), 32: (1, {'@': 278})}, 450: {35: (1, {'@': 279}), 15: (1, {'@': 279}), 21: (1, {'@': 279}), 28: (1, {'@': 279}), 2: (1, {'@': 279}), 0: (1, {'@': 279}), 36: (1, {'@': 279}), 20: (1, {'@': 279}), 37: (1, {'@': 279}), 38: (1, {'@': 279}), 22: (1, {'@': 279}), 31: (1, {'@': 279}), 39: (1, {'@': 279}), 33: (1, {'@': 279}), 40: (1, {'@': 279}), 16: (1, {'@': 279}), 17: (1, {'@': 279}), 41: (1, {'@': 279}), 19: (1, {'@': 279}), 42: (1, {'@': 279}), 43: (1, {'@': 279}), 44: (1, {'@': 279}), 12: (1, {'@': 279}), 45: (1, {'@': 279}), 46: (1, {'@': 279}), 26: (1, {'@': 279}), 47: (1, {'@': 279}), 48: (1, {'@': 279}), 1: (1, {'@': 279}), 4: (1, {'@': 279}), 49: (1, {'@': 279}), 50: (1, {'@': 279}), 24: (1, {'@': 279}), 25: (1, {'@': 279}), 27: (1, {'@': 279}), 51: (1, {'@': 279}), 29: (1, {'@': 279}), 52: (1, {'@': 279}), 30: (1, {'@': 279}), 3: (1, {'@': 279}), 32: (1, {'@': 279})}, 451: {35: (1, {'@': 280}), 15: (1, {'@': 280}), 21: (1, {'@': 280}), 28: (1, {'@': 280}), 2: (1, {'@': 280}), 0: (1, {'@': 280}), 36: (1, {'@': 280}), 20: (1, {'@': 280}), 37: (1, {'@': 280}), 38: (1, {'@': 280}), 22: (1, {'@': 280}), 31: (1, {'@': 280}), 39: (1, {'@': 280}), 33: (1, {'@': 280}), 40: (1, {'@': 280}), 16: (1, {'@': 280}), 17: (1, {'@': 280}), 41: (1, {'@': 280}), 19: (1, {'@': 280}), 42: (1, {'@': 280}), 43: (1, {'@': 280}), 44: (1, {'@': 280}), 12: (1, {'@': 280}), 45: (1, {'@': 280}), 46: (1, {'@': 280}), 26: (1, {'@': 280}), 47: (1, {'@': 280}), 48: (1, {'@': 280}), 1: (1, {'@': 280}), 4: (1, {'@': 280}), 49: (1, {'@': 280}), 50: (1, {'@': 280}), 24: (1, {'@': 280}), 25: (1, {'@': 280}), 27: (1, {'@': 280}), 51: (1, {'@': 280}), 29: (1, {'@': 280}), 52: (1, {'@': 280}), 30: (1, {'@': 280}), 3: (1, {'@': 280}), 32: (1, {'@': 280})}, 452: {29: (0, 485)}, 453: {35: (1, {'@': 281}), 15: (1, {'@': 281}), 21: (1, {'@': 281}), 28: (1, {'@': 281}), 2: (1, {'@': 281}), 0: (1, {'@': 281}), 36: (1, {'@': 281}), 20: (1, {'@': 281}), 37: (1, {'@': 281}), 38: (1, {'@': 281}), 22: (1, {'@': 281}), 31: (1, {'@': 281}), 39: (1, {'@': 281}), 33: (1, {'@': 281}), 40: (1, {'@': 281}), 16: (1, {'@': 281}), 17: (1, {'@': 281}), 41: (1, {'@': 281}), 19: (1, {'@': 281}), 42: (1, {'@': 281}), 43: (1, {'@': 281}), 44: (1, {'@': 281}), 12: (1, {'@': 281}), 45: (1, {'@': 281}), 46: (1, {'@': 281}), 26: (1, {'@': 281}), 47: (1, {'@': 281}), 48: (1, {'@': 281}), 1: (1, {'@': 281}), 4: (1, {'@': 281}), 49: (1, {'@': 281}), 50: (1, {'@': 281}), 24: (1, {'@': 281}), 25: (1, {'@': 281}), 27: (1, {'@': 281}), 51: (1, {'@': 281}), 29: (1, {'@': 281}), 52: (1, {'@': 281}), 30: (1, {'@': 281}), 3: (1, {'@': 281}), 32: (1, {'@': 281})}, 454: {35: (1, {'@': 282}), 15: (1, {'@': 282}), 21: (1, {'@': 282}), 28: (1, {'@': 282}), 2: (1, {'@': 282}), 0: (1, {'@': 282}), 36: (1, {'@': 282}), 20: (1, {'@': 282}), 37: (1, {'@': 282}), 38: (1, {'@': 282}), 22: (1, {'@': 282}), 31: (1, {'@': 282}), 39: (1, {'@': 282}), 33: (1, {'@': 282}), 40: (1, {'@': 282}), 16: (1, {'@': 282}), 17: (1, {'@': 282}), 41: (1, {'@': 282}), 19: (1, {'@': 282}), 42: (1, {'@': 282}), 43: (1, {'@': 282}), 44: (1, {'@': 282}), 12: (1, {'@': 282}), 45: (1, {'@': 282}), 46: (1, {'@': 282}), 26: (1, {'@': 282}), 47: (1, {'@': 282}), 48: (1, {'@': 282}), 1: (1, {'@': 282}), 4: (1, {'@': 282}), 49: (1, {'@': 282}), 50: (1, {'@': 282}), 24: (1, {'@': 282}), 25: (1, {'@': 282}), 27: (1, {'@': 282}), 51: (1, {'@': 282}), 29: (1, {'@': 282}), 52: (1, {'@': 282}), 30: (1, {'@': 282}), 3: (1, {'@': 282}), 32: (1, {'@': 282})}, 455: {35: (1, {'@': 283}), 15: (1, {'@': 283}), 21: (1, {'@': 283}), 28: (1, {'@': 283}), 2: (1, {'@': 283}), 0: (1, {'@': 283}), 36: (1, {'@': 283}), 20: (1, {'@': 283}), 37: (1, {'@': 283}), 38: (1, {'@': 283}), 22: (1, {'@': 283}), 31: (1, {'@': 283}), 39: (1, {'@': 283}), 33: (1, {'@': 283}), 40: (1, {'@': 283}), 16: (1, {'@': 283}), 17: (1, {'@': 283}), 41: (1, {'@': 283}), 19: (1, {'@': 283}), 42: (1, {'@': 283}), 43: (1, {'@': 283}), 44: (1, {'@': 283}), 12: (1, {'@': 283}), 45: (1, {'@': 283}), 46: (1, {'@': 283}), 26: (1, {'@': 283}), 47: (1, {'@': 283}), 48: (1, {'@': 283}), 1: (1, {'@': 283}), 4: (1, {'@': 283}), 49: (1, {'@': 283}), 50: (1, {'@': 283}), 24: (1, {'@': 283}), 25: (1, {'@': 283}), 27: (1, {'@': 283}), 51: (1, {'@': 283}), 29: (1, {'@': 283}), 52: (1, {'@': 283}), 30: (1, {'@': 283}), 3: (1, {'@': 283}), 32: (1, {'@': 283})}, 456: {35: (1, {'@': 284}), 15: (1, {'@': 284}), 21: (1, {'@': 284}), 28: (1, {'@': 284}), 2: (1, {'@': 284}), 0: (1, {'@': 284}), 36: (1, {'@': 284}), 20: (1, {'@': 284}), 37: (1, {'@': 284}), 38: (1, {'@': 284}), 22: (1, {'@': 284}), 31: (1, {'@': 284}), 39: (1, {'@': 284}), 33: (1, {'@': 284}), 40: (1, {'@': 284}), 16: (1, {'@': 284}), 17: (1, {'@': 284}), 41: (1, {'@': 284}), 19: (1, {'@': 284}), 42: (1, {'@': 284}), 43: (1, {'@': 284}), 44: (1, {'@': 284}), 12: (1, {'@': 284}), 45: (1, {'@': 284}), 46: (1, {'@': 284}), 26: (1, {'@': 284}), 47: (1, {'@': 284}), 48: (1, {'@': 284}), 1: (1, {'@': 284}), 4: (1, {'@': 284}), 49: (1, {'@': 284}), 50: (1, {'@': 284}), 24: (1, {'@': 284}), 25: (1, {'@': 284}), 27: (1, {'@': 284}), 51: (1, {'@': 284}), 29: (1, {'@': 284}), 52: (1, {'@': 284}), 30: (1, {'@': 284}), 3: (1, {'@': 284}), 32: (1, {'@': 284})}, 457: {1: (0, 486)}, 458: {35: (1, {'@': 285}), 15: (1, {'@': 285}), 21: (1, {'@': 285}), 28: (1, {'@': 285}), 2: (1, {'@': 285}), 0: (1, {'@': 285}), 36: (1, {'@': 285}), 20: (1, {'@': 285}), 37: (1, {'@': 285}), 38: (1, {'@': 285}), 22: (1, {'@': 285}), 31: (1, {'@': 285}), 39: (1, {'@': 285}), 33: (1, {'@': 285}), 40: (1, {'@': 285}), 16: (1, {'@': 285}), 17: (1, {'@': 285}), 41: (1, {'@': 285}), 19: (1, {'@': 285}), 42: (1, {'@': 285}), 43: (1, {'@': 285}), 44: (1, {'@': 285}), 12: (1, {'@': 285}), 45: (1, {'@': 285}), 46: (1, {'@': 285}), 26: (1, {'@': 285}), 47: (1, {'@': 285}), 48: (1, {'@': 285}), 1: (1, {'@': 285}), 4: (1, {'@': 285}), 49: (1, {'@': 285}), 50: (1, {'@': 285}), 24: (1, {'@': 285}), 25: (1, {'@': 285}), 27: (1, {'@': 285}), 51: (1, {'@': 285}), 29: (1, {'@': 285}), 52: (1, {'@': 285}), 30: (1, {'@': 285}), 3: (1, {'@': 285}), 32: (1, {'@': 285})}, 459: {4: (0, 6), 1: (0, 487), 5: (0, 1), 0: (0, 8), 6: (0, 488), 3: (0, 14)}, 460: {1: (0, 489)}, 461: {35: (1, {'@': 286}), 15: (1, {'@': 286}), 21: (1, {'@': 286}), 28: (1, {'@': 286}), 2: (1, {'@': 286}), 0: (1, {'@': 286}), 36: (1, {'@': 286}), 20: (1, {'@': 286}), 37: (1, {'@': 286}), 38: (1, {'@': 286}), 22: (1, {'@': 286}), 31: (1, {'@': 286}), 39: (1, {'@': 286}), 33: (1, {'@': 286}), 40: (1, {'@': 286}), 16: (1, {'@': 286}), 17: (1, {'@': 286}), 41: (1, {'@': 286}), 19: (1, {'@': 286}), 42: (1, {'@': 286}), 43: (1, {'@': 286}), 44: (1, {'@': 286}), 12: (1, {'@': 286}), 45: (1, {'@': 286}), 46: (1, {'@': 286}), 26: (1, {'@': 286}), 47: (1, {'@': 286}), 48: (1, {'@': 286}), 1: (1, {'@': 286}), 4: (1, {'@': 286}), 49: (1, {'@': 286}), 50: (1, {'@': 286}), 24: (1, {'@': 286}), 25: (1, {'@': 286}), 27: (1, {'@': 286}), 51: (1, {'@': 286}), 29: (1, {'@': 286}), 52: (1, {'@': 286}), 30: (1, {'@': 286}), 3: (1, {'@': 286}), 32: (1, {'@': 286})}, 462: {1: (0, 490)}, 463: {35: (1, {'@': 287}), 15: (1, {'@': 287}), 21: (1, {'@': 287}), 28: (1, {'@': 287}), 2: (1, {'@': 287}), 0: (1, {'@': 287}), 36: (1, {'@': 287}), 20: (1, {'@': 287}), 37: (1, {'@': 287}), 38: (1, {'@': 287}), 22: (1, {'@': 287}), 31: (1, {'@': 287}), 39: (1, {'@': 287}), 33: (1, {'@': 287}), 40: (1, {'@': 287}), 16: (1, {'@': 287}), 17: (1, {'@': 287}), 41: (1, {'@': 287}), 19: (1, {'@': 287}), 42: (1, {'@': 287}), 43: (1, {'@': 287}), 44: (1, {'@': 287}), 12: (1, {'@': 287}), 45: (1, {'@': 287}), 46: (1, {'@': 287}), 26: (1, {'@': 287}), 47: (1, {'@': 287}), 48: (1, {'@': 287}), 1: (1, {'@': 287}), 4: (1, {'@': 287}), 49: (1, {'@': 287}), 50: (1, {'@': 287}), 24: (1, {'@': 287}), 25: (1, {'@': 287}), 27: (1, {'@': 287}), 51: (1, {'@': 287}), 29: (1, {'@': 287}), 52: (1, {'@': 287}), 30: (1, {'@': 287}), 3: (1, {'@': 287}), 32: (1, {'@': 287})}, 464: {35: (1, {'@': 288}), 15: (1, {'@': 288}), 21: (1, {'@': 288}), 28: (1, {'@': 288}), 2: (1, {'@': 288}), 0: (1, {'@': 288}), 36: (1, {'@': 288}), 20: (1, {'@': 288}), 37: (1, {'@': 288}), 38: (1, {'@': 288}), 22: (1, {'@': 288}), 31: (1, {'@': 288}), 39: (1, {'@': 288}), 33: (1, {'@': 288}), 40: (1, {'@': 288}), 16: (1, {'@': 288}), 17: (1, {'@': 288}), 41: (1, {'@': 288}), 19: (1, {'@': 288}), 42: (1, {'@': 288}), 43: (1, {'@': 288}), 44: (1, {'@': 288}), 12: (1, {'@': 288}), 45: (1, {'@': 288}), 46: (1, {'@': 288}), 26: (1, {'@': 288}), 47: (1, {'@': 288}), 48: (1, {'@': 288}), 1: (1, {'@': 288}), 4: (1, {'@': 288}), 49: (1, {'@': 288}), 50: (1, {'@': 288}), 24: (1, {'@': 288}), 25: (1, {'@': 288}), 27: (1, {'@': 288}), 51: (1, {'@': 288}), 29: (1, {'@': 288}), 52: (1, {'@': 288}), 30: (1, {'@': 288}), 3: (1, {'@': 288}), 32: (1, {'@': 288})}, 465: {0: (1, {'@': 289}), 16: (1, {'@': 289}), 19: (1, {'@': 289}), 15: (1, {'@': 289}), 20: (1, {'@': 289}), 4: (1, {'@': 289}), 21: (1, {'@': 289}), 12: (1, {'@': 289}), 24: (1, {'@': 289}), 25: (1, {'@': 289}), 26: (1, {'@': 289}), 27: (1, {'@': 289}), 28: (1, {'@': 289}), 31: (1, {'@': 289}), 3: (1, {'@': 289}), 32: (1, {'@': 289})}, 466: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 4: (0, 6), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 491), 5: (0, 1), 24: (0, 42), 60: (0, 43), 6: (0, 492), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 3: (0, 14), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64), 0: (0, 8)}, 467: {25: (0, 30), 59: (0, 493), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 468: {40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 39: (0, 494), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 469: {0: (0, 8), 16: (1, {'@': 290}), 19: (1, {'@': 290}), 15: (1, {'@': 290}), 20: (1, {'@': 290}), 4: (0, 6), 21: (1, {'@': 290}), 12: (1, {'@': 290}), 24: (1, {'@': 290}), 25: (1, {'@': 290}), 26: (1, {'@': 290}), 27: (1, {'@': 290}), 28: (1, {'@': 290}), 31: (1, {'@': 290}), 3: (0, 14), 32: (1, {'@': 290}), 5: (0, 1), 6: (0, 495)}, 470: {40: (0, 90), 39: (0, 496), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 51: (0, 103), 36: (0, 101), 37: (0, 102), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 471: {0: (1, {'@': 291}), 16: (1, {'@': 291}), 19: (1, {'@': 291}), 15: (1, {'@': 291}), 20: (1, {'@': 291}), 4: (1, {'@': 291}), 21: (1, {'@': 291}), 12: (1, {'@': 291}), 24: (1, {'@': 291}), 25: (1, {'@': 291}), 26: (1, {'@': 291}), 27: (1, {'@': 291}), 28: (1, {'@': 291}), 31: (1, {'@': 291}), 3: (1, {'@': 291}), 32: (1, {'@': 291})}, 472: {0: (0, 8), 16: (1, {'@': 292}), 19: (1, {'@': 292}), 15: (1, {'@': 292}), 20: (1, {'@': 292}), 4: (0, 6), 21: (1, {'@': 292}), 12: (1, {'@': 292}), 24: (1, {'@': 292}), 25: (1, {'@': 292}), 26: (1, {'@': 292}), 27: (1, {'@': 292}), 28: (1, {'@': 292}), 31: (1, {'@': 292}), 3: (0, 14), 32: (1, {'@': 292}), 5: (0, 1), 6: (0, 497)}, 473: {0: (0, 8), 16: (1, {'@': 293}), 19: (1, {'@': 293}), 15: (1, {'@': 293}), 20: (1, {'@': 293}), 4: (0, 6), 21: (1, {'@': 293}), 12: (1, {'@': 293}), 24: (1, {'@': 293}), 25: (1, {'@': 293}), 26: (1, {'@': 293}), 27: (1, {'@': 293}), 28: (1, {'@': 293}), 31: (1, {'@': 293}), 3: (0, 14), 32: (1, {'@': 293}), 5: (0, 1), 6: (0, 498)}, 474: {40: (0, 90), 42: (0, 91), 45: (0, 105), 52: (0, 92), 39: (0, 499), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 47: (0, 106)}, 475: {40: (0, 90), 42: (0, 91), 52: (0, 92), 39: (0, 500), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 476: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 501), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 477: {0: (1, {'@': 294}), 16: (1, {'@': 294}), 19: (1, {'@': 294}), 15: (1, {'@': 294}), 20: (1, {'@': 294}), 4: (1, {'@': 294}), 21: (1, {'@': 294}), 12: (1, {'@': 294}), 24: (1, {'@': 294}), 25: (1, {'@': 294}), 26: (1, {'@': 294}), 27: (1, {'@': 294}), 28: (1, {'@': 294}), 31: (1, {'@': 294}), 3: (1, {'@': 294}), 32: (1, {'@': 294})}, 478: {0: (0, 8), 16: (1, {'@': 295}), 19: (1, {'@': 295}), 15: (1, {'@': 295}), 20: (1, {'@': 295}), 4: (0, 6), 21: (1, {'@': 295}), 12: (1, {'@': 295}), 24: (1, {'@': 295}), 25: (1, {'@': 295}), 26: (1, {'@': 295}), 27: (1, {'@': 295}), 28: (1, {'@': 295}), 31: (1, {'@': 295}), 3: (0, 14), 32: (1, {'@': 295}), 5: (0, 1), 6: (0, 502)}, 479: {0: (1, {'@': 296}), 16: (1, {'@': 296}), 19: (1, {'@': 296}), 15: (1, {'@': 296}), 20: (1, {'@': 296}), 4: (1, {'@': 296}), 21: (1, {'@': 296}), 12: (1, {'@': 296}), 24: (1, {'@': 296}), 25: (1, {'@': 296}), 26: (1, {'@': 296}), 27: (1, {'@': 296}), 28: (1, {'@': 296}), 31: (1, {'@': 296}), 3: (1, {'@': 296}), 32: (1, {'@': 296})}, 480: {35: (1, {'@': 297}), 15: (1, {'@': 297}), 21: (1, {'@': 297}), 28: (1, {'@': 297}), 2: (1, {'@': 297}), 0: (1, {'@': 297}), 36: (1, {'@': 297}), 20: (1, {'@': 297}), 37: (1, {'@': 297}), 38: (1, {'@': 297}), 22: (1, {'@': 297}), 31: (1, {'@': 297}), 39: (1, {'@': 297}), 33: (1, {'@': 297}), 40: (1, {'@': 297}), 16: (1, {'@': 297}), 17: (1, {'@': 297}), 41: (1, {'@': 297}), 19: (1, {'@': 297}), 42: (1, {'@': 297}), 43: (1, {'@': 297}), 44: (1, {'@': 297}), 12: (1, {'@': 297}), 45: (1, {'@': 297}), 46: (1, {'@': 297}), 26: (1, {'@': 297}), 47: (1, {'@': 297}), 48: (1, {'@': 297}), 1: (1, {'@': 297}), 4: (1, {'@': 297}), 49: (1, {'@': 297}), 50: (1, {'@': 297}), 24: (1, {'@': 297}), 25: (1, {'@': 297}), 27: (1, {'@': 297}), 51: (1, {'@': 297}), 29: (1, {'@': 297}), 52: (1, {'@': 297}), 30: (1, {'@': 297}), 3: (1, {'@': 297}), 32: (1, {'@': 297})}, 481: {35: (1, {'@': 298}), 15: (1, {'@': 298}), 21: (1, {'@': 298}), 28: (1, {'@': 298}), 2: (1, {'@': 298}), 0: (1, {'@': 298}), 36: (1, {'@': 298}), 20: (1, {'@': 298}), 37: (1, {'@': 298}), 38: (1, {'@': 298}), 22: (1, {'@': 298}), 31: (1, {'@': 298}), 39: (1, {'@': 298}), 33: (1, {'@': 298}), 40: (1, {'@': 298}), 16: (1, {'@': 298}), 17: (1, {'@': 298}), 41: (1, {'@': 298}), 19: (1, {'@': 298}), 42: (1, {'@': 298}), 43: (1, {'@': 298}), 44: (1, {'@': 298}), 12: (1, {'@': 298}), 45: (1, {'@': 298}), 46: (1, {'@': 298}), 26: (1, {'@': 298}), 47: (1, {'@': 298}), 48: (1, {'@': 298}), 1: (1, {'@': 298}), 4: (1, {'@': 298}), 49: (1, {'@': 298}), 50: (1, {'@': 298}), 24: (1, {'@': 298}), 25: (1, {'@': 298}), 27: (1, {'@': 298}), 51: (1, {'@': 298}), 29: (1, {'@': 298}), 52: (1, {'@': 298}), 30: (1, {'@': 298}), 3: (1, {'@': 298}), 32: (1, {'@': 298})}, 482: {35: (1, {'@': 299}), 15: (1, {'@': 299}), 21: (1, {'@': 299}), 28: (1, {'@': 299}), 2: (1, {'@': 299}), 0: (1, {'@': 299}), 36: (1, {'@': 299}), 20: (1, {'@': 299}), 37: (1, {'@': 299}), 38: (1, {'@': 299}), 22: (1, {'@': 299}), 31: (1, {'@': 299}), 39: (1, {'@': 299}), 33: (1, {'@': 299}), 40: (1, {'@': 299}), 16: (1, {'@': 299}), 17: (1, {'@': 299}), 41: (1, {'@': 299}), 19: (1, {'@': 299}), 42: (1, {'@': 299}), 43: (1, {'@': 299}), 44: (1, {'@': 299}), 12: (1, {'@': 299}), 45: (1, {'@': 299}), 46: (1, {'@': 299}), 26: (1, {'@': 299}), 47: (1, {'@': 299}), 48: (1, {'@': 299}), 1: (1, {'@': 299}), 4: (1, {'@': 299}), 49: (1, {'@': 299}), 50: (1, {'@': 299}), 24: (1, {'@': 299}), 25: (1, {'@': 299}), 27: (1, {'@': 299}), 51: (1, {'@': 299}), 29: (1, {'@': 299}), 52: (1, {'@': 299}), 30: (1, {'@': 299}), 3: (1, {'@': 299}), 32: (1, {'@': 299})}, 483: {1: (0, 503)}, 484: {35: (1, {'@': 300}), 15: (1, {'@': 300}), 21: (1, {'@': 300}), 28: (1, {'@': 300}), 2: (1, {'@': 300}), 0: (1, {'@': 300}), 36: (1, {'@': 300}), 20: (1, {'@': 300}), 37: (1, {'@': 300}), 38: (1, {'@': 300}), 22: (1, {'@': 300}), 31: (1, {'@': 300}), 39: (1, {'@': 300}), 33: (1, {'@': 300}), 40: (1, {'@': 300}), 16: (1, {'@': 300}), 17: (1, {'@': 300}), 41: (1, {'@': 300}), 19: (1, {'@': 300}), 42: (1, {'@': 300}), 43: (1, {'@': 300}), 44: (1, {'@': 300}), 12: (1, {'@': 300}), 45: (1, {'@': 300}), 46: (1, {'@': 300}), 26: (1, {'@': 300}), 47: (1, {'@': 300}), 48: (1, {'@': 300}), 1: (1, {'@': 300}), 4: (1, {'@': 300}), 49: (1, {'@': 300}), 50: (1, {'@': 300}), 24: (1, {'@': 300}), 25: (1, {'@': 300}), 27: (1, {'@': 300}), 51: (1, {'@': 300}), 29: (1, {'@': 300}), 52: (1, {'@': 300}), 30: (1, {'@': 300}), 3: (1, {'@': 300}), 32: (1, {'@': 300})}, 485: {35: (1, {'@': 301}), 15: (1, {'@': 301}), 21: (1, {'@': 301}), 28: (1, {'@': 301}), 2: (1, {'@': 301}), 0: (1, {'@': 301}), 36: (1, {'@': 301}), 20: (1, {'@': 301}), 37: (1, {'@': 301}), 38: (1, {'@': 301}), 22: (1, {'@': 301}), 31: (1, {'@': 301}), 39: (1, {'@': 301}), 33: (1, {'@': 301}), 40: (1, {'@': 301}), 16: (1, {'@': 301}), 17: (1, {'@': 301}), 41: (1, {'@': 301}), 19: (1, {'@': 301}), 42: (1, {'@': 301}), 43: (1, {'@': 301}), 44: (1, {'@': 301}), 12: (1, {'@': 301}), 45: (1, {'@': 301}), 46: (1, {'@': 301}), 26: (1, {'@': 301}), 47: (1, {'@': 301}), 48: (1, {'@': 301}), 1: (1, {'@': 301}), 4: (1, {'@': 301}), 49: (1, {'@': 301}), 50: (1, {'@': 301}), 24: (1, {'@': 301}), 25: (1, {'@': 301}), 27: (1, {'@': 301}), 51: (1, {'@': 301}), 29: (1, {'@': 301}), 52: (1, {'@': 301}), 30: (1, {'@': 301}), 3: (1, {'@': 301}), 32: (1, {'@': 301})}, 486: {35: (1, {'@': 302}), 15: (1, {'@': 302}), 21: (1, {'@': 302}), 28: (1, {'@': 302}), 2: (1, {'@': 302}), 0: (1, {'@': 302}), 36: (1, {'@': 302}), 20: (1, {'@': 302}), 37: (1, {'@': 302}), 38: (1, {'@': 302}), 22: (1, {'@': 302}), 31: (1, {'@': 302}), 39: (1, {'@': 302}), 33: (1, {'@': 302}), 40: (1, {'@': 302}), 16: (1, {'@': 302}), 17: (1, {'@': 302}), 41: (1, {'@': 302}), 19: (1, {'@': 302}), 42: (1, {'@': 302}), 43: (1, {'@': 302}), 44: (1, {'@': 302}), 12: (1, {'@': 302}), 45: (1, {'@': 302}), 46: (1, {'@': 302}), 26: (1, {'@': 302}), 47: (1, {'@': 302}), 48: (1, {'@': 302}), 1: (1, {'@': 302}), 4: (1, {'@': 302}), 49: (1, {'@': 302}), 50: (1, {'@': 302}), 24: (1, {'@': 302}), 25: (1, {'@': 302}), 27: (1, {'@': 302}), 51: (1, {'@': 302}), 29: (1, {'@': 302}), 52: (1, {'@': 302}), 30: (1, {'@': 302}), 3: (1, {'@': 302}), 32: (1, {'@': 302})}, 487: {35: (1, {'@': 303}), 15: (1, {'@': 303}), 21: (1, {'@': 303}), 28: (1, {'@': 303}), 2: (1, {'@': 303}), 0: (1, {'@': 303}), 36: (1, {'@': 303}), 20: (1, {'@': 303}), 37: (1, {'@': 303}), 38: (1, {'@': 303}), 22: (1, {'@': 303}), 31: (1, {'@': 303}), 39: (1, {'@': 303}), 33: (1, {'@': 303}), 40: (1, {'@': 303}), 16: (1, {'@': 303}), 17: (1, {'@': 303}), 41: (1, {'@': 303}), 19: (1, {'@': 303}), 42: (1, {'@': 303}), 43: (1, {'@': 303}), 44: (1, {'@': 303}), 12: (1, {'@': 303}), 45: (1, {'@': 303}), 46: (1, {'@': 303}), 26: (1, {'@': 303}), 47: (1, {'@': 303}), 48: (1, {'@': 303}), 1: (1, {'@': 303}), 4: (1, {'@': 303}), 49: (1, {'@': 303}), 50: (1, {'@': 303}), 24: (1, {'@': 303}), 25: (1, {'@': 303}), 27: (1, {'@': 303}), 51: (1, {'@': 303}), 29: (1, {'@': 303}), 52: (1, {'@': 303}), 30: (1, {'@': 303}), 3: (1, {'@': 303}), 32: (1, {'@': 303})}, 488: {1: (0, 504)}, 489: {35: (1, {'@': 304}), 15: (1, {'@': 304}), 21: (1, {'@': 304}), 28: (1, {'@': 304}), 2: (1, {'@': 304}), 0: (1, {'@': 304}), 36: (1, {'@': 304}), 20: (1, {'@': 304}), 37: (1, {'@': 304}), 38: (1, {'@': 304}), 22: (1, {'@': 304}), 31: (1, {'@': 304}), 39: (1, {'@': 304}), 33: (1, {'@': 304}), 40: (1, {'@': 304}), 16: (1, {'@': 304}), 17: (1, {'@': 304}), 41: (1, {'@': 304}), 19: (1, {'@': 304}), 42: (1, {'@': 304}), 43: (1, {'@': 304}), 44: (1, {'@': 304}), 12: (1, {'@': 304}), 45: (1, {'@': 304}), 46: (1, {'@': 304}), 26: (1, {'@': 304}), 47: (1, {'@': 304}), 48: (1, {'@': 304}), 1: (1, {'@': 304}), 4: (1, {'@': 304}), 49: (1, {'@': 304}), 50: (1, {'@': 304}), 24: (1, {'@': 304}), 25: (1, {'@': 304}), 27: (1, {'@': 304}), 51: (1, {'@': 304}), 29: (1, {'@': 304}), 52: (1, {'@': 304}), 30: (1, {'@': 304}), 3: (1, {'@': 304}), 32: (1, {'@': 304})}, 490: {35: (1, {'@': 305}), 15: (1, {'@': 305}), 21: (1, {'@': 305}), 28: (1, {'@': 305}), 2: (1, {'@': 305}), 0: (1, {'@': 305}), 36: (1, {'@': 305}), 20: (1, {'@': 305}), 37: (1, {'@': 305}), 38: (1, {'@': 305}), 22: (1, {'@': 305}), 31: (1, {'@': 305}), 39: (1, {'@': 305}), 33: (1, {'@': 305}), 40: (1, {'@': 305}), 16: (1, {'@': 305}), 17: (1, {'@': 305}), 41: (1, {'@': 305}), 19: (1, {'@': 305}), 42: (1, {'@': 305}), 43: (1, {'@': 305}), 44: (1, {'@': 305}), 12: (1, {'@': 305}), 45: (1, {'@': 305}), 46: (1, {'@': 305}), 26: (1, {'@': 305}), 47: (1, {'@': 305}), 48: (1, {'@': 305}), 1: (1, {'@': 305}), 4: (1, {'@': 305}), 49: (1, {'@': 305}), 50: (1, {'@': 305}), 24: (1, {'@': 305}), 25: (1, {'@': 305}), 27: (1, {'@': 305}), 51: (1, {'@': 305}), 29: (1, {'@': 305}), 52: (1, {'@': 305}), 30: (1, {'@': 305}), 3: (1, {'@': 305}), 32: (1, {'@': 305})}, 491: {40: (0, 90), 42: (0, 91), 52: (0, 92), 39: (0, 505), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 492: {25: (0, 30), 27: (0, 31), 53: (0, 32), 54: (0, 33), 16: (0, 34), 20: (0, 35), 55: (0, 36), 56: (0, 37), 8: (0, 38), 57: (0, 39), 58: (0, 40), 59: (0, 506), 24: (0, 42), 60: (0, 43), 15: (0, 13), 61: (0, 44), 62: (0, 45), 63: (0, 46), 26: (0, 47), 32: (0, 48), 64: (0, 49), 31: (0, 50), 28: (0, 51), 65: (0, 52), 66: (0, 53), 7: (0, 54), 19: (0, 55), 67: (0, 56), 68: (0, 57), 69: (0, 58), 70: (0, 59), 71: (0, 60), 21: (0, 61), 72: (0, 62), 12: (0, 10), 73: (0, 63), 74: (0, 64)}, 493: {40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 39: (0, 507), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 494: {0: (0, 8), 16: (1, {'@': 306}), 19: (1, {'@': 306}), 15: (1, {'@': 306}), 20: (1, {'@': 306}), 4: (0, 6), 21: (1, {'@': 306}), 12: (1, {'@': 306}), 24: (1, {'@': 306}), 25: (1, {'@': 306}), 26: (1, {'@': 306}), 27: (1, {'@': 306}), 28: (1, {'@': 306}), 31: (1, {'@': 306}), 3: (0, 14), 32: (1, {'@': 306}), 5: (0, 1), 6: (0, 508)}, 495: {0: (1, {'@': 307}), 16: (1, {'@': 307}), 19: (1, {'@': 307}), 15: (1, {'@': 307}), 20: (1, {'@': 307}), 4: (1, {'@': 307}), 21: (1, {'@': 307}), 12: (1, {'@': 307}), 24: (1, {'@': 307}), 25: (1, {'@': 307}), 26: (1, {'@': 307}), 27: (1, {'@': 307}), 28: (1, {'@': 307}), 31: (1, {'@': 307}), 3: (1, {'@': 307}), 32: (1, {'@': 307})}, 496: {0: (0, 8), 16: (1, {'@': 308}), 19: (1, {'@': 308}), 15: (1, {'@': 308}), 20: (1, {'@': 308}), 4: (0, 6), 21: (1, {'@': 308}), 12: (1, {'@': 308}), 24: (1, {'@': 308}), 25: (1, {'@': 308}), 26: (1, {'@': 308}), 27: (1, {'@': 308}), 28: (1, {'@': 308}), 31: (1, {'@': 308}), 3: (0, 14), 32: (1, {'@': 308}), 5: (0, 1), 6: (0, 509)}, 497: {0: (1, {'@': 309}), 16: (1, {'@': 309}), 19: (1, {'@': 309}), 15: (1, {'@': 309}), 20: (1, {'@': 309}), 4: (1, {'@': 309}), 21: (1, {'@': 309}), 12: (1, {'@': 309}), 24: (1, {'@': 309}), 25: (1, {'@': 309}), 26: (1, {'@': 309}), 27: (1, {'@': 309}), 28: (1, {'@': 309}), 31: (1, {'@': 309}), 3: (1, {'@': 309}), 32: (1, {'@': 309})}, 498: {0: (1, {'@': 310}), 16: (1, {'@': 310}), 19: (1, {'@': 310}), 15: (1, {'@': 310}), 20: (1, {'@': 310}), 4: (1, {'@': 310}), 21: (1, {'@': 310}), 12: (1, {'@': 310}), 24: (1, {'@': 310}), 25: (1, {'@': 310}), 26: (1, {'@': 310}), 27: (1, {'@': 310}), 28: (1, {'@': 310}), 31: (1, {'@': 310}), 3: (1, {'@': 310}), 32: (1, {'@': 310})}, 499: {0: (0, 8), 16: (1, {'@': 311}), 19: (1, {'@': 311}), 15: (1, {'@': 311}), 20: (1, {'@': 311}), 4: (0, 6), 21: (1, {'@': 311}), 12: (1, {'@': 311}), 24: (1, {'@': 311}), 25: (1, {'@': 311}), 26: (1, {'@': 311}), 27: (1, {'@': 311}), 28: (1, {'@': 311}), 31: (1, {'@': 311}), 3: (0, 14), 32: (1, {'@': 311}), 6: (0, 510), 5: (0, 1)}, 500: {0: (0, 8), 16: (1, {'@': 312}), 19: (1, {'@': 312}), 15: (1, {'@': 312}), 20: (1, {'@': 312}), 4: (0, 6), 21: (1, {'@': 312}), 12: (1, {'@': 312}), 24: (1, {'@': 312}), 25: (1, {'@': 312}), 26: (1, {'@': 312}), 27: (1, {'@': 312}), 28: (1, {'@': 312}), 31: (1, {'@': 312}), 3: (0, 14), 32: (1, {'@': 312}), 5: (0, 1), 6: (0, 511)}, 501: {40: (0, 90), 42: (0, 91), 45: (0, 105), 52: (0, 92), 39: (0, 512), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 47: (0, 106)}, 502: {0: (1, {'@': 313}), 16: (1, {'@': 313}), 19: (1, {'@': 313}), 15: (1, {'@': 313}), 20: (1, {'@': 313}), 4: (1, {'@': 313}), 21: (1, {'@': 313}), 12: (1, {'@': 313}), 24: (1, {'@': 313}), 25: (1, {'@': 313}), 26: (1, {'@': 313}), 27: (1, {'@': 313}), 28: (1, {'@': 313}), 31: (1, {'@': 313}), 3: (1, {'@': 313}), 32: (1, {'@': 313})}, 503: {35: (1, {'@': 314}), 15: (1, {'@': 314}), 21: (1, {'@': 314}), 28: (1, {'@': 314}), 2: (1, {'@': 314}), 0: (1, {'@': 314}), 36: (1, {'@': 314}), 20: (1, {'@': 314}), 37: (1, {'@': 314}), 38: (1, {'@': 314}), 22: (1, {'@': 314}), 31: (1, {'@': 314}), 39: (1, {'@': 314}), 33: (1, {'@': 314}), 40: (1, {'@': 314}), 16: (1, {'@': 314}), 17: (1, {'@': 314}), 41: (1, {'@': 314}), 19: (1, {'@': 314}), 42: (1, {'@': 314}), 43: (1, {'@': 314}), 44: (1, {'@': 314}), 12: (1, {'@': 314}), 45: (1, {'@': 314}), 46: (1, {'@': 314}), 26: (1, {'@': 314}), 47: (1, {'@': 314}), 48: (1, {'@': 314}), 1: (1, {'@': 314}), 4: (1, {'@': 314}), 49: (1, {'@': 314}), 50: (1, {'@': 314}), 24: (1, {'@': 314}), 25: (1, {'@': 314}), 27: (1, {'@': 314}), 51: (1, {'@': 314}), 29: (1, {'@': 314}), 52: (1, {'@': 314}), 30: (1, {'@': 314}), 3: (1, {'@': 314}), 32: (1, {'@': 314})}, 504: {35: (1, {'@': 315}), 15: (1, {'@': 315}), 21: (1, {'@': 315}), 28: (1, {'@': 315}), 2: (1, {'@': 315}), 0: (1, {'@': 315}), 36: (1, {'@': 315}), 20: (1, {'@': 315}), 37: (1, {'@': 315}), 38: (1, {'@': 315}), 22: (1, {'@': 315}), 31: (1, {'@': 315}), 39: (1, {'@': 315}), 33: (1, {'@': 315}), 40: (1, {'@': 315}), 16: (1, {'@': 315}), 17: (1, {'@': 315}), 41: (1, {'@': 315}), 19: (1, {'@': 315}), 42: (1, {'@': 315}), 43: (1, {'@': 315}), 44: (1, {'@': 315}), 12: (1, {'@': 315}), 45: (1, {'@': 315}), 46: (1, {'@': 315}), 26: (1, {'@': 315}), 47: (1, {'@': 315}), 48: (1, {'@': 315}), 1: (1, {'@': 315}), 4: (1, {'@': 315}), 49: (1, {'@': 315}), 50: (1, {'@': 315}), 24: (1, {'@': 315}), 25: (1, {'@': 315}), 27: (1, {'@': 315}), 51: (1, {'@': 315}), 29: (1, {'@': 315}), 52: (1, {'@': 315}), 30: (1, {'@': 315}), 3: (1, {'@': 315}), 32: (1, {'@': 315})}, 505: {0: (0, 8), 16: (1, {'@': 316}), 19: (1, {'@': 316}), 15: (1, {'@': 316}), 20: (1, {'@': 316}), 4: (0, 6), 21: (1, {'@': 316}), 12: (1, {'@': 316}), 24: (1, {'@': 316}), 25: (1, {'@': 316}), 26: (1, {'@': 316}), 27: (1, {'@': 316}), 28: (1, {'@': 316}), 31: (1, {'@': 316}), 3: (0, 14), 32: (1, {'@': 316}), 5: (0, 1), 6: (0, 513)}, 506: {40: (0, 90), 42: (0, 91), 52: (0, 92), 43: (0, 93), 81: (0, 94), 82: (0, 95), 35: (0, 97), 46: (0, 98), 39: (0, 514), 31: (0, 99), 44: (0, 100), 36: (0, 101), 37: (0, 102), 51: (0, 103), 38: (0, 104), 45: (0, 105), 47: (0, 106)}, 507: {0: (0, 8), 16: (1, {'@': 317}), 19: (1, {'@': 317}), 15: (1, {'@': 317}), 20: (1, {'@': 317}), 4: (0, 6), 21: (1, {'@': 317}), 12: (1, {'@': 317}), 24: (1, {'@': 317}), 25: (1, {'@': 317}), 26: (1, {'@': 317}), 27: (1, {'@': 317}), 28: (1, {'@': 317}), 31: (1, {'@': 317}), 3: (0, 14), 32: (1, {'@': 317}), 5: (0, 1), 6: (0, 515)}, 508: {0: (1, {'@': 318}), 16: (1, {'@': 318}), 19: (1, {'@': 318}), 15: (1, {'@': 318}), 20: (1, {'@': 318}), 4: (1, {'@': 318}), 21: (1, {'@': 318}), 12: (1, {'@': 318}), 24: (1, {'@': 318}), 25: (1, {'@': 318}), 26: (1, {'@': 318}), 27: (1, {'@': 318}), 28: (1, {'@': 318}), 31: (1, {'@': 318}), 3: (1, {'@': 318}), 32: (1, {'@': 318})}, 509: {0: (1, {'@': 319}), 16: (1, {'@': 319}), 19: (1, {'@': 319}), 15: (1, {'@': 319}), 20: (1, {'@': 319}), 4: (1, {'@': 319}), 21: (1, {'@': 319}), 12: (1, {'@': 319}), 24: (1, {'@': 319}), 25: (1, {'@': 319}), 26: (1, {'@': 319}), 27: (1, {'@': 319}), 28: (1, {'@': 319}), 31: (1, {'@': 319}), 3: (1, {'@': 319}), 32: (1, {'@': 319})}, 510: {0: (1, {'@': 320}), 16: (1, {'@': 320}), 19: (1, {'@': 320}), 15: (1, {'@': 320}), 20: (1, {'@': 320}), 4: (1, {'@': 320}), 21: (1, {'@': 320}), 12: (1, {'@': 320}), 24: (1, {'@': 320}), 25: (1, {'@': 320}), 26: (1, {'@': 320}), 27: (1, {'@': 320}), 28: (1, {'@': 320}), 31: (1, {'@': 320}), 3: (1, {'@': 320}), 32: (1, {'@': 320})}, 511: {0: (1, {'@': 321}), 16: (1, {'@': 321}), 19: (1, {'@': 321}), 15: (1, {'@': 321}), 20: (1, {'@': 321}), 4: (1, {'@': 321}), 21: (1, {'@': 321}), 12: (1, {'@': 321}), 24: (1, {'@': 321}), 25: (1, {'@': 321}), 26: (1, {'@': 321}), 27: (1, {'@': 321}), 28: (1, {'@': 321}), 31: (1, {'@': 321}), 3: (1, {'@': 321}), 32: (1, {'@': 321})}, 512: {0: (0, 8), 16: (1, {'@': 322}), 19: (1, {'@': 322}), 15: (1, {'@': 322}), 20: (1, {'@': 322}), 4: (0, 6), 21: (1, {'@': 322}), 12: (1, {'@': 322}), 24: (1, {'@': 322}), 25: (1, {'@': 322}), 26: (1, {'@': 322}), 27: (1, {'@': 322}), 28: (1, {'@': 322}), 31: (1, {'@': 322}), 3: (0, 14), 32: (1, {'@': 322}), 5: (0, 1), 6: (0, 516)}, 513: {0: (1, {'@': 323}), 16: (1, {'@': 323}), 19: (1, {'@': 323}), 15: (1, {'@': 323}), 20: (1, {'@': 323}), 4: (1, {'@': 323}), 21: (1, {'@': 323}), 12: (1, {'@': 323}), 24: (1, {'@': 323}), 25: (1, {'@': 323}), 26: (1, {'@': 323}), 27: (1, {'@': 323}), 28: (1, {'@': 323}), 31: (1, {'@': 323}), 3: (1, {'@': 323}), 32: (1, {'@': 323})}, 514: {0: (0, 8), 16: (1, {'@': 324}), 19: (1, {'@': 324}), 15: (1, {'@': 324}), 20: (1, {'@': 324}), 4: (0, 6), 21: (1, {'@': 324}), 12: (1, {'@': 324}), 24: (1, {'@': 324}), 25: (1, {'@': 324}), 26: (1, {'@': 324}), 27: (1, {'@': 324}), 28: (1, {'@': 324}), 31: (1, {'@': 324}), 3: (0, 14), 32: (1, {'@': 324}), 5: (0, 1), 6: (0, 517)}, 515: {0: (1, {'@': 325}), 16: (1, {'@': 325}), 19: (1, {'@': 325}), 15: (1, {'@': 325}), 20: (1, {'@': 325}), 4: (1, {'@': 325}), 21: (1, {'@': 325}), 12: (1, {'@': 325}), 24: (1, {'@': 325}), 25: (1, {'@': 325}), 26: (1, {'@': 325}), 27: (1, {'@': 325}), 28: (1, {'@': 325}), 31: (1, {'@': 325}), 3: (1, {'@': 325}), 32: (1, {'@': 325})}, 516: {0: (1, {'@': 326}), 16: (1, {'@': 326}), 19: (1, {'@': 326}), 15: (1, {'@': 326}), 20: (1, {'@': 326}), 4: (1, {'@': 326}), 21: (1, {'@': 326}), 12: (1, {'@': 326}), 24: (1, {'@': 326}), 25: (1, {'@': 326}), 26: (1, {'@': 326}), 27: (1, {'@': 326}), 28: (1, {'@': 326}), 31: (1, {'@': 326}), 3: (1, {'@': 326}), 32: (1, {'@': 326})}, 517: {0: (1, {'@': 327}), 16: (1, {'@': 327}), 19: (1, {'@': 327}), 15: (1, {'@': 327}), 20: (1, {'@': 327}), 4: (1, {'@': 327}), 21: (1, {'@': 327}), 12: (1, {'@': 327}), 24: (1, {'@': 327}), 25: (1, {'@': 327}), 26: (1, {'@': 327}), 27: (1, {'@': 327}), 28: (1, {'@': 327}), 31: (1, {'@': 327}), 3: (1, {'@': 327}), 32: (1, {'@': 327})}}, 'start_states': {'start': 0}, 'end_states': {'start': 28}}, 'lexer_conf': {'tokens': [{'@': 0}, {'@': 1}, {'@': 2}, {'@': 3}, {'@': 4}, {'@': 5}, {'@': 6}, {'@': 7}, {'@': 8}, {'@': 9}, {'@': 10}, {'@': 11}, {'@': 12}, {'@': 13}, {'@': 14}, {'@': 15}, {'@': 16}, {'@': 17}, {'@': 18}, {'@': 19}, {'@': 20}, {'@': 21}, {'@': 22}, {'@': 23}, {'@': 24}, {'@': 25}, {'@': 26}, {'@': 27}, {'@': 28}, {'@': 29}, {'@': 30}, {'@': 31}, {'@': 32}, {'@': 33}, {'@': 34}, {'@': 35}, {'@': 36}, {'@': 37}, {'@': 38}, {'@': 39}, {'@': 40}, {'@': 41}, {'@': 42}, {'@': 43}, {'@': 44}], 'ignore': ['__IGNORE_0', '__IGNORE_1'], '__type__': 'LexerConf'}, 'start': ['start'], '__type__': 'LALR_TraditionalLexer'}, 'rules': [{'@': 65}, {'@': 59}, {'@': 62}, {'@': 47}, {'@': 51}, {'@': 45}, {'@': 124}, {'@': 98}, {'@': 110}, {'@': 75}, {'@': 208}, {'@': 170}, {'@': 171}, {'@': 142}, {'@': 129}, {'@': 128}, {'@': 150}, {'@': 46}, {'@': 52}, {'@': 67}, {'@': 82}, {'@': 95}, {'@': 239}, {'@': 205}, {'@': 88}, {'@': 91}, {'@': 122}, {'@': 123}, {'@': 109}, {'@': 114}, {'@': 107}, {'@': 119}, {'@': 116}, {'@': 112}, {'@': 117}, {'@': 113}, {'@': 111}, {'@': 118}, {'@': 106}, {'@': 108}, {'@': 115}, {'@': 120}, {'@': 167}, {'@': 138}, {'@': 207}, {'@': 168}, {'@': 169}, {'@': 141}, {'@': 89}, {'@': 80}, {'@': 86}, {'@': 66}, {'@': 73}, {'@': 83}, {'@': 90}, {'@': 71}, {'@': 70}, {'@': 93}, {'@': 94}, {'@': 72}, {'@': 84}, {'@': 77}, {'@': 78}, {'@': 85}, {'@': 92}, {'@': 74}, {'@': 68}, {'@': 87}, {'@': 54}, {'@': 79}, {'@': 206}, {'@': 139}, {'@': 140}, {'@': 279}, {'@': 253}, {'@': 254}, {'@': 219}, {'@': 252}, {'@': 218}, {'@': 180}, {'@': 255}, {'@': 220}, {'@': 221}, {'@': 181}, {'@': 222}, {'@': 182}, {'@': 153}, {'@': 262}, {'@': 227}, {'@': 228}, {'@': 184}, {'@': 230}, {'@': 186}, {'@': 154}, {'@': 232}, {'@': 190}, {'@': 191}, {'@': 157}, {'@': 187}, {'@': 156}, {'@': 131}, {'@': 130}, {'@': 100}, {'@': 209}, {'@': 172}, {'@': 173}, {'@': 143}, {'@': 175}, {'@': 151}, {'@': 149}, {'@': 127}, {'@': 99}, {'@': 145}, {'@': 144}, {'@': 125}, {'@': 146}, {'@': 147}, {'@': 126}, {'@': 69}, {'@': 81}, {'@': 236}, {'@': 197}, {'@': 198}, {'@': 161}, {'@': 204}, {'@': 166}, {'@': 137}, {'@': 238}, {'@': 200}, {'@': 237}, {'@': 199}, {'@': 201}, {'@': 162}, {'@': 203}, {'@': 164}, {'@': 202}, {'@': 163}, {'@': 165}, {'@': 136}, {'@': 103}, {'@': 104}, {'@': 105}, {'@': 102}, {'@': 235}, {'@': 196}, {'@': 195}, {'@': 159}, {'@': 133}, {'@': 132}, {'@': 135}, {'@': 101}, {'@': 192}, {'@': 158}, {'@': 301}, {'@': 281}, {'@': 280}, {'@': 256}, {'@': 282}, {'@': 257}, {'@': 223}, {'@': 283}, {'@': 258}, {'@': 259}, {'@': 224}, {'@': 260}, {'@': 225}, {'@': 183}, {'@': 278}, {'@': 249}, {'@': 250}, {'@': 216}, {'@': 251}, {'@': 217}, {'@': 179}, {'@': 248}, {'@': 212}, {'@': 213}, {'@': 176}, {'@': 214}, {'@': 177}, {'@': 152}, {'@': 315}, {'@': 303}, {'@': 304}, {'@': 285}, {'@': 302}, {'@': 284}, {'@': 263}, {'@': 305}, {'@': 287}, {'@': 286}, {'@': 264}, {'@': 288}, {'@': 265}, {'@': 240}, {'@': 314}, {'@': 299}, {'@': 300}, {'@': 277}, {'@': 298}, {'@': 276}, {'@': 247}, {'@': 297}, {'@': 273}, {'@': 274}, {'@': 245}, {'@': 275}, {'@': 246}, {'@': 211}, {'@': 327}, {'@': 324}, {'@': 323}, {'@': 316}, {'@': 325}, {'@': 317}, {'@': 318}, {'@': 306}, {'@': 319}, {'@': 308}, {'@': 307}, {'@': 290}, {'@': 309}, {'@': 292}, {'@': 291}, {'@': 268}, {'@': 289}, {'@': 267}, {'@': 266}, {'@': 241}, {'@': 326}, {'@': 322}, {'@': 321}, {'@': 312}, {'@': 320}, {'@': 311}, {'@': 310}, {'@': 293}, {'@': 313}, {'@': 295}, {'@': 294}, {'@': 269}, {'@': 296}, {'@': 272}, {'@': 271}, {'@': 244}, {'@': 270}, {'@': 243}, {'@': 242}, {'@': 210}, {'@': 215}, {'@': 178}, {'@': 49}, {'@': 53}, {'@': 63}, {'@': 64}, {'@': 60}, {'@': 61}, {'@': 97}, {'@': 96}, {'@': 55}, {'@': 48}, {'@': 50}, {'@': 57}, {'@': 58}, {'@': 56}, {'@': 76}, {'@': 121}, {'@': 231}, {'@': 189}, {'@': 188}, {'@': 155}, {'@': 261}, {'@': 226}, {'@': 229}, {'@': 185}, {'@': 148}, {'@': 174}, {'@': 134}, {'@': 160}, {'@': 193}, {'@': 194}, {'@': 233}, {'@': 234}], 'options': {'debug': False, 'keep_all_tokens': False, 'tree_class': None, 'cache_grammar': False, 'postlex': None, 'parser': 'lalr', 'lexer': 'standard', 'transformer': None, 'start': ['start'], 'profile': False, 'priority': None, 'ambiguity': 'auto', 'propagate_positions': False, 'lexer_callbacks': {}, 'maybe_placeholders': False, 'edit_terminals': None}, '__type__': 'Lark'})
MEMO = ({0: {'name': 'STRING_LIT', 'pattern': {'value': '"(?:(?:(?:(?:(?!\\${)([^"\\\\]|\\\\.))+)+|\\$\\{(?:(?:(?:(?!\\${)([^}]))+|\\$\\{[^}]+\\}))+\\}))*"', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 1: {'name': 'DECIMAL', 'pattern': {'value': '[0-9]', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 2: {'name': 'EXP_MARK', 'pattern': {'value': '(?:e|E)(?:(?:\\+|\\-))?', 'flags': [], '_width': [1, 2], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 3: {'name': '__IGNORE_0', 'pattern': {'value': '[ \t]+', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 4: {'name': '__IGNORE_1', 'pattern': {'value': '\\/\\*(.|\n)*?(\\*\\/)', 'flags': [], '_width': [4, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 5: {'name': 'EQUAL', 'pattern': {'value': '=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 6: {'name': 'LBRACE', 'pattern': {'value': '{', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 7: {'name': 'RBRACE', 'pattern': {'value': '}', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 8: {'name': 'COMMA', 'pattern': {'value': ',', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 9: {'name': '__ANON_0', 'pattern': {'value': '\n', 'flags': [], '_width': [1, 1], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 10: {'name': '__ANON_1', 'pattern': {'value': '#.*\n', 'flags': [], '_width': [2, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 11: {'name': '__ANON_2', 'pattern': {'value': '\\/\\/.*\n', 'flags': [], '_width': [3, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 12: {'name': '__ANON_3', 'pattern': {'value': '[a-zA-Z_][a-zA-Z0-9_-]*', 'flags': [], '_width': [1, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 13: {'name': 'QMARK', 'pattern': {'value': '?', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 14: {'name': 'COLON', 'pattern': {'value': ':', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 15: {'name': 'MINUS', 'pattern': {'value': '-', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 16: {'name': 'BANG', 'pattern': {'value': '!', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 17: {'name': '__ANON_4', 'pattern': {'value': '==', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 18: {'name': '__ANON_5', 'pattern': {'value': '!=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 19: {'name': 'LESSTHAN', 'pattern': {'value': '<', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 20: {'name': 'MORETHAN', 'pattern': {'value': '>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 21: {'name': '__ANON_6', 'pattern': {'value': '<=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 22: {'name': '__ANON_7', 'pattern': {'value': '>=', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 23: {'name': 'STAR', 'pattern': {'value': '*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 24: {'name': 'SLASH', 'pattern': {'value': '/', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 25: {'name': 'PERCENT', 'pattern': {'value': '%', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 26: {'name': '__ANON_8', 'pattern': {'value': '&&', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 27: {'name': '__ANON_9', 'pattern': {'value': '||', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 28: {'name': 'PLUS', 'pattern': {'value': '+', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 29: {'name': 'LPAR', 'pattern': {'value': '(', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 30: {'name': 'RPAR', 'pattern': {'value': ')', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 31: {'name': 'TRUE', 'pattern': {'value': 'true', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 32: {'name': 'FALSE', 'pattern': {'value': 'false', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 33: {'name': 'NULL', 'pattern': {'value': 'null', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 34: {'name': 'DOT', 'pattern': {'value': '.', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 35: {'name': 'LSQB', 'pattern': {'value': '[', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 36: {'name': 'RSQB', 'pattern': {'value': ']', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 37: {'name': '__ANON_10', 'pattern': {'value': '<<(?P<heredoc>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc)', 'flags': [], '_width': [9, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 38: {'name': '__ANON_11', 'pattern': {'value': '<<-(?P<heredoc_trim>[a-zA-Z][a-zA-Z0-9._-]+)\n(?:.|\n)+?\n+\\s*(?P=heredoc_trim)', 'flags': [], '_width': [10, 4294967295], '__type__': 'PatternRE'}, 'priority': 1, '__type__': 'TerminalDef'}, 39: {'name': '__ANON_12', 'pattern': {'value': '...', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 40: {'name': '__ANON_13', 'pattern': {'value': '.*', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 41: {'name': '__ANON_14', 'pattern': {'value': '=>', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 42: {'name': 'FOR', 'pattern': {'value': 'for', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 43: {'name': 'IN', 'pattern': {'value': 'in', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 44: {'name': 'IF', 'pattern': {'value': 'if', 'flags': [], '__type__': 'PatternStr'}, 'priority': 1, '__type__': 'TerminalDef'}, 45: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 46: {'origin': {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 47: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 48: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 49: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 50: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 51: {'origin': {'name': 'body', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 52: {'origin': {'name': 'identifier', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_3', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 53: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'block', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 54: {'origin': {'name': 'null_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'NULL', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 55: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 56: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_2', 'filter_out': False, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 57: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_0', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 58: {'origin': {'name': '__anon_plus_2', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_2', '__type__': 'NonTerminal'}, {'name': '__ANON_1', 'filter_out': False, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 59: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 60: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 61: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 62: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 63: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'attribute', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 64: {'origin': {'name': '__anon_star_0', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_0', '__type__': 'NonTerminal'}, {'name': 'block', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 65: {'origin': {'name': 'start', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 66: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'float_lit', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 67: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 68: {'origin': {'name': 'true_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'TRUE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 69: {'origin': {'name': 'heredoc_template', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_10', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 70: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'function_call', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 71: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'object', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 72: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 73: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'int_lit', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 74: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_object_expr', '__type__': 'NonTerminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 75: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 76: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 77: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 78: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 79: {'origin': {'name': 'int_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 80: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'false_lit', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 81: {'origin': {'name': 'heredoc_template_trim', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_11', 'filter_out': False, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 82: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'operation', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 83: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 84: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'heredoc_template', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 85: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 86: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 87: {'origin': {'name': 'false_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FALSE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 88: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'unary_op', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 89: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'true_lit', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 90: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'tuple', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 91: {'origin': {'name': 'operation', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_op', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 92: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'for_tuple_expr', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 93: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index_expr_term', '__type__': 'NonTerminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 94: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 95: {'origin': {'name': 'expression', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'conditional', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 96: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'STRING_LIT', 'filter_out': False, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 97: {'origin': {'name': '__anon_star_1', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 98: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 99: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 100: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 101: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 102: {'origin': {'name': 'full_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'full_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 103: {'origin': {'name': 'index_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 104: {'origin': {'name': 'get_attr_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 105: {'origin': {'name': 'attr_splat_expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expr_term', '__type__': 'NonTerminal'}, {'name': 'attr_splat', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 106: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PERCENT', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 107: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_5', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 108: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_8', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 109: {'origin': {'name': 'binary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'binary_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 110: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'null_lit', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 111: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 112: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_6', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 113: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 114: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_4', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 115: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_9', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 116: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MORETHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 117: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_7', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 118: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'SLASH', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 119: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LESSTHAN', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 120: {'origin': {'name': 'binary_operator', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'PLUS', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 121: {'origin': {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DECIMAL', 'filter_out': False, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 122: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'MINUS', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 123: {'origin': {'name': 'unary_op', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'BANG', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expr_term', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 124: {'origin': {'name': 'attribute', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 125: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 126: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 127: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 128: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 129: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 130: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 131: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 132: {'origin': {'name': 'get_attr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 133: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 134: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 135: {'origin': {'name': 'attr_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__ANON_13', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_6', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 136: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 137: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 138: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 139: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 140: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 141: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 142: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 143: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 144: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 145: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 146: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'EQUAL', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 147: {'origin': {'name': 'object_elem', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 148: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 149: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 150: {'origin': {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 151: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 152: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 153: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 154: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 155: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 156: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 157: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 158: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 159: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 160: {'origin': {'name': '__anon_star_6', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_6', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 161: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 162: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 163: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 164: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 165: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 166: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 167: {'origin': {'name': 'binary_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'binary_operator', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 168: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 169: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 170: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 171: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 172: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 173: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 174: {'origin': {'name': '__anon_star_5', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 175: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 176: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 177: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 178: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 179: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 180: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 181: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 182: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 183: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 184: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 185: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 7, 'alias': None, 'options': None, '__type__': 'Rule'}, 186: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 187: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 188: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 189: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 190: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 191: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 192: {'origin': {'name': 'full_splat', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'STAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_star_7', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': True, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 193: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 194: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'index', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': None, '__type__': 'Rule'}, 195: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 196: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 197: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 198: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 199: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 200: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 201: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 202: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 203: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 204: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 205: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 206: {'origin': {'name': 'float_lit', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'DOT', 'filter_out': True, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}, {'name': 'EXP_MARK', 'filter_out': False, '__type__': 'Terminal'}, {'name': '__anon_plus_3', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 207: {'origin': {'name': 'expr_term', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 208: {'origin': {'name': 'block', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': '__anon_star_1', '__type__': 'NonTerminal'}, {'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'body', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 209: {'origin': {'name': 'object', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'object_elem', '__type__': 'NonTerminal'}, {'name': '__anon_star_5', '__type__': 'NonTerminal'}, {'name': 'new_line_and_or_comma', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 210: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 39, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 211: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 212: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 213: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 214: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 215: {'origin': {'name': 'for_cond', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'IF', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 216: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 217: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 218: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 219: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 220: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 221: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 222: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 223: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 224: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 225: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 226: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 5, 'alias': None, 'options': None, '__type__': 'Rule'}, 227: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 228: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 229: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': None, '__type__': 'Rule'}, 230: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 231: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': None, '__type__': 'Rule'}, 232: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 233: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'get_attr', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': None, '__type__': 'Rule'}, 234: {'origin': {'name': '__anon_star_7', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_7', '__type__': 'NonTerminal'}, {'name': 'index', '__type__': 'NonTerminal'}], 'order': 3, 'alias': None, 'options': None, '__type__': 'Rule'}, 235: {'origin': {'name': 'index', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 236: {'origin': {'name': 'function_call', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'LPAR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'arguments', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RPAR', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 237: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 238: {'origin': {'name': 'arguments', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 239: {'origin': {'name': 'conditional', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'QMARK', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 240: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 241: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 242: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 38, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 243: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 37, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 244: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 35, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 245: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 246: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 247: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 248: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 249: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 250: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 251: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 252: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 253: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 254: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 255: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 256: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 257: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 258: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 259: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 260: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 261: {'origin': {'name': '__anon_star_4', '__type__': 'NonTerminal'}, 'expansion': [{'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': None, '__type__': 'Rule'}, 262: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 263: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 264: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 265: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 266: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 267: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 268: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 269: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 31, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 270: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 36, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 271: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 34, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 272: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 33, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 273: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 274: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 275: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 276: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 19, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 277: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 17, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 278: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 279: {'origin': {'name': 'tuple', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__anon_star_4', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': False, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 280: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 281: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 282: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 283: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 284: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 285: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 286: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 287: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 288: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 289: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 290: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 11, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 291: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 292: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 13, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 293: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 27, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 294: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 30, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 295: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 29, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 296: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 32, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 297: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 298: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 18, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 299: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 15, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 300: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 16, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 301: {'origin': {'name': 'for_tuple_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LSQB', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RSQB', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 302: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 303: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 304: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 305: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 306: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 7, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 307: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 10, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 308: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 9, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 309: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 12, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 310: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 26, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 311: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 25, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 312: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 23, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 313: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 28, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 314: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 14, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 315: {'origin': {'name': 'for_object_expr', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'LBRACE', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_intro', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_14', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': '__ANON_12', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'for_cond', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'RBRACE', 'filter_out': True, '__type__': 'Terminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 316: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 3, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 317: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 5, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 318: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 6, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 319: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 8, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 320: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 24, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 321: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 22, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 322: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 21, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 323: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 2, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 324: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}], 'order': 1, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 325: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 4, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 326: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 20, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}, 327: {'origin': {'name': 'for_intro', '__type__': 'NonTerminal'}, 'expansion': [{'name': 'FOR', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'COMMA', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'identifier', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'IN', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}, {'name': 'expression', '__type__': 'NonTerminal'}, {'name': 'COLON', 'filter_out': True, '__type__': 'Terminal'}, {'name': 'new_line_or_comment', '__type__': 'NonTerminal'}], 'order': 0, 'alias': None, 'options': {'keep_all_tokens': True, 'expand1': False, 'priority': None, 'empty_indices': (), '__type__': 'RuleOptions'}, '__type__': 'Rule'}})

def Lark_StandAlone(transformer=None, postlex=None):
  namespace = {'Rule': Rule, 'TerminalDef': TerminalDef}
  return Lark.deserialize(DATA, namespace, MEMO, transformer=transformer, postlex=postlex)

